CREATE TABLE TBL_DM_TOUR_ITEM_ACTIVITY_backup (
	_id integer 			primary key autoincrement, 
	FK_TRTM 				integer not null, 
	FK_LKP_TOUR_ACTIVITY 	integer not null,
	FK_NDR 					integer,
	IS_PLANNED 				integer not null default 1,
	IS_DELETED 				integer not null default 0,
	CREATE_DATE 			integer not null default (strftime('%s','now')*1000),
	CHANGE_DATE 			integer not null default (strftime('%s','now')*1000)
);

insert into TBL_DM_TOUR_ITEM_ACTIVITY_backup 
	select _id, FK_TRTM, FK_LKP_TOUR_ACTIVITY, FK_NDR, IS_PLANNED, IS_DELETED, CREATE_DATE, CHANGE_DATE 
	from TBL_DM_TOUR_ITEM_ACTIVITY;
	
drop table TBL_DM_TOUR_ITEM_ACTIVITY;

CREATE TABLE TBL_DM_TOUR_ITEM_ACTIVITY (
	_id integer 			primary key autoincrement, 
	FK_TRTM 				integer not null, 
	FK_LKP_TOUR_ACTIVITY 	integer not null,
	IS_PLANNED 				integer not null default 1,
	IS_DELETED 				integer not null default 0,
	CREATE_DATE 			integer not null default (strftime('%s','now')*1000),
	CHANGE_DATE 			integer not null default (strftime('%s','now')*1000),
	
	foreign key (FK_TRTM) references TBL_DM_TOUR_ITEM (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_TOUR_ACTIVITY) references TBL_GN_LOOKUP (_id)
);	

create table TBL_DM_TRTM_ACT_UNEXEC_REASON_INF ( 
	_id 					integer primary key autoincrement,
	FK_TRTM_ACT				integer not null,
	FK_UNEXEC_ACT_REASON	integer not null,
	FK_SALES_ASSIGNMENT		integer,
	FK_RETURN_PERMIT		integer,
	FK_LKP_FAIL_ACTION		integer,
	FK_LOCATION				integer,
	OPERATION_DATE 			integer,
	CREATE_DATE 			integer not null default (strftime('%s', 'now') * 1000),
	CHANGE_DATE 			integer not null default (strftime('%s', 'now') * 1000),
	
	foreign key (FK_TRTM_ACT) references TBL_DM_TOUR_ITEM_ACTIVITY (_id) ON DELETE CASCADE,
	foreign key (FK_UNEXEC_ACT_REASON) references TBL_DM_UNEXECUTED_ACT_REASON (_id) ON DELETE CASCADE,
	foreign key (FK_SALES_ASSIGNMENT) references TBL_DM_SALES_ASSIGNMENT (_id),
	foreign key (FK_RETURN_PERMIT) references TBL_DM_RETURN_PERMIT (_id),
	foreign key (FK_LKP_FAIL_ACTION) references TBL_GN_LOOKUP (_id),
	foreign key (FK_LOCATION) references TBL_DM_LOCATION (_id)
);

create index idx_TBL_DM_TRTM_ACT_UNEXEC_REASON_INF_PK on TBL_DM_TRTM_ACT_UNEXEC_REASON_INF (_id);
create index idx_TBL_DM_TRTM_ACT_UNEXEC_REASON_INF_FK_TRTM_ACT on TBL_DM_TRTM_ACT_UNEXEC_REASON_INF (FK_TRTM_ACT);
create index idx_TBL_DM_TRTM_ACT_UNEXEC_REASON_INF_FK_UNEXEC_ACT_REASON on TBL_DM_TRTM_ACT_UNEXEC_REASON_INF (FK_UNEXEC_ACT_REASON);
create index idx_TBL_DM_TRTM_ACT_UNEXEC_REASON_INF_FK_SALES_ASSIGNMENT on TBL_DM_TRTM_ACT_UNEXEC_REASON_INF (FK_SALES_ASSIGNMENT);
create index idx_TBL_DM_TRTM_ACT_UNEXEC_REASON_INF_FK_FK_RETURN_PERMIT on TBL_DM_TRTM_ACT_UNEXEC_REASON_INF (FK_RETURN_PERMIT);
create index idx_TBL_DM_TRTM_ACT_UNEXEC_REASON_INF_FK_LOCATION on TBL_DM_TRTM_ACT_UNEXEC_REASON_INF (FK_LOCATION);

insert into TBL_DM_TOUR_ITEM_ACTIVITY 
	select _id, FK_TRTM, FK_LKP_TOUR_ACTIVITY, IS_PLANNED, IS_DELETED, CREATE_DATE, CHANGE_DATE 
	from TBL_DM_TOUR_ITEM_ACTIVITY_backup;

insert into TBL_DM_TRTM_ACT_UNEXEC_REASON_INF (FK_TRTM_ACT, FK_UNEXEC_ACT_REASON, FK_SALES_ASSIGNMENT, FK_RETURN_PERMIT)
	select _id, FK_NDR, null, null 
	from TBL_DM_TOUR_ITEM_ACTIVITY_backup;
	
drop table TBL_DM_TOUR_ITEM_ACTIVITY_backup;

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ابطال حواله', '1', 'SALES_ASSIGNMENT_FAIL_ACTION_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('توزیع مجدد', '2', 'SALES_ASSIGNMENT_FAIL_ACTION_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('بستن حواله', '3', 'SALES_ASSIGNMENT_FAIL_ACTION_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ابطال مجوز برگشتی', '1', 'RETURN_PERMIT_FAIL_ACTION_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('استفاده مجدد', '2', 'RETURN_PERMIT_FAIL_ACTION_TYPE');
