create table TBL_DM_RECEIPT (
	_id 					integer primary key autoincrement,
	FK_TIAC					integer,	
	FK_HSI_INVOICE			integer,
	FK_CNDI_INVOICE			integer,
	FK_CSMR					integer not null,
	FK_LOCATION				integer,
	IS_PRINTED 				integer not null default 0,
	OPERATION_DATE			integer null,
    FK_USRSLOF_REGISTRANT   integer not null,
	CREATE_DATE				integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_TIAC) references TBL_DM_TOUR_ITEM_ACTIVITY (_id) ON DELETE CASCADE,
	foreign key (FK_HSI_INVOICE) references TBL_DM_HOT_SALES_INVOICE (_id) ON DELETE CASCADE,
	foreign key (FK_CNDI_INVOICE) references TBL_DM_COLD_NON_DEFINITIVE_INVOICE (_id) ON DELETE CASCADE,
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE,
	foreign key (FK_LOCATION) references TBL_DM_LOCATION (_id),
    foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF(_id)
);

create index idx_TBL_DM_RECEIPT_PK on TBL_DM_RECEIPT (_id);
create index idx_TBL_DM_RECEIPT_FK_TIAC on TBL_DM_RECEIPT (FK_TIAC);
create index idx_TBL_DM_RECEIPT_FK_HSI_INVOICE on TBL_DM_RECEIPT (FK_HSI_INVOICE);
create index idx_TBL_DM_RECEIPT_FK_CSMR on TBL_DM_RECEIPT (FK_CSMR);

create table TBL_DM_RECEIPT_ITEM (
	_id 					integer primary key autoincrement,
	FK_RECEIPT				integer not null,
    FK_LKP_TYPE				integer not null,        
    NUMBER					text,
    ACCOUNT_NUMBER			text,
    AMOUNT					text,
    FK_BANK					integer,
    BRANCH					text,
    DUE_DATE				integer,
    DESCRIPTION				text,
	CREATE_DATE				integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_RECEIPT) references TBL_DM_RECEIPT (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_BANK) references TBL_DM_BANK (_id)
);

create index idx_TBL_DM_RECEIPT_ITEM_PK on TBL_DM_RECEIPT_ITEM (_id);
create index idx_TBL_DM_RECEIPT_ITEM_FK_LKP_TYPE on TBL_DM_RECEIPT_ITEM (FK_LKP_TYPE);
create index idx_TBL_DM_RECEIPT_ITEM_FK_RECEIPT on TBL_DM_RECEIPT_ITEM (FK_RECEIPT);

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('نقد', '1', 'RECEIPT_ITEM_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('اعلامیه واریز', '2', 'RECEIPT_ITEM_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('چک', '3', 'RECEIPT_ITEM_TYPE');

