alter table TBL_DM_LATEST_INVOICES_INFO add column FK_SLTP integer not null default -1 references TBL_DM_SALES_TYPE (_id);

alter table TBL_DM_LATEST_INVOICES_INFO add column FK_LKP_PAYER_TYPE integer not null default -1 references TBL_GN_LOOKUP (_id);

alter table TBL_DM_LATEST_INVOICES_INFO add column FK_SLACC_ACCOUNT integer not null default -1 references TBL_DM_SALES_ACCOUNT (_id);

alter table TBL_DM_LATEST_INVOICES_INFO add column EMPLOYEE_SRV_PK integer not null default -1;

alter table TBL_DM_LATEST_INVOICES_INFO add column EMPLOYEE_NAME TEXT not null default '';

alter table TBL_DM_INVOICES_ITEM add column FK_LKP_PRODUCT_TYPE integer not null default -1 references TBL_GN_LOOKUP (_id);

CREATE TABLE TBL_DM_RETURN_PERMIT_REQUEST (
	_id 					integer primary key autoincrement,
	GUID 					text not null unique ON CONFLICT fail,
	NUMBER 					text null, 
	REGISTER_DATE 				integer not null default (strftime('%s','now') * 1000),
	IS_DELETED 				integer not null default 0,
	FK_USRSLOF_REGISTRANT 	                integer not null,
	FK_CSMR 				integer not null,
	FK_PAYAGR 				integer null, 
	DESCRIPTION 				text null,
	IS_CALCULATED 				integer not null default 0, 
	FK_CRNCY 				integer not null, 
	FK_LOCATION				integer null, 
	FK_SLTP 				integer not null,
	FK_SLAR 				integer null, 
	FK_LKP_PAYER_TYPE 			integer not null,
	FK_LKP_STATUS 				integer not null,
	SELLER_EMPLOYEE_SRV_PK			integer null,
	FK_SLACC_ACCOUNT 			integer null,
	PRICE 					real not null default 0, 
	NET_PRICE 				real not null default 0, 
	ADDITION_AMOUNT 			real not null default 0, 
	REDUCTION_AMOUNT 			real not null default 0, 
	FK_SRV_ERR 				integer null,
	OPERATION_DATE				integer null,
	CREATE_DATE 				integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 				integer not null default (strftime('%s','now') * 1000),
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id),
	foreign key (FK_PAYAGR) references TBL_DM_PAYMENT_AGREEMENT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_SLTP) references TBL_DM_SALES_TYPE (_id),
	foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
	foreign key (FK_CRNCY) references TBL_DM_CURRENCY (_id),
	foreign key (FK_LOCATION) references TBL_DM_LOCATION (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLACC_ACCOUNT) references TBL_DM_SALES_ACCOUNT (_id),
	foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SRV_ERR) references TBL_DM_ERROR_MESSAGE (_id)
);


CREATE TABLE TBL_DM_RETURN_PERMIT_REQUEST_ITEM (
	_id 					integer primary key autoincrement,
	FK_RETURN_PERMIT_REQUEST		integer not null, 
	FK_INVOICE_ITEM				integer null,
	PRIORITY 				integer not null,
	IS_DELETED 				integer not null default 0,
	QUANTITY 				real not null,
	FK_PRDT_MEUN 				integer not null,
	FK_RETURN_REASON			integer null,
	FK_SLAR 				integer not null,
	DESCRIPTION 				text null,
	FEE 					real not null default 0,
	PRICE 					real not null default 0,
	NET_PRICE 				real not null default 0,
	ADDITION_AMOUNT 			real not null default 0,
	REDUCTION_AMOUNT 			real not null default 0,
	FK_RETURN_PERMIT_REQUEST_ITEM_PARENT	integer null,
	FK_SLPLCY_FREE_PRODUCT_POLICY 		integer null,
	FREE_PRODUCT_CONDITION_ROW_ID 		integer null,
	FK_LKP_TYPE 				integer not null default 1 references TBL_GN_LOOKUP (_id),
	CREATE_DATE 				integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 				integer not null default (strftime('%s','now') * 1000),
	foreign key (FK_RETURN_PERMIT_REQUEST) references TBL_DM_RETURN_PERMIT_REQUEST (_id) ON DELETE CASCADE, 
	foreign key (FK_INVOICE_ITEM) references TBL_DM_INVOICES_ITEM (_id),
	foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id), 
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_RETURN_PERMIT_REQUEST_ITEM_PARENT) references TBL_DM_RETURN_PERMIT_REQUEST_ITEM (_id), 
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id) 
	UNIQUE (FK_RETURN_PERMIT_REQUEST, FK_PRDT_MEUN,FK_INVOICE_ITEM, FK_RETURN_PERMIT_REQUEST_ITEM_PARENT) ON CONFLICT ROLLBACK
);

CREATE TABLE TBL_DM_RETURN_PERMIT_REQUEST_POLICY_RESULT (
	_id 					integer primary key autoincrement, 
	VALUE 					real null, 
	VALUE_TITLE 				text not null, 
	AMOUNT 					real, 
	IS_ALLOTMENTED 				integer not null, 
	IS_VALUE_CHANGED 			integer not null, 
	FK_SLPLCY 				integer not null, 
	FK_RETURN_PERMIT_REQUEST		integer null, 
	FK_RETURN_PERMIT_REQUEST_ITEM 		integer null, 
	CREATE_DATE 				integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 				integer not null default (strftime('%s','now') * 1000),
	foreign key (FK_RETURN_PERMIT_REQUEST) references TBL_DM_RETURN_PERMIT_REQUEST (_id) ON DELETE CASCADE,
	foreign key (FK_RETURN_PERMIT_REQUEST_ITEM) references TBL_DM_RETURN_PERMIT_REQUEST_ITEM (_id) ON DELETE CASCADE,
	foreign key (FK_SLPLCY) references TBL_DM_SALES_POLICY (_id)
);

CREATE TABLE TBL_DM_SALES_ACCOUNT_backup (
	_id					integer primary key autoincrement, 
	NAME 					text not null,
	NUMBER 					text not null,
	CREATE_DATE 				integer default (strftime('%s','now')*1000),
	CHANGE_DATE 				integer default (strftime('%s','now')*1000),
	IS_DELETED 				integer not null default 0 ,
	SRV_PK 					integer not null unique ON CONFLICT fail, 
	FK_CSMR 				integer not null, 
	foreign key(FK_CSMR) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
);

insert into TBL_DM_SALES_ACCOUNT_backup
	select _id, NAME, NUMBER, CREATE_DATE, CHANGE_DATE, IS_DELETED, SRV_PK, FK_CSMR from TBL_DM_SALES_ACCOUNT;

drop table TBL_DM_SALES_ACCOUNT;	
	
CREATE TABLE TBL_DM_SALES_ACCOUNT (
	_id					integer primary key autoincrement, 
	NAME 					text not null,
	NUMBER 					text not null,
	CREATE_DATE 				integer default (strftime('%s','now')*1000),
	CHANGE_DATE 				integer default (strftime('%s','now')*1000),
	IS_DELETED 				integer not null default 0 ,
	SRV_PK 					integer not null unique ON CONFLICT fail, 
	FK_CSMR 				integer null, 
	foreign key(FK_CSMR) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
);

insert into TBL_DM_SALES_ACCOUNT
	select _id, NAME, NUMBER, CREATE_DATE, CHANGE_DATE, IS_DELETED, SRV_PK, FK_CSMR from TBL_DM_SALES_ACCOUNT_backup;

drop table TBL_DM_SALES_ACCOUNT_backup;


