CREATE TABLE TBL_DM_HOT_SALES_INVOICE_backup (
    _id integer primary key autoincrement,
    NUMBER text null,
    CREATE_DATE integer not null default (strftime('%s','now') * 1000),
    CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
    REGISTER_DATE integer not null default (strftime('%s','now') * 1000),
    IS_DELETED integer not null default 0 ,
    FK_USRSLOF_REGISTRANT integer not null,
    FK_CSMR integer not null,
    FK_ADRS integer null,
    FK_PAYAGR integer null,
    FK_TIAC integer not null,
    GUID text not null unique ON CONFLICT fail,
    DESCRIPTION text null,
    IS_CALCULATED integer not null default 0 ,
    FK_CRNCY integer not null,
    FK_LOCATION integer null,
    FK_SLTP integer not null,
    FK_SLAR integer null,
    FK_LKP_PAYER_TYPE integer not null,
    FK_LKP_STATUS integer not null,
    FK_SLACC_ACCOUNT integer null,
    FK_SRV_ERR integer null,
    PRICE real not null default 0,
    NET_PRICE real not null default 0,
    ADDITION_AMOUNT real not null default 0,
    REDUCTION_AMOUNT real not null default 0,
    IS_PRINTED integer not null default 0 ,
    OPERATION_DATE integer null,
    foreign key( FK_TIAC ) references TBL_DM_TOUR_ITEM_ACTIVITY ( _id ) ON DELETE CASCADE,
    foreign key( FK_CSMR ) references TBL_DM_CUSTOMER ( _id ) ,
    foreign key( FK_ADRS ) references TBL_DM_ADDRESS ( _id ) ,
    foreign key( FK_PAYAGR ) references TBL_DM_PAYMENT_AGREEMENT ( _id ) ,
    foreign key( FK_SLAR ) references TBL_DM_SALES_AREA ( _id ) ,
    foreign key( FK_SLTP ) references TBL_DM_SALES_TYPE ( _id ) ,
    foreign key( FK_USRSLOF_REGISTRANT ) references TBL_DM_USER_SALE_OFFICE_INF ( _id ) ,
    foreign key( FK_CRNCY ) references TBL_DM_CURRENCY ( _id ) ,
    foreign key( FK_LOCATION ) references TBL_DM_LOCATION ( _id ) ON DELETE CASCADE,
    foreign key( FK_LKP_PAYER_TYPE ) references TBL_GN_LOOKUP ( _id ) ,
    foreign key( FK_SRV_ERR ) references TBL_DM_ERROR_MESSAGE ( _id ) ,
    foreign key( FK_SLACC_ACCOUNT ) references TBL_DM_SALES_ACCOUNT ( _id ) ,
    foreign key( FK_LKP_STATUS ) references TBL_GN_LOOKUP ( _id )
);

insert into TBL_DM_HOT_SALES_INVOICE_backup
	select _id, NUMBER, CREATE_DATE, CHANGE_DATE, REGISTER_DATE,IS_DELETED, FK_USRSLOF_REGISTRANT, FK_CSMR, FK_ADRS,
	 FK_PAYAGR, FK_TIAC, GUID, DESCRIPTION, IS_CALCULATED, FK_CRNCY, FK_LOCATION, FK_SLTP, FK_SLAR, FK_LKP_PAYER_TYPE,
	 FK_LKP_STATUS, FK_SLACC_ACCOUNT, FK_SRV_ERR, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, IS_PRINTED, OPERATION_DATE
	from  TBL_DM_HOT_SALES_INVOICE;

drop table  TBL_DM_HOT_SALES_INVOICE;

CREATE TABLE TBL_DM_HOT_SALES_INVOICE (
    _id integer primary key autoincrement,
    NUMBER text null,
    CREATE_DATE integer not null default (strftime('%s','now') * 1000),
    CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
    REGISTER_DATE integer not null default (strftime('%s','now') * 1000),
    IS_DELETED integer not null default 0 ,
    FK_USRSLOF_REGISTRANT integer not null,
    FK_CSMR integer not null,
    FK_ADRS integer null,
    FK_PAYAGR integer null,
    FK_TIAC integer not null,
    GUID text not null unique ON CONFLICT fail,
    DESCRIPTION text null,
    IS_CALCULATED integer not null default 0 ,
    FK_CRNCY integer not null,
    FK_LOCATION integer null,
    FK_SLTP integer not null,
    FK_SLAR integer null,
    FK_LKP_PAYER_TYPE integer not null,
    FK_LKP_STATUS integer not null,
    FK_SLACC_ACCOUNT integer null,
    FK_SRV_ERR integer null,
    PRICE real not null default 0,
    NET_PRICE real not null default 0,
    ADDITION_AMOUNT real not null default 0,
    REDUCTION_AMOUNT real not null default 0,
    IS_PRINTED integer not null default 0 ,
    OPERATION_DATE integer null,
    foreign key( FK_TIAC ) references TBL_DM_TOUR_ITEM_ACTIVITY ( _id ) ON DELETE CASCADE,
    foreign key( FK_CSMR ) references TBL_DM_CUSTOMER ( _id ) ON DELETE CASCADE ,
    foreign key( FK_ADRS ) references TBL_DM_ADDRESS ( _id ) ,
    foreign key( FK_PAYAGR ) references TBL_DM_PAYMENT_AGREEMENT ( _id ) ,
    foreign key( FK_SLAR ) references TBL_DM_SALES_AREA ( _id ) ,
    foreign key( FK_SLTP ) references TBL_DM_SALES_TYPE ( _id ) ,
    foreign key( FK_USRSLOF_REGISTRANT ) references TBL_DM_USER_SALE_OFFICE_INF ( _id ) ,
    foreign key( FK_CRNCY ) references TBL_DM_CURRENCY ( _id ) ,
    foreign key( FK_LOCATION ) references TBL_DM_LOCATION ( _id ) ON DELETE CASCADE,
    foreign key( FK_LKP_PAYER_TYPE ) references TBL_GN_LOOKUP ( _id ) ,
    foreign key( FK_SRV_ERR ) references TBL_DM_ERROR_MESSAGE ( _id ) ,
    foreign key( FK_SLACC_ACCOUNT ) references TBL_DM_SALES_ACCOUNT ( _id ) ,
    foreign key( FK_LKP_STATUS ) references TBL_GN_LOOKUP ( _id )
);

insert into TBL_DM_HOT_SALES_INVOICE
	select _id, NUMBER, CREATE_DATE, CHANGE_DATE, REGISTER_DATE,IS_DELETED, FK_USRSLOF_REGISTRANT, FK_CSMR, FK_ADRS,
	 FK_PAYAGR, FK_TIAC, GUID, DESCRIPTION, IS_CALCULATED, FK_CRNCY, FK_LOCATION, FK_SLTP, FK_SLAR, FK_LKP_PAYER_TYPE,
	 FK_LKP_STATUS, FK_SLACC_ACCOUNT, FK_SRV_ERR, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, IS_PRINTED, OPERATION_DATE
	from  TBL_DM_HOT_SALES_INVOICE_backup;

drop table TBL_DM_HOT_SALES_INVOICE_backup;







CREATE TABLE TBL_DM_ORDER_backup (
    _id integer primary key autoincrement,
    FK_CSMR integer not null,
    FK_ADRS integer,
    FK_PAYAGR integer,
    FK_SLAR integer,
    FK_TIAC integer,
    FK_USRSLOF_REGISTRANT integer not null,
    FK_LKP_STATUS integer not null,
    IS_DELETED integer not null default 0 ,
    CREATE_DATE integer not null default (strftime('%s','now') * 1000),
    CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
    GUID text not null unique ON CONFLICT fail,
    PRICE real not null default 0,
    NET_PRICE real not null default 0,
    ADDITION_AMOUNT real not null default 0,
    REDUCTION_AMOUNT real not null default 0,
    DESCRIPTION text null,
    IS_CALCULATED integer not null default 0 ,
    FK_CRNCY integer not null,
    FK_LOCATION integer null,
    FK_SLTP integer not null,
    FK_LKP_PAYER_TYPE integer not null,
    FK_SRV_ERR integer null,
    FK_PLANT integer,
    NUMBER text null,
    REGISTER_DATE integer null,
    IS_PRINTED integer not null default 0 ,
    FK_STORE integer null references TBL_DM_STORE (_id),
    OPERATION_DATE integer null,
    foreign key( FK_TIAC ) references TBL_DM_TOUR_ITEM_ACTIVITY ( _id ) ON DELETE CASCADE,
    foreign key( FK_CSMR ) references TBL_DM_CUSTOMER ( _id ) ,
    foreign key( FK_ADRS ) references TBL_DM_ADDRESS ( _id ) ,
    foreign key( FK_PAYAGR ) references TBL_DM_PAYMENT_AGREEMENT ( _id ) ,
    foreign key( FK_SLAR ) references TBL_DM_SALES_AREA ( _id ) ,
    foreign key( FK_USRSLOF_REGISTRANT ) references TBL_DM_USER_SALE_OFFICE_INF ( _id ) ,
    foreign key( FK_CRNCY ) references TBL_DM_CURRENCY ( _id ) ,
    foreign key( FK_LOCATION ) references TBL_DM_LOCATION ( _id ) ON DELETE CASCADE,
    foreign key( FK_LKP_PAYER_TYPE ) references TBL_GN_LOOKUP ( _id ) ,
    foreign key( FK_PLANT ) references TBL_DM_PLANTS ( _id ) ,
    foreign key( FK_SRV_ERR ) references TBL_DM_ERROR_MESSAGE ( _id ) ,
    foreign key( FK_LKP_STATUS ) references TBL_GN_LOOKUP ( _id )
);

insert into TBL_DM_ORDER_backup
	select _id, FK_CSMR, FK_ADRS, FK_PAYAGR, FK_SLAR,FK_TIAC, FK_USRSLOF_REGISTRANT, FK_LKP_STATUS, IS_DELETED,
	 CREATE_DATE, CHANGE_DATE, GUID, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, DESCRIPTION, IS_CALCULATED,
	 FK_CRNCY, FK_LOCATION, FK_SLTP, FK_LKP_PAYER_TYPE, FK_SRV_ERR, FK_PLANT, NUMBER, REGISTER_DATE, IS_PRINTED,
	 FK_STORE, OPERATION_DATE
	from  TBL_DM_ORDER;

drop table  TBL_DM_ORDER;

CREATE TABLE TBL_DM_ORDER (
    _id integer primary key autoincrement,
    FK_CSMR integer not null,
    FK_ADRS integer,
    FK_PAYAGR integer,
    FK_SLAR integer,
    FK_TIAC integer,
    FK_USRSLOF_REGISTRANT integer not null,
    FK_LKP_STATUS integer not null,
    IS_DELETED integer not null default 0 ,
    CREATE_DATE integer not null default (strftime('%s','now') * 1000),
    CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
    GUID text not null unique ON CONFLICT fail,
    PRICE real not null default 0,
    NET_PRICE real not null default 0,
    ADDITION_AMOUNT real not null default 0,
    REDUCTION_AMOUNT real not null default 0,
    DESCRIPTION text null,
    IS_CALCULATED integer not null default 0 ,
    FK_CRNCY integer not null,
    FK_LOCATION integer null,
    FK_SLTP integer not null,
    FK_LKP_PAYER_TYPE integer not null,
    FK_SRV_ERR integer null,
    FK_PLANT integer,
    NUMBER text null,
    REGISTER_DATE integer null,
    IS_PRINTED integer not null default 0 ,
    FK_STORE integer null references TBL_DM_STORE (_id),
    OPERATION_DATE integer null,
    foreign key( FK_TIAC ) references TBL_DM_TOUR_ITEM_ACTIVITY ( _id ) ON DELETE CASCADE,
    foreign key( FK_CSMR ) references TBL_DM_CUSTOMER ( _id ) ON DELETE CASCADE ,
    foreign key( FK_ADRS ) references TBL_DM_ADDRESS ( _id ) ,
    foreign key( FK_PAYAGR ) references TBL_DM_PAYMENT_AGREEMENT ( _id ) ,
    foreign key( FK_SLAR ) references TBL_DM_SALES_AREA ( _id ) ,
    foreign key( FK_USRSLOF_REGISTRANT ) references TBL_DM_USER_SALE_OFFICE_INF ( _id ) ,
    foreign key( FK_CRNCY ) references TBL_DM_CURRENCY ( _id ) ,
    foreign key( FK_LOCATION ) references TBL_DM_LOCATION ( _id ) ON DELETE CASCADE,
    foreign key( FK_LKP_PAYER_TYPE ) references TBL_GN_LOOKUP ( _id ) ,
    foreign key( FK_PLANT ) references TBL_DM_PLANTS ( _id ) ,
    foreign key( FK_SRV_ERR ) references TBL_DM_ERROR_MESSAGE ( _id ) ,
    foreign key( FK_LKP_STATUS ) references TBL_GN_LOOKUP ( _id )
);

insert into TBL_DM_ORDER
select _id, FK_CSMR, FK_ADRS, FK_PAYAGR, FK_SLAR,FK_TIAC, FK_USRSLOF_REGISTRANT, FK_LKP_STATUS, IS_DELETED,
	 CREATE_DATE, CHANGE_DATE, GUID, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, DESCRIPTION, IS_CALCULATED,
	 FK_CRNCY, FK_LOCATION, FK_SLTP, FK_LKP_PAYER_TYPE, FK_SRV_ERR, FK_PLANT, NUMBER, REGISTER_DATE, IS_PRINTED,
	 FK_STORE, OPERATION_DATE
	from  TBL_DM_ORDER_backup;

drop table TBL_DM_ORDER_backup;







CREATE TABLE TBL_DM_RETURN_INVOICE_backup (
	_id 					        integer primary key autoincrement,
	GUID 				        	text not null unique ON CONFLICT fail,
	NUMBER 				      	text null,
	REGISTER_DATE 	  		integer not null default (strftime('%s','now') * 1000),
	IS_DELETED 			    	integer not null default 0,
	FK_USRSLOF_REGISTRANT integer not null,
	FK_CSMR 			      	integer not null,
	FK_ADRS 			      	integer null,
	FK_TIAC 			      	integer not null,
	DESCRIPTION 		    	text null,
	SALES_EMPLOYEE_NAME		text null,
	IS_CALCULATED 		  	integer not null default 0,
	FK_RETURN_PERMIT 	  	integer null,
	FK_CRNCY 			      	integer not null,
	FK_LOCATION			    	integer null,
	FK_SLTP 			      	integer not null,
	FK_SLAR 			      	integer null,
	FK_LKP_PAYER_TYPE 		integer not null,
	FK_LKP_STATUS 		  	integer not null,
	FK_SLACC_ACCOUNT 	  	integer null,
	FK_SRV_ERR 				    integer null,
	PRICE 				      	real not null default 0,
	NET_PRICE 		     		real not null default 0,
	ADDITION_AMOUNT   		real not null default 0,
	REDUCTION_AMOUNT 	  	real not null default 0,
	IS_PRINTED 			    	integer not null default 0,
	OPERATION_DATE	   		integer null,
	CREATE_DATE 	    		integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 	    		integer not null default (strftime('%s','now') * 1000),
	foreign key (FK_RETURN_PERMIT) references TBL_DM_RETURN_PERMIT (_id) ON DELETE CASCADE UNIQUE (FK_RETURN_PERMIT) ON CONFLICT ROLLBACK,
	foreign key (FK_TIAC)          references TBL_DM_TOUR_ITEM_ACTIVITY (_id) ON DELETE CASCADE,
	foreign key (FK_CSMR)          references TBL_DM_CUSTOMER (_id),
	foreign key (FK_ADRS)          references TBL_DM_ADDRESS (_id),
	foreign key (FK_SLAR)          references TBL_DM_SALES_AREA (_id),
	foreign key (FK_SLTP)          references TBL_DM_SALES_TYPE (_id),
	foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
	foreign key (FK_CRNCY)          references TBL_DM_CURRENCY (_id),
	foreign key (FK_LOCATION)       references TBL_DM_LOCATION (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SRV_ERR)        references TBL_DM_ERROR_MESSAGE (_id),
	foreign key (FK_SLACC_ACCOUNT)  references TBL_DM_SALES_ACCOUNT (_id),
	foreign key (FK_LKP_STATUS)     references TBL_GN_LOOKUP (_id)
);

insert into TBL_DM_RETURN_INVOICE_backup
	select _id, GUID, NUMBER, REGISTER_DATE, IS_DELETED,FK_USRSLOF_REGISTRANT, FK_CSMR, FK_ADRS,
	 FK_TIAC, DESCRIPTION, SALES_EMPLOYEE_NAME, IS_CALCULATED, FK_RETURN_PERMIT, FK_CRNCY, FK_LOCATION, FK_SLTP, FK_SLAR,
	 FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_SLACC_ACCOUNT, FK_SRV_ERR, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT,
	 IS_PRINTED, OPERATION_DATE, CREATE_DATE, CHANGE_DATE
	from  TBL_DM_RETURN_INVOICE;

drop table  TBL_DM_RETURN_INVOICE;

CREATE TABLE TBL_DM_RETURN_INVOICE (
    _id 				        	integer primary key autoincrement,
	GUID 				          	text not null unique ON CONFLICT fail,
	NUMBER 				        	text null,
	REGISTER_DATE 		    	integer not null default (strftime('%s','now') * 1000),
	IS_DELETED 			      	integer not null default 0,
	FK_USRSLOF_REGISTRANT 	integer not null,
	FK_CSMR 			        	integer not null,
	FK_ADRS 				        integer null,
	FK_TIAC 			        	integer not null,
	DESCRIPTION 	      		text null,
	SALES_EMPLOYEE_NAME	  	text null,
	IS_CALCULATED 	    		integer not null default 0,
	FK_RETURN_PERMIT 	    	integer null,
	FK_CRNCY 			        	integer not null,
	FK_LOCATION			      	integer null,
	FK_SLTP 			        	integer not null,
	FK_SLAR 			        	integer null,
	FK_LKP_PAYER_TYPE 	  	integer not null,
	FK_LKP_STATUS 		    	integer not null,
	FK_SLACC_ACCOUNT 	    	integer null,
	FK_SRV_ERR 			      	integer null,
	PRICE 				        	real not null default 0,
	NET_PRICE 			      	real not null default 0,
	ADDITION_AMOUNT 	    	real not null default 0,
	REDUCTION_AMOUNT 	    	real not null default 0,
	IS_PRINTED 				      integer not null default 0,
	OPERATION_DATE		    	integer null,
	CREATE_DATE 		      	integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 		      	integer not null default (strftime('%s','now') * 1000),
	foreign key (FK_RETURN_PERMIT)   references TBL_DM_RETURN_PERMIT (_id) ON DELETE CASCADE UNIQUE (FK_RETURN_PERMIT) ON CONFLICT ROLLBACK,
	foreign key (FK_TIAC)            references TBL_DM_TOUR_ITEM_ACTIVITY (_id) ON DELETE CASCADE,
	foreign key (FK_CSMR)            references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE,
	foreign key (FK_ADRS)            references TBL_DM_ADDRESS (_id),
	foreign key (FK_SLAR)            references TBL_DM_SALES_AREA (_id),
	foreign key (FK_SLTP)            references TBL_DM_SALES_TYPE (_id),
	foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
	foreign key (FK_CRNCY)           references TBL_DM_CURRENCY (_id),
	foreign key (FK_LOCATION)        references TBL_DM_LOCATION (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_PAYER_TYPE)  references TBL_GN_LOOKUP (_id),
	foreign key (FK_SRV_ERR)         references TBL_DM_ERROR_MESSAGE (_id),
	foreign key (FK_SLACC_ACCOUNT)   references TBL_DM_SALES_ACCOUNT (_id),
	foreign key (FK_LKP_STATUS)      references TBL_GN_LOOKUP (_id)
);

insert into TBL_DM_RETURN_INVOICE
	select _id, GUID, NUMBER, REGISTER_DATE, IS_DELETED,FK_USRSLOF_REGISTRANT, FK_CSMR, FK_ADRS,
	 FK_TIAC, DESCRIPTION, SALES_EMPLOYEE_NAME, IS_CALCULATED, FK_RETURN_PERMIT, FK_CRNCY, FK_LOCATION, FK_SLTP, FK_SLAR,
	 FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_SLACC_ACCOUNT, FK_SRV_ERR, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT,
	 IS_PRINTED, OPERATION_DATE, CREATE_DATE, CHANGE_DATE
	from  TBL_DM_RETURN_INVOICE_backup;

drop table TBL_DM_RETURN_INVOICE_backup;






CREATE TABLE TBL_DM_RETURN_PERMIT_backup (
	_id 					          integer primary key autoincrement,
	SRV_PK					        integer not null unique ON CONFLICT fail,
	NUMBER					        text,
  FK_TOUR_ITEM		        integer not null,
  FK_DIST_ASSIGNMENT	    integer not null,
  FK_SLACC_ACCOUNT		    integer null,
  FK_CSMR			      	    integer not null,
	DATE					          integer,
	SALES_EMPLOYEE_NAME   	text,
  FK_ADRS					        integer null,
	PRICE					          real not null,
  NET_PRICE				        real not null,
  DESCRIPTION				      text,
  ADDITION_AMOUNT			    real not null,
  REDUCTION_AMOUNT		    real not null,
  FK_CRNCY 				        integer not null,
  FK_SLTP 				        integer not null,
  FK_SLAR 				        integer,
  FK_LKP_PAYER_TYPE 	    integer not null,
  FK_LKP_STATUS 			    integer not null,
  FK_PLANT				        integer,
  FK_USRSLOF_REGISTRANT 	integer not null,
  LATITUDE				        real,
  LONGITUDE				        real,
  FK_LKP_PROVIDER			    integer,
  OPERATION_DATE			    integer null,
	CREATE_DATE				      integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				      integer default (strftime('%s','now')*1000) not null,
	FK_PAYAGR               integer null,
	FOREIGN key (FK_PAYAGR) references TBL_DM_PAYMENT_AGREEMENT (_id),
	foreign key (FK_TOUR_ITEM) references TBL_DM_TOUR_ITEM (_id) ON DELETE CASCADE,
	foreign key (FK_DIST_ASSIGNMENT) references TBL_DM_DISTRIBUTION_ASSIGNMENT (_id),
	foreign key (FK_SLACC_ACCOUNT) references TBL_DM_SALES_ACCOUNT (_id),
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id),
	foreign key (FK_ADRS) references TBL_DM_ADDRESS (_id),
	foreign key (FK_CRNCY) references TBL_DM_CURRENCY (_id),
	foreign key (FK_SLTP) references TBL_DM_SALES_TYPE (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id),
	foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
	foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
	foreign key (FK_LKP_PROVIDER) references TBL_GN_LOOKUP (_id)
);

insert into TBL_DM_RETURN_PERMIT_backup
	select _id, SRV_PK, NUMBER, FK_TOUR_ITEM, FK_DIST_ASSIGNMENT, FK_SLACC_ACCOUNT, FK_CSMR, DATE, SALES_EMPLOYEE_NAME,
	 FK_ADRS, PRICE, NET_PRICE, DESCRIPTION, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_CRNCY, FK_SLTP, FK_SLAR,
	 FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_PLANT, FK_USRSLOF_REGISTRANT, LATITUDE, LONGITUDE, FK_LKP_PROVIDER, OPERATION_DATE,
	 CREATE_DATE, CHANGE_DATE, FK_PAYAGR
	from  TBL_DM_RETURN_PERMIT;

drop table  TBL_DM_RETURN_PERMIT;

CREATE TABLE TBL_DM_RETURN_PERMIT (
	_id 					          integer primary key autoincrement,
	SRV_PK					        integer not null unique ON CONFLICT fail,
	NUMBER					        text,
  FK_TOUR_ITEM		        integer not null,
  FK_DIST_ASSIGNMENT	    integer not null,
  FK_SLACC_ACCOUNT		    integer null,
  FK_CSMR			      	    integer not null,
	DATE					          integer,
	SALES_EMPLOYEE_NAME   	text,
  FK_ADRS					        integer null,
	PRICE					          real not null,
  NET_PRICE				        real not null,
  DESCRIPTION				      text,
  ADDITION_AMOUNT			    real not null,
  REDUCTION_AMOUNT		    real not null,
  FK_CRNCY 				        integer not null,
  FK_SLTP 				        integer not null,
  FK_SLAR 				        integer,
  FK_LKP_PAYER_TYPE 	    integer not null,
  FK_LKP_STATUS 			    integer not null,
  FK_PLANT				        integer,
  FK_USRSLOF_REGISTRANT 	integer not null,
  LATITUDE				        real,
  LONGITUDE				        real,
  FK_LKP_PROVIDER			    integer,
  OPERATION_DATE			    integer null,
	CREATE_DATE				      integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				      integer default (strftime('%s','now')*1000) not null,
	FK_PAYAGR               integer null,
	FOREIGN key (FK_PAYAGR) references TBL_DM_PAYMENT_AGREEMENT (_id),
	foreign key (FK_TOUR_ITEM) references TBL_DM_TOUR_ITEM (_id) ON DELETE CASCADE,
	foreign key (FK_DIST_ASSIGNMENT) references TBL_DM_DISTRIBUTION_ASSIGNMENT (_id),
	foreign key (FK_SLACC_ACCOUNT) references TBL_DM_SALES_ACCOUNT (_id),
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE,
	foreign key (FK_ADRS) references TBL_DM_ADDRESS (_id),
	foreign key (FK_CRNCY) references TBL_DM_CURRENCY (_id),
	foreign key (FK_SLTP) references TBL_DM_SALES_TYPE (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id),
	foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
	foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
	foreign key (FK_LKP_PROVIDER) references TBL_GN_LOOKUP (_id)
);

insert into TBL_DM_RETURN_PERMIT
	select _id, SRV_PK, NUMBER, FK_TOUR_ITEM, FK_DIST_ASSIGNMENT, FK_SLACC_ACCOUNT, FK_CSMR, DATE, SALES_EMPLOYEE_NAME,
	 FK_ADRS, PRICE, NET_PRICE, DESCRIPTION, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_CRNCY, FK_SLTP, FK_SLAR,
	 FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_PLANT, FK_USRSLOF_REGISTRANT, LATITUDE, LONGITUDE, FK_LKP_PROVIDER, OPERATION_DATE,
	 CREATE_DATE, CHANGE_DATE, FK_PAYAGR
	from  TBL_DM_RETURN_PERMIT_backup;

drop table  TBL_DM_RETURN_PERMIT_backup;






CREATE TABLE TBL_DM_TOUR_ITEM_backup (
  _id           integer primary key autoincrement,
  FK_TOUR       integer not null,
  FK_CSMR       integer not null,
  FK_CSMR_ADDR  integer,
  PRIORITY      integer,
  FK_SRV_ERR    integer null,
  IS_PLANNED    integer not null default 1,
  SRV_PK        integer null,
  IS_DELETED    integer not null default 0 ,
  CREATE_DATE   integer not null default (strftime('%s','now')*1000),
  CHANGE_DATE   integer not null default (strftime('%s','now')*1000),
  foreign key( FK_TOUR )      references TBL_DM_TOUR ( _id ) ON DELETE CASCADE,
  foreign key( FK_CSMR_ADDR ) references TBL_DM_ADDRESS ( _id ),
  foreign key( FK_SRV_ERR )   references TBL_DM_ERROR_MESSAGE ( _id ) ,
  foreign key( FK_CSMR )      references TBL_DM_CUSTOMER ( _id )
);

insert into TBL_DM_TOUR_ITEM_backup
	select _id, FK_TOUR, FK_CSMR, FK_CSMR_ADDR, PRIORITY, FK_SRV_ERR, IS_PLANNED, SRV_PK, IS_DELETED,
	 CREATE_DATE, CHANGE_DATE
	from  TBL_DM_TOUR_ITEM;

drop table  TBL_DM_TOUR_ITEM;

CREATE TABLE TBL_DM_TOUR_ITEM (
  _id           integer primary key autoincrement,
  FK_TOUR       integer not null,
  FK_CSMR       integer not null,
  FK_CSMR_ADDR  integer,
  PRIORITY      integer,
  FK_SRV_ERR    integer null,
  IS_PLANNED    integer not null default 1,
  SRV_PK        integer null,
  IS_DELETED    integer not null default 0 ,
  CREATE_DATE   integer not null default (strftime('%s','now')*1000),
  CHANGE_DATE   integer not null default (strftime('%s','now')*1000),
  foreign key( FK_TOUR )      references TBL_DM_TOUR ( _id ) ON DELETE CASCADE,
  foreign key( FK_CSMR_ADDR ) references TBL_DM_ADDRESS ( _id ),
  foreign key( FK_SRV_ERR )   references TBL_DM_ERROR_MESSAGE ( _id ) ,
  foreign key( FK_CSMR )      references TBL_DM_CUSTOMER ( _id )  ON DELETE CASCADE
);

insert into TBL_DM_TOUR_ITEM
	select _id, FK_TOUR, FK_CSMR, FK_CSMR_ADDR, PRIORITY, FK_SRV_ERR, IS_PLANNED, SRV_PK, IS_DELETED,
	 CREATE_DATE, CHANGE_DATE
	from  TBL_DM_TOUR_ITEM_backup;

drop table  TBL_DM_TOUR_ITEM_backup;

