CREATE TABLE TBL_DM_COLLECTION_LIST_ITEM (
	_id 					            INTEGER PRIMARY KEY autoincrement,
	FK_TOUR                   INTEGER NOT NULL,
	SRV_PK                    INTEGER NOT NULL,
 	NUMBER				            INTEGER NOT NULL,
 	INVOICE_SRV_PK			      INTEGER  NOT NULL,
  INVOICE_NUMBER            INTEGER  NOT NULL,
  INVOICE_DATE	            INTEGER NOT NULL,
  PAYMENT_AGREEMENT_SRV_PK	INTEGER  NOT NULL,
  SETTLEMENT_RESPITE		    TEXT ,
  SETTLEMENT_DATE           INTEGER,
  SALES_EMPLOYEE_NAME       TEXT,
  FK_CUSTOMER               INTEGER  NOT NULL,
  NET_PRICE                 FLOAT  NOT NULL,
  CURRENCY_SRV_PK           INTEGER  NOT NULL,
  COLLECTABLE_AMOUNT        FLOAT  NOT NULL,
  IS_PRINTED                INTEGER NOT NULL DEFAULT 0,
  IS_DELETED                INTEGER NOT NULL DEFAULT 0,
	CREATE_DATE		            INTEGER NOT NULL DEFAULT (strftime('%s','now')*1000),
	CHANGE_DATE		            INTEGER NOT NULL DEFAULT (strftime('%s','now')*1000),
	FOREIGN KEY (FK_TOUR)     REFERENCES TBL_DM_TOUR (_id) ON DELETE CASCADE,
	FOREIGN KEY (FK_CUSTOMER)     REFERENCES TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
);

CREATE index idx_TBL_DM_COLLECTION_LIST_ITEM          ON TBL_DM_COLLECTION_LIST_ITEM (_id);
CREATE index idx_TBL_DM_COLLECTION_LIST_ITEM_FK_TOUR  ON TBL_DM_COLLECTION_LIST_ITEM (FK_TOUR);
CREATE index idx_TBL_DM_COLLECTION_LIST_ITEM_FK_CUSTOMER  ON TBL_DM_COLLECTION_LIST_ITEM (FK_CUSTOMER);

ALTER TABLE TBL_DM_RECEIPT ADD COLUMN FK_COLLECTION_LIST_ITEM INTEGER;
create index idx_TBL_DM_RECEIPT_FK_COlLECTION_LIST_ITEM on TBL_DM_RECEIPT (FK_COlLECTION_LIST_ITEM);

