update TBL_DM_SALES_ASSIGNMENT set FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SALES_ASSIGNMENT_STATUS_TYPE' and CODE = '1')
where FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SENDING_SALES_DOC_TYPE' and CODE = '1');

update TBL_DM_SALES_ASSIGNMENT set FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SALES_ASSIGNMENT_STATUS_TYPE' and CODE = '2')
where FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SENDING_SALES_DOC_TYPE' and CODE = '2');

update TBL_DM_SALES_ASSIGNMENT set FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SALES_ASSIGNMENT_STATUS_TYPE' and CODE = '3')
where FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SENDING_SALES_DOC_TYPE' and CODE = '3');

update TBL_DM_SALES_ASSIGNMENT set FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SALES_ASSIGNMENT_STATUS_TYPE' and CODE = '4')
where FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SENDING_SALES_DOC_TYPE' and CODE = '4');

update TBL_DM_RETURN_PERMIT set FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'RETURN_PERMIT_STATUS_TYPE' and CODE = '1')
where FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SENDING_SALES_DOC_TYPE' and CODE = '1');

update TBL_DM_RETURN_PERMIT set FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'RETURN_PERMIT_STATUS_TYPE' and CODE = '2')
where FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SENDING_SALES_DOC_TYPE' and CODE = '2');

update TBL_DM_RETURN_PERMIT set FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'RETURN_PERMIT_STATUS_TYPE' and CODE = '3')
where FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SENDING_SALES_DOC_TYPE' and CODE = '3');

update TBL_DM_RETURN_PERMIT set FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'RETURN_PERMIT_STATUS_TYPE' and CODE = '4')
where FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where TYPE = 'SENDING_SALES_DOC_TYPE' and CODE = '4');


alter table TBL_DM_RETURN_PERMIT add column FK_PAYAGR integer null references TBL_DM_PAYMENT_AGREEMENT (_id);

drop table TBL_DM_COLD_DEFINITIVE_INVOICE;

CREATE TABLE TBL_DM_COLD_DEFINITIVE_INVOICE (
	  _id 					        integer primary key autoincrement,
	  SRV_PK					      integer not null unique ON CONFLICT fail,
	  GUID 					        text not null unique ON CONFLICT fail,
	  NUMBER					      text,
    FK_TOUR_ITEM		      integer not null,
    FK_DIST_ASSIGNMENT	  integer not null,
    FK_SLACC_ACCOUNT		  integer null,
    FK_CSMR			      	  integer not null,
	  DATE					        integer,
	  SALES_EMPLOYEE_NAME	  text,
    FK_PAYAGR				      integer null,
    FK_ADRS					      integer null,
	  PRICE					        real not null,
    NET_PRICE				      real not null,
    DESCRIPTION				    text,
    ADDITION_AMOUNT			  real not null,
    REDUCTION_AMOUNT		  real not null,
    FK_CRNCY 				      integer not null,
    FK_SLTP 				      integer not null,
    FK_SLAR 				      integer,
    FK_LKP_PAYER_TYPE 	  integer not null,
    FK_LKP_STATUS 			  integer not null,
    FK_PLANT				      integer,
    FK_STORE				      integer,
    FK_USRSLOF_REGISTRANT integer not null,
    LATITUDE				      real,
    LONGITUDE				      real,
    FK_LKP_PROVIDER			  integer,
    IS_CALCULATED 			  integer not null default 1,
    IS_PRINTED 				    integer not null default 0,
    OPERATION_DATE			  integer null,
    CREATE_DATE				    integer default (strftime('%s','now')*1000) not null,
    CHANGE_DATE				    integer default (strftime('%s','now')*1000) not null,
    REGISTER_DATE				  integer default (strftime('%s','now')*1000) not null,
    foreign key (FK_TOUR_ITEM) references TBL_DM_TOUR_ITEM (_id) ON DELETE CASCADE,
    foreign key (FK_DIST_ASSIGNMENT) references TBL_DM_DISTRIBUTION_ASSIGNMENT (_id),
    foreign key (FK_SLACC_ACCOUNT) references TBL_DM_SALES_ACCOUNT (_id),
    foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id),
    foreign key (FK_PAYAGR) references TBL_DM_PAYMENT_AGREEMENT (_id),
    foreign key (FK_ADRS) references TBL_DM_ADDRESS (_id),
    foreign key (FK_CRNCY) references TBL_DM_CURRENCY (_id),
    foreign key (FK_SLTP) references TBL_DM_SALES_TYPE (_id),
    foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
    foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
    foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id),
    foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
    foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
    foreign key (FK_LKP_PROVIDER) references TBL_GN_LOOKUP (_id)
);

create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_PK on TBL_DM_COLD_DEFINITIVE_INVOICE (_id);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_SRV_PK on TBL_DM_COLD_DEFINITIVE_INVOICE (SRV_PK);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_FK_TOUR_ITEM on TBL_DM_COLD_DEFINITIVE_INVOICE (FK_TOUR_ITEM);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_FK_DIST_ASSIGNMENT on TBL_DM_COLD_DEFINITIVE_INVOICE (FK_DIST_ASSIGNMENT);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_FK_CSMR on TBL_DM_COLD_DEFINITIVE_INVOICE (FK_CSMR);

delete from TBL_GN_LOOKUP where TYPE = 'COLD_DEFINITIVE_INVOICE_STATUS_TYPE';

drop table TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM;

create table TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (
	  _id 								                integer primary key autoincrement,
	  SRV_PK								              integer not null unique ON CONFLICT fail,
    ITEM_INDEX							            integer not null,
    FK_COLD_DEFINITIVE_INVOICE     	    integer not null,
    FK_PRODUCT		      	        	    integer not null,
    FK_LKP_TYPE                         integer not null,
	  FK_FIRST_TRACKING_FACTOR			      integer,
    FIRST_TRACKING_FACTOR_VALUE			    text,
    FIRST_TRACKING_FACTOR_VALUE_TITLE	  text,
	  FIRST_PART_TRACKING_FACTOR 			    integer,
    FK_SECOND_TRACKING_FACTOR			      integer,
    SECOND_TRACKING_FACTOR_VALUE		    text,
    SECOND_TRACKING_FACTOR_VALUE_TITLE	text,
    SECOND_PART_TRACKING_FACTOR			    integer,
    FK_THIRD_TRACKING_FACTOR			      integer,
    THIRD_TRACKING_FACTOR_VALUE			    text,
    THIRD_TRACKING_FACTOR_VALUE_TITLE	  text,
    THIRD_PART_TRACKING_FACTOR			    integer,
    FK_FOURTH_TRACKING_FACTOR			      integer,
    FOURTH_TRACKING_FACTOR_VALUE		    text,
    FOURTH_TRACKING_FACTOR_VALUE_TITLE	text,
    FOURTH_PART_TRACKING_FACTOR			    integer,
    FK_FIFTH_TRACKING_FACTOR			      integer,
    FIFTH_TRACKING_FACTOR_VALUE			    text,
    FIFTH_TRACKING_FACTOR_VALUE_TITLE	  text,
    FIFTH_PART_TRACKING_FACTOR			    integer,
    QUANTITY			      			          real not null,
    FK_PRDT_MEUN								        integer not null,
    DESCRIPTION							            text,
	  FK_SLAR								              integer not null,
    FEE									                real not null,
    PRICE								                real not null,
	  NET_PRICE							              real not null,
    ADDITION_AMOUNT						          real not null,
    REDUCTION_AMOUNT					          real not null,
    PARENT_ITEM_INDEX					          integer,
    FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
    FREE_PRODUCT_CONDITION_ROW_ID		    integer,
    CREATE_DATE							            integer default (strftime('%s','now')*1000) not null,
    CHANGE_DATE							            integer default (strftime('%s','now')*1000) not null,
    foreign key (FK_COLD_DEFINITIVE_INVOICE) references TBL_DM_COLD_DEFINITIVE_INVOICE (_id) ON DELETE CASCADE,
    foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
    foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
    foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
    foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
    foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
);

create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_PK on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (_id);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_SRV_PK on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (SRV_PK);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_FK_COLD_DEFINITIVE_INVOICE on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (FK_COLD_DEFINITIVE_INVOICE);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_FK_PRODUCT on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (FK_PRODUCT);

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('توزیع نشده' , '1', 'COLD_DEFINITIVE_INVOICE_STATUS_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تحویل شده' , '2', 'COLD_DEFINITIVE_INVOICE_STATUS_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('عدم تحویل' , '3', 'COLD_DEFINITIVE_INVOICE_STATUS_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تحویل موقت' , '4', 'COLD_DEFINITIVE_INVOICE_STATUS_TYPE');


INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ابطال فاکتور و بستن سفارش', '1', 'COLD_DEFINITIVE_INVOICE_FAIL_ACTION_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ابطال فاکتور و استفاده مجدد سفارش', '2', 'COLD_DEFINITIVE_INVOICE_FAIL_ACTION_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('توزیع مجدد فاکتور', '3', 'COLD_DEFINITIVE_INVOICE_FAIL_ACTION_TYPE');

alter table TBL_DM_TRTM_ACT_UNEXEC_REASON_INF add column FK_COLD_DEFINITIVE_INVOICE integer null references TBL_DM_COLD_DEFINITIVE_INVOICE (_id);

alter table TBL_DM_RECEIPT add column FK_CDI_INVOICE	integer null references TBL_DM_COLD_DEFINITIVE_INVOICE (_id) ON DELETE CASCADE;

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('در حال لغو بعد از ارسال', '6', 'SENDING_SALES_DOC_TYPE');