INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تایید نشده', '1', 'DISTRIBUTION_ASSIGNMENT_STATUS_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تایید شده', '2', 'DISTRIBUTION_ASSIGNMENT_STATUS_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تحویل شده', '3', 'DISTRIBUTION_ASSIGNMENT_STATUS_TYPE');

create table TBL_DM_DISTRIBUTION_ASSIGNMENT_backup (
	_id 					          integer primary key autoincrement,
	SRV_PK					        integer not null unique ON CONFLICT fail,
  FK_TOUR					        integer not null,
  NUMBER					        text,
  VEHICLE_NUMBER			    text,
  DRIVER_NAME				      text,
  DELIVER_DATE 			      integer not null,
	FK_STORE				        integer,
	FK_PLANT                integer not null,
	TRANSPORTATION_COMPANY	text,
	IS_CONFIRMED			      integer not null,
	CREATE_DATE				      integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				      integer default (strftime('%s','now')*1000) not null
);

insert into TBL_DM_DISTRIBUTION_ASSIGNMENT_backup
	select _id, SRV_PK, FK_TOUR, NUMBER, VEHICLE_NUMBER, DRIVER_NAME, DELIVER_DATE, FK_STORE, FK_PLANT,
	       TRANSPORTATION_COMPANY, IS_CONFIRMED, CREATE_DATE, CHANGE_DATE
	from TBL_DM_DISTRIBUTION_ASSIGNMENT;

drop table TBL_DM_DISTRIBUTION_ASSIGNMENT;

create table TBL_DM_VEHICLE_REPOSITORY_DELIVERY (
  _id 					          integer primary key autoincrement,
  FK_TOUR					        integer not null,
  DELIVERY_DATE           integer not null,
  CREATE_DATE				      integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				      integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_TOUR) references TBL_DM_TOUR (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PK on TBL_DM_VEHICLE_REPOSITORY_DELIVERY (_id);
create index idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_FK_TOUR on TBL_DM_VEHICLE_REPOSITORY_DELIVERY (FK_TOUR);
create index idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_DELIVERY_DATE on TBL_DM_VEHICLE_REPOSITORY_DELIVERY (DELIVERY_DATE);

create table TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT (
	_id 								                integer primary key autoincrement,
  FK_VEHICLE_REPOSITORY_DELIVERY      integer not null,
  FK_PRODUCT		      	        	    integer not null,
  FK_FIRST_TRACKING_FACTOR			      integer,
  FIRST_TRACKING_FACTOR_VALUE			    text,
  FIRST_TRACKING_FACTOR_VALUE_TITLE	  text,
	FIRST_PART_TRACKING_FACTOR 			    integer,
  FK_SECOND_TRACKING_FACTOR			      integer,
  SECOND_TRACKING_FACTOR_VALUE		    text,
  SECOND_TRACKING_FACTOR_VALUE_TITLE	text,
  SECOND_PART_TRACKING_FACTOR			    integer,
  FK_THIRD_TRACKING_FACTOR			      integer,
  THIRD_TRACKING_FACTOR_VALUE			    text,
  THIRD_TRACKING_FACTOR_VALUE_TITLE	  text,
  THIRD_PART_TRACKING_FACTOR			    integer,
  FK_FOURTH_TRACKING_FACTOR			      integer,
  FOURTH_TRACKING_FACTOR_VALUE			  text,
  FOURTH_TRACKING_FACTOR_VALUE_TITLE	text,
  FOURTH_PART_TRACKING_FACTOR			    integer,
  FK_FIFTH_TRACKING_FACTOR			      integer,
  FIFTH_TRACKING_FACTOR_VALUE			    text,
  FIFTH_TRACKING_FACTOR_VALUE_TITLE	  text,
  FIFTH_PART_TRACKING_FACTOR			    integer,
	CREATE_DATE							            integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							            integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_VEHICLE_REPOSITORY_DELIVERY) references TBL_DM_VEHICLE_REPOSITORY_DELIVERY (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)
);

create index idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT_PK on TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT (_id);
create index idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT_FK_VEHICLE_REPOSITORY_DELIVERY on TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT (FK_VEHICLE_REPOSITORY_DELIVERY);
create index idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT_FK_PRODUCT on TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT (FK_PRODUCT);

CREATE TABLE TBL_DM_VHCL_RPSTRY_DLVRY_PRDT_AMOUNT (
	_id 				      integer primary key autoincrement,
  FK_VHCL_RPSTRY_DLVRY_PRDT		  integer not null,
  FK_MEUN			                  integer not null,
  HEALTHY_QUANTITY	            real not null,
  WASTE_QUANTITY		            real not null,
	CREATE_DATE			              integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE			              integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_VHCL_RPSTRY_DLVRY_PRDT) references TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT (_id) ON DELETE CASCADE,
	foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id)
);

create index idx_TBL_DM_VHCL_RPSTRY_DLVRY_PRDT_AMOUNT_PK on TBL_DM_VHCL_RPSTRY_DLVRY_PRDT_AMOUNT (_id);
create index idx_TBL_DM_VHCL_RPSTRY_DLVRY_PRDT_AMOUNT_FK_VHCL_RPSTRY_DLVRY_PRDT on TBL_DM_VHCL_RPSTRY_DLVRY_PRDT_AMOUNT (FK_VHCL_RPSTRY_DLVRY_PRDT);
create index idx_TBL_DM_VHCL_RPSTRY_DLVRY_PRDT_AMOUNT_FK_MEUN on TBL_DM_VHCL_RPSTRY_DLVRY_PRDT_AMOUNT (FK_MEUN);

create table TBL_DM_DISTRIBUTION_ASSIGNMENT (
	_id 					                  integer primary key autoincrement,
	SRV_PK					                integer not null unique ON CONFLICT fail,
  FK_TOUR					                integer not null,
  NUMBER					                text,
  VEHICLE_NUMBER			            text,
  DRIVER_NAME				              text,
  DELIVER_DATE 			              integer not null,
	FK_STORE				                integer,
	FK_PLANT                        integer not null,
	TRANSPORTATION_COMPANY	        text,
	FK_LKP_STATUS 			            integer not null,
	FK_VEHICLE_REPOSITORY_DELIVERY  integer null,
	CREATE_DATE				              integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				              integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_TOUR) references TBL_DM_TOUR (_id) ON DELETE CASCADE,
	foreign key (FK_STORE) references TBL_DM_STORE (_id),
	foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
	foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id),
	foreign key (FK_VEHICLE_REPOSITORY_DELIVERY) references TBL_DM_VEHICLE_REPOSITORY_DELIVERY (_id)
);

create index idx_TBL_DM_DISTRIBUTION_ASSIGNMENT_PK on TBL_DM_DISTRIBUTION_ASSIGNMENT (_id);
create index idx_TBL_DM_DISTRIBUTION_ASSIGNMENT_SRV_PK on TBL_DM_DISTRIBUTION_ASSIGNMENT (SRV_PK);
create index idx_TBL_DM_DISTRIBUTION_ASSIGNMENT_FK_TOUR on TBL_DM_DISTRIBUTION_ASSIGNMENT (FK_TOUR);
create index idx_TBL_DM_DISTRIBUTION_ASSIGNMENT_NUMBER on TBL_DM_DISTRIBUTION_ASSIGNMENT (NUMBER);
create index idx_TBL_DM_DISTRIBUTION_ASSIGNMENT_DELIVER_DATE on TBL_DM_DISTRIBUTION_ASSIGNMENT (DELIVER_DATE);
create index idx_TBL_DM_DISTRIBUTION_ASSIGNMENT_FK_VEHICLE_REPOSITORY_DELIVERY on TBL_DM_DISTRIBUTION_ASSIGNMENT (FK_VEHICLE_REPOSITORY_DELIVERY);

insert into TBL_DM_DISTRIBUTION_ASSIGNMENT
	select _id, SRV_PK, FK_TOUR, NUMBER, VEHICLE_NUMBER, DRIVER_NAME, DELIVER_DATE, FK_STORE, FK_PLANT, TRANSPORTATION_COMPANY,
	       (select _id from TBL_GN_LOOKUP where CODE = '1' AND TYPE = 'DISTRIBUTION_ASSIGNMENT_STATUS_TYPE'),
	       null, CREATE_DATE, CHANGE_DATE
	from TBL_DM_DISTRIBUTION_ASSIGNMENT_backup
	where IS_CONFIRMED = 0;

insert into TBL_DM_DISTRIBUTION_ASSIGNMENT
	select _id, SRV_PK, FK_TOUR, NUMBER, VEHICLE_NUMBER, DRIVER_NAME, DELIVER_DATE, FK_STORE, FK_PLANT, TRANSPORTATION_COMPANY,
	       (select _id from TBL_GN_LOOKUP where CODE = '2' AND TYPE = 'DISTRIBUTION_ASSIGNMENT_STATUS_TYPE'),
	       null, CREATE_DATE, CHANGE_DATE
	from TBL_DM_DISTRIBUTION_ASSIGNMENT_backup
	where IS_CONFIRMED = 1;

drop table TBL_DM_DISTRIBUTION_ASSIGNMENT_backup;





