create table TBL_DM_LOCATION_TRACKING (
	_id 					  INTEGER PRIMARY KEY autoincrement,
 	FK_USER				  INTEGER NOT NULL,
 	FK_TOUR				  INTEGER ,
  DEVICE_ID       TEXT,
  FK_LKP_STATUS	  INTEGER NOT NULL,
  LATITUDE			  DOUBLE ,
  LONGITUDE			  DOUBLE ,
  OPERATION_DATE  INTEGER,
  FK_LKP_PROVIDER INTEGER,
  DESCRIPTION     TEXT,
  IS_DELETED      INTEGER NOT NULL DEFAULT 0,
	CREATE_DATE		  INTEGER NOT NULL DEFAULT (strftime('%s','now')*1000),
	CHANGE_DATE		  INTEGER NOT NULL DEFAULT (strftime('%s','now')*1000),
 	FOREIGN KEY (FK_USER)       REFERENCES TBL_GN_USER (_id) ON DELETE CASCADE,
	FOREIGN KEY (FK_LKP_STATUS) REFERENCES TBL_GN_LOOKUP (_id) ON DELETE CASCADE,
	FOREIGN KEY (FK_LKP_PROVIDER) REFERENCES TBL_GN_LOOKUP (_id) ON DELETE CASCADE,
	FOREIGN KEY (FK_TOUR)       REFERENCES TBL_DM_TOUR (_id) ON DELETE CASCADE
);

CREATE index idx_TBL_DM_LOCATION_TRACKING_PK            ON TBL_DM_LOCATION_TRACKING (_id);
CREATE index idx_TBL_DM_LOCATION_TRACKING_FK_LKP_STATUS ON TBL_DM_LOCATION_TRACKING (FK_LKP_STATUS);
CREATE index idx_TBL_DM_LOCATION_TRACKING_FK_USER       ON TBL_DM_LOCATION_TRACKING (FK_USER);
CREATE index idx_TBL_DM_LOCATION_TRACKING_FK_TOUR       ON TBL_DM_LOCATION_TRACKING (FK_TOUR);

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('ارسال شده', '1', 'LOCATION_TRACKING_STATUS');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('ارسال نشده', '0', 'LOCATION_TRACKING_STATUS');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('gps', '1', 'LOCATION_PROVIDER');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('network', '2', 'LOCATION_PROVIDER');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('passive', '3', 'LOCATION_PROVIDER');

create table TBL_DM_LOCATION_TRACKING_SETTINGS_LOG (
	_id 					  INTEGER PRIMARY KEY autoincrement,
 	FK_USER				  INTEGER NOT NULL,
 	FK_TOUR				  INTEGER ,
  LAST_SESSION    LONG,
  IS_ONLINE       INTEGER NOT NULL DEFAULT 0,
  START_TIME      LONG,
  IS_DELETED      INTEGER NOT NULL DEFAULT 0,
	CREATE_DATE		  INTEGER NOT NULL DEFAULT (strftime('%s','now')*1000),
	CHANGE_DATE		  INTEGER NOT NULL DEFAULT (strftime('%s','now')*1000),
 	FOREIGN KEY (FK_USER)       REFERENCES TBL_GN_USER (_id) ON DELETE CASCADE,
	FOREIGN KEY (FK_TOUR)       REFERENCES TBL_DM_TOUR (_id) ON DELETE CASCADE
);

CREATE index idx_TBL_DM_LOCATION_TRACKING_SETTINGS_LOG            ON TBL_DM_LOCATION_TRACKING_SETTINGS_LOG (_id);
CREATE index idx_TBL_DM_LOCATION_TRACKING_SETTINGS_LOG_FK_USER    ON TBL_DM_LOCATION_TRACKING_SETTINGS_LOG (FK_USER);
CREATE index idx_TBL_DM_LOCATION_TRACKING_SETTINGS_LOG_FK_TOUR    ON TBL_DM_LOCATION_TRACKING_SETTINGS_LOG (FK_TOUR);
