alter table TBL_DM_LATEST_INVOICES_INFO add column IS_RETURN_INVOICE integer not null default 0;

create table TBL_DM_ACCOUNT_RECEIPT_ITEM (
	_id 					integer primary key autoincrement,
	FK_ACCOUNT_INFO			integer not null,
    FK_LKP_TYPE				integer not null,
    FK_LKP_RCV_TYPE			integer not null,
    NUMBER					text,
    ACCOUNT_NUMBER			text,
    AMOUNT					text,
    FK_BANK					integer,
    BRANCH					text,
    DUE_DATE				integer,
    DESCRIPTION				text,
	CREATE_DATE				integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_ACCOUNT_INFO) references TBL_DM_ACCOUNT_INFO (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_LKP_RCV_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_BANK) references TBL_DM_BANK (_id)
);

create index idx_TBL_DM_ACCOUNT_RECEIPT_ITEM_PK on TBL_DM_ACCOUNT_RECEIPT_ITEM (_id);
create index idx_TBL_DM_ACCOUNT_RECEIPT_ITEM_FK_ACCOUNT_INFO on TBL_DM_ACCOUNT_RECEIPT_ITEM (FK_ACCOUNT_INFO);
create index idx_TBL_DM_ACCOUNT_RECEIPT_ITEM_FK_LKP_TYPE on TBL_DM_ACCOUNT_RECEIPT_ITEM (FK_LKP_TYPE);
create index idx_TBL_DM_ACCOUNT_RECEIPT_ITEM_FK_LKP_RCV_TYPE on TBL_DM_ACCOUNT_RECEIPT_ITEM (FK_LKP_RCV_TYPE);
create index idx_TBL_DM_ACCOUNT_RECEIPT_ITEM_FK_BANK on TBL_DM_ACCOUNT_RECEIPT_ITEM (FK_BANK);

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('دریافتی', '1', 'RECEIPT_ITEM_RCV_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('در جریان', '2', 'RECEIPT_ITEM_RCV_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('برگشتی', '3', 'RECEIPT_ITEM_RCV_TYPE');

