CREATE TABLE TBL_DM_RETURN_INVOICE_ITEM_backup (
	_id 							              integer primary key autoincrement,
	FK_RETURN_INVOICE 				      integer not null,
	FK_RETURN_PERMIT_ITEM 		    	integer null,
	FK_RETURN_REASON			        	integer null,
	PRIORITY 						            integer not null,
	IS_DELETED 					           	integer not null default 0,
	IS_WASTE					            	integer not null default 0,
	WASTE_SHARE_PERCENTAGE		    	integer not null,
	QUANTITY 					            	real not null,
	FK_PRDT_MEUN 			          		integer not null,
	FK_SLAR 					            	integer not null,
	DESCRIPTION 			          		text null,
	FEE 						              	real not null default 0,
	PRICE 						            	real not null default 0,
	NET_PRICE 					          	real not null default 0,
	ADDITION_AMOUNT 			         	real not null default 0,
	REDUCTION_AMOUNT 			        	real not null default 0,
	FK_INVOICE_ITEM_PARENT 		     	integer null,
	FK_SLPLCY_FREE_PRODUCT_POLICY 	integer null,
	FREE_PRODUCT_CONDITION_ROW_ID 	integer,
	FK_INVOICE_ITEM                 integer null,
	FK_LKP_TYPE                     integer not null default 1,
	CREATE_DATE 				          	integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 				          	integer not null default (strftime('%s','now') * 1000),
	foreign key (FK_RETURN_INVOICE)             references TBL_DM_RETURN_INVOICE (_id) ON DELETE CASCADE,
	foreign key (FK_RETURN_PERMIT_ITEM)         references TBL_DM_RETURN_PERMIT_ITEM (_id) ON DELETE CASCADE,
	foreign key (FK_PRDT_MEUN)                  references TBL_DM_PRDT_MEUN_INF (_id),
	foreign key (FK_SLAR)                       references TBL_DM_SALES_AREA (_id),
	foreign key (FK_INVOICE_ITEM_PARENT)        references TBL_DM_RETURN_INVOICE_ITEM (_id),
	foreign key (FK_INVOICE_ITEM)               references TBL_DM_INVOICES_ITEM (_id),
	foreign key (FK_LKP_TYPE)                   references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
	    UNIQUE (FK_RETURN_INVOICE, FK_PRDT_MEUN, FK_INVOICE_ITEM_PARENT) ON CONFLICT ROLLBACK

);

insert into TBL_DM_RETURN_INVOICE_ITEM_backup
	select _id, FK_RETURN_INVOICE, FK_RETURN_PERMIT_ITEM, FK_RETURN_REASON, PRIORITY,IS_DELETED, IS_WASTE, WASTE_SHARE_PERCENTAGE,
	 QUANTITY, FK_PRDT_MEUN, FK_SLAR, DESCRIPTION, FEE, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT,
	 FK_INVOICE_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, FK_INVOICE_ITEM, FK_LKP_TYPE,
	 CREATE_DATE, CHANGE_DATE
	from  TBL_DM_RETURN_INVOICE_ITEM;

drop table  TBL_DM_RETURN_INVOICE_ITEM;

CREATE TABLE TBL_DM_RETURN_INVOICE_ITEM (
   _id 							              integer primary key autoincrement,
	FK_RETURN_INVOICE 				      integer not null,
	FK_RETURN_PERMIT_ITEM 		    	integer null,
	FK_RETURN_REASON			        	integer null,
	PRIORITY 						            integer not null,
	IS_DELETED 					           	integer not null default 0,
	IS_WASTE					            	integer not null default 0,
	WASTE_SHARE_PERCENTAGE		    	REAL not null,
	QUANTITY 					            	real not null,
	FK_PRDT_MEUN 			          		integer not null,
	FK_SLAR 					            	integer not null,
	DESCRIPTION 			          		text null,
	FEE 						              	real not null default 0,
	PRICE 						            	real not null default 0,
	NET_PRICE 					          	real not null default 0,
	ADDITION_AMOUNT 			         	real not null default 0,
	REDUCTION_AMOUNT 			        	real not null default 0,
	FK_INVOICE_ITEM_PARENT 		     	integer null,
	FK_SLPLCY_FREE_PRODUCT_POLICY 	integer null,
	FREE_PRODUCT_CONDITION_ROW_ID 	integer,
	FK_INVOICE_ITEM                 integer null,
	FK_LKP_TYPE                     integer not null default 1,
	CREATE_DATE 				          	integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 				          	integer not null default (strftime('%s','now') * 1000),
	foreign key (FK_RETURN_INVOICE)             references TBL_DM_RETURN_INVOICE (_id) ON DELETE CASCADE,
	foreign key (FK_RETURN_PERMIT_ITEM)         references TBL_DM_RETURN_PERMIT_ITEM (_id) ON DELETE CASCADE,
	foreign key (FK_PRDT_MEUN)                  references TBL_DM_PRDT_MEUN_INF (_id),
	foreign key (FK_SLAR)                       references TBL_DM_SALES_AREA (_id),
	foreign key (FK_INVOICE_ITEM_PARENT)        references TBL_DM_RETURN_INVOICE_ITEM (_id),
	foreign key (FK_INVOICE_ITEM)               references TBL_DM_INVOICES_ITEM (_id),
	foreign key (FK_LKP_TYPE)                   references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
	    UNIQUE (FK_RETURN_INVOICE, FK_PRDT_MEUN, FK_INVOICE_ITEM_PARENT) ON CONFLICT ROLLBACK
);

insert into TBL_DM_RETURN_INVOICE_ITEM
select _id, FK_RETURN_INVOICE, FK_RETURN_PERMIT_ITEM, FK_RETURN_REASON, PRIORITY,IS_DELETED, IS_WASTE, WASTE_SHARE_PERCENTAGE,
	 QUANTITY, FK_PRDT_MEUN, FK_SLAR, DESCRIPTION, FEE, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT,
	 FK_INVOICE_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, FK_INVOICE_ITEM, FK_LKP_TYPE,
	 CREATE_DATE, CHANGE_DATE
	from  TBL_DM_RETURN_INVOICE_ITEM_backup;

drop table TBL_DM_RETURN_INVOICE_ITEM_backup;