create table TBL_DM_SALES_ASSIGNMENT_backup (
	_id 					        integer primary key autoincrement,
	SRV_PK					      integer not null unique ON CONFLICT fail,
	NUMBER					      text,
  FK_TOUR_ITEM		      integer not null,
  FK_DIST_ASSIGNMENT	  integer not null,
  FK_SLACC_ACCOUNT		  integer null,
  FK_CSMR			      	  integer not null,
	DATE					        integer,
	SALES_EMPLOYEE_NAME	  text,
  FK_PAYAGR				      integer null,
  FK_ADRS					      integer null,
	PRICE					        real not null,
  NET_PRICE				      real not null,
  DESCRIPTION				    text,
  ADDITION_AMOUNT			  real not null,
  REDUCTION_AMOUNT		  real not null,
  FK_CRNCY 				      integer not null,
  FK_SLTP 				      integer not null,
  FK_SLAR 				      integer,
  FK_LKP_PAYER_TYPE 	  integer not null,
  FK_LKP_STATUS 			  integer not null,
  FK_STORE				      integer,
  FK_PLANT				      integer,
  FK_USRSLOF_REGISTRANT integer not null,
  LATITUDE				      real,
  LONGITUDE				      real,
  FK_LKP_PROVIDER			  integer,
  OPERATION_DATE			  integer null,
	CREATE_DATE				    integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				    integer default (strftime('%s','now')*1000) not null
);

CREATE TABLE TBL_DM_SALES_ASSIGNMENT_ITEM_backup (
	_id 								                integer primary key autoincrement,
	SRV_PK								              integer not null unique ON CONFLICT fail,
  ITEM_INDEX							            integer not null,
  FK_SALES_ASSIGNMENT		      	      integer not null,
  FK_PRODUCT		      	        	    integer not null,
	FK_FIRST_TRACKING_FACTOR			      integer,
  FIRST_TRACKING_FACTOR_VALUE			    text,
  FIRST_TRACKING_FACTOR_VALUE_TITLE	  text,
	FIRST_PART_TRACKING_FACTOR 			    integer,
  FK_SECOND_TRACKING_FACTOR			      integer,
  SECOND_TRACKING_FACTOR_VALUE		    text,
  SECOND_TRACKING_FACTOR_VALUE_TITLE	text,
  SECOND_PART_TRACKING_FACTOR			    integer,
  FK_THIRD_TRACKING_FACTOR			      integer,
  THIRD_TRACKING_FACTOR_VALUE			    text,
  THIRD_TRACKING_FACTOR_VALUE_TITLE	  text,
  THIRD_PART_TRACKING_FACTOR			    integer,
  FK_FOURTH_TRACKING_FACTOR			      integer,
  FOURTH_TRACKING_FACTOR_VALUE		    text,
  FOURTH_TRACKING_FACTOR_VALUE_TITLE	text,
  FOURTH_PART_TRACKING_FACTOR			    integer,
  FK_FIFTH_TRACKING_FACTOR			      integer,
  FIFTH_TRACKING_FACTOR_VALUE			    text,
  FIFTH_TRACKING_FACTOR_VALUE_TITLE	  text,
  FIFTH_PART_TRACKING_FACTOR			    integer,
  FK_MEUN								              integer not null,
  QUANTITY			      			          real not null,
  DESCRIPTION							            text,
	FK_SLAR								              integer not null,
	FK_LKP_TYPE                         integer not null default 1,
  FEE									                real not null,
  PRICE								                real not null,
	NET_PRICE							              real not null,
  ADDITION_AMOUNT						          real not null,
  REDUCTION_AMOUNT					          real not null,
  PARENT_ITEM_INDEX					          integer,
  FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
  FREE_PRODUCT_CONDITION_ROW_ID		    integer,
	CREATE_DATE							            integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							            integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_SALES_ASSIGNMENT) references TBL_DM_SALES_ASSIGNMENT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
);

insert into TBL_DM_SALES_ASSIGNMENT_backup
	select _id, SRV_PK, NUMBER, FK_TOUR_ITEM, FK_DIST_ASSIGNMENT, FK_SLACC_ACCOUNT, FK_CSMR, DATE, SALES_EMPLOYEE_NAME,
         FK_PAYAGR, FK_ADRS, PRICE, NET_PRICE, DESCRIPTION, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_CRNCY, FK_SLTP,
         FK_SLAR, FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_STORE, FK_PLANT, FK_USRSLOF_REGISTRANT, LATITUDE, LONGITUDE,
         FK_LKP_PROVIDER, OPERATION_DATE, CREATE_DATE, CHANGE_DATE
	from TBL_DM_SALES_ASSIGNMENT;

insert into TBL_DM_SALES_ASSIGNMENT_ITEM_backup
	select _id, SRV_PK, ITEM_INDEX, FK_SALES_ASSIGNMENT, FK_PRODUCT, FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE,
        FIRST_TRACKING_FACTOR_VALUE_TITLE, FIRST_PART_TRACKING_FACTOR, FK_SECOND_TRACKING_FACTOR, SECOND_TRACKING_FACTOR_VALUE,
        SECOND_TRACKING_FACTOR_VALUE_TITLE, SECOND_PART_TRACKING_FACTOR, FK_THIRD_TRACKING_FACTOR, THIRD_TRACKING_FACTOR_VALUE,
        THIRD_TRACKING_FACTOR_VALUE_TITLE, THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR, FOURTH_TRACKING_FACTOR_VALUE,
        FOURTH_TRACKING_FACTOR_VALUE_TITLE, FOURTH_PART_TRACKING_FACTOR, FK_FIFTH_TRACKING_FACTOR, FIFTH_TRACKING_FACTOR_VALUE,
        FIFTH_TRACKING_FACTOR_VALUE_TITLE, FIFTH_PART_TRACKING_FACTOR, FK_MEUN, QUANTITY, DESCRIPTION, FK_SLAR, FK_LKP_TYPE,
        FEE, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX, FK_SLPLCY_FREE_PRODUCT_POLICY,
        FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE
	from TBL_DM_SALES_ASSIGNMENT_ITEM;

drop table TBL_DM_SALES_ASSIGNMENT;
drop table TBL_DM_SALES_ASSIGNMENT_ITEM;

create table TBL_DM_SALES_ASSIGNMENT (
	_id 					        integer primary key autoincrement,
	SRV_PK					      integer not null,
	NUMBER					      text,
  FK_TOUR_ITEM		      integer not null,
  FK_DIST_ASSIGNMENT	  integer not null,
  FK_SLACC_ACCOUNT		  integer null,
  FK_CSMR			      	  integer not null,
	DATE					        integer,
	SALES_EMPLOYEE_NAME	  text,
  FK_PAYAGR				      integer null,
  FK_ADRS					      integer null,
	PRICE					        real not null,
  NET_PRICE				      real not null,
  DESCRIPTION				    text,
  ADDITION_AMOUNT			  real not null,
  REDUCTION_AMOUNT		  real not null,
  FK_CRNCY 				      integer not null,
  FK_SLTP 				      integer not null,
  FK_SLAR 				      integer,
  FK_LKP_PAYER_TYPE 	  integer not null,
  FK_LKP_STATUS 			  integer not null,
  FK_STORE				      integer,
  FK_PLANT				      integer,
  FK_USRSLOF_REGISTRANT integer not null,
  LATITUDE				      real,
  LONGITUDE				      real,
  FK_LKP_PROVIDER			  integer,
  OPERATION_DATE			  integer null,
	CREATE_DATE				    integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				    integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_TOUR_ITEM) references TBL_DM_TOUR_ITEM (_id) ON DELETE CASCADE,
	foreign key (FK_DIST_ASSIGNMENT) references TBL_DM_DISTRIBUTION_ASSIGNMENT (_id),
	foreign key (FK_SLACC_ACCOUNT) references TBL_DM_SALES_ACCOUNT (_id),
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id),
	foreign key (FK_PAYAGR) references TBL_DM_PAYMENT_AGREEMENT (_id),
	foreign key (FK_ADRS) references TBL_DM_ADDRESS (_id),
	foreign key (FK_CRNCY) references TBL_DM_CURRENCY (_id),
	foreign key (FK_SLTP) references TBL_DM_SALES_TYPE (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id),
	foreign key (FK_STORE) references TBL_DM_STORE (_id),
	foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
	foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
	foreign key (FK_LKP_PROVIDER) references TBL_GN_LOOKUP (_id)
);

create index idx_TBL_DM_SALES_ASSIGNMENT_PK on TBL_DM_SALES_ASSIGNMENT (_id);
create index idx_TBL_DM_SALES_ASSIGNMENT_FK_TOUR_ITEM on TBL_DM_SALES_ASSIGNMENT (FK_TOUR_ITEM);
create index idx_TBL_DM_SALES_ASSIGNMENT_FK_DIST_ASSIGNMENT on TBL_DM_SALES_ASSIGNMENT (FK_DIST_ASSIGNMENT);
create index idx_TBL_DM_SALES_ASSIGNMENT_FK_CSMR on TBL_DM_SALES_ASSIGNMENT (FK_CSMR);

CREATE TABLE TBL_DM_SALES_ASSIGNMENT_ITEM (
	_id 								                integer primary key autoincrement,
	SRV_PK								              integer not null,
  ITEM_INDEX							            integer not null,
  FK_SALES_ASSIGNMENT		      	      integer not null,
  FK_PRODUCT		      	        	    integer not null,
	FK_FIRST_TRACKING_FACTOR			      integer,
  FIRST_TRACKING_FACTOR_VALUE			    text,
  FIRST_TRACKING_FACTOR_VALUE_TITLE	  text,
	FIRST_PART_TRACKING_FACTOR 			    integer,
  FK_SECOND_TRACKING_FACTOR			      integer,
  SECOND_TRACKING_FACTOR_VALUE		    text,
  SECOND_TRACKING_FACTOR_VALUE_TITLE	text,
  SECOND_PART_TRACKING_FACTOR			    integer,
  FK_THIRD_TRACKING_FACTOR			      integer,
  THIRD_TRACKING_FACTOR_VALUE			    text,
  THIRD_TRACKING_FACTOR_VALUE_TITLE	  text,
  THIRD_PART_TRACKING_FACTOR			    integer,
  FK_FOURTH_TRACKING_FACTOR			      integer,
  FOURTH_TRACKING_FACTOR_VALUE		    text,
  FOURTH_TRACKING_FACTOR_VALUE_TITLE	text,
  FOURTH_PART_TRACKING_FACTOR			    integer,
  FK_FIFTH_TRACKING_FACTOR			      integer,
  FIFTH_TRACKING_FACTOR_VALUE			    text,
  FIFTH_TRACKING_FACTOR_VALUE_TITLE	  text,
  FIFTH_PART_TRACKING_FACTOR			    integer,
  FK_MEUN								              integer not null,
  QUANTITY			      			          real not null,
  DESCRIPTION							            text,
	FK_SLAR								              integer not null,
	FK_LKP_TYPE                         integer not null default 1,
  FEE									                real not null,
  PRICE								                real not null,
	NET_PRICE							              real not null,
  ADDITION_AMOUNT						          real not null,
  REDUCTION_AMOUNT					          real not null,
  PARENT_ITEM_INDEX					          integer,
  FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
  FREE_PRODUCT_CONDITION_ROW_ID		    integer,
	CREATE_DATE							            integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							            integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_SALES_ASSIGNMENT) references TBL_DM_SALES_ASSIGNMENT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
);

create index idx_TBL_DM_SALES_ASSIGNMENT_ITEM_PK on TBL_DM_SALES_ASSIGNMENT_ITEM (_id);
create index idx_TBL_DM_SALES_ASSIGNMENT_ITEM_SRV_PK on TBL_DM_SALES_ASSIGNMENT_ITEM (SRV_PK);
create index idx_TBL_DM_SALES_ASSIGNMENT_ITEM_FK_SALES_ASSIGNMENT on TBL_DM_SALES_ASSIGNMENT_ITEM (FK_SALES_ASSIGNMENT);

insert into TBL_DM_SALES_ASSIGNMENT
	select _id, SRV_PK, NUMBER, FK_TOUR_ITEM, FK_DIST_ASSIGNMENT, FK_SLACC_ACCOUNT, FK_CSMR, DATE, SALES_EMPLOYEE_NAME,
         FK_PAYAGR, FK_ADRS, PRICE, NET_PRICE, DESCRIPTION, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_CRNCY, FK_SLTP,
         FK_SLAR, FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_STORE, FK_PLANT, FK_USRSLOF_REGISTRANT, LATITUDE, LONGITUDE,
         FK_LKP_PROVIDER, OPERATION_DATE, CREATE_DATE, CHANGE_DATE
	from  TBL_DM_SALES_ASSIGNMENT_backup;

insert into TBL_DM_SALES_ASSIGNMENT_ITEM
	select _id, SRV_PK, ITEM_INDEX, FK_SALES_ASSIGNMENT, FK_PRODUCT, FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE,
        FIRST_TRACKING_FACTOR_VALUE_TITLE, FIRST_PART_TRACKING_FACTOR, FK_SECOND_TRACKING_FACTOR, SECOND_TRACKING_FACTOR_VALUE,
        SECOND_TRACKING_FACTOR_VALUE_TITLE, SECOND_PART_TRACKING_FACTOR, FK_THIRD_TRACKING_FACTOR, THIRD_TRACKING_FACTOR_VALUE,
        THIRD_TRACKING_FACTOR_VALUE_TITLE, THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR, FOURTH_TRACKING_FACTOR_VALUE,
        FOURTH_TRACKING_FACTOR_VALUE_TITLE, FOURTH_PART_TRACKING_FACTOR, FK_FIFTH_TRACKING_FACTOR, FIFTH_TRACKING_FACTOR_VALUE,
        FIFTH_TRACKING_FACTOR_VALUE_TITLE, FIFTH_PART_TRACKING_FACTOR, FK_MEUN, QUANTITY, DESCRIPTION, FK_SLAR, FK_LKP_TYPE,
        FEE, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX, FK_SLPLCY_FREE_PRODUCT_POLICY,
        FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE
	from TBL_DM_SALES_ASSIGNMENT_ITEM_backup;

drop table TBL_DM_SALES_ASSIGNMENT_backup;
drop table TBL_DM_SALES_ASSIGNMENT_ITEM_backup;

create table TBL_DM_RETURN_PERMIT_backup (
	_id 					        integer primary key autoincrement,
	SRV_PK					      integer not null unique ON CONFLICT fail,
	NUMBER					      text,
  FK_TOUR_ITEM		      integer not null,
  FK_DIST_ASSIGNMENT	  integer not null,
  FK_SLACC_ACCOUNT		  integer null,
  FK_CSMR			      	  integer not null,
	DATE					        integer,
	SALES_EMPLOYEE_NAME		text,
  FK_ADRS					      integer null,
	PRICE					        real not null,
  NET_PRICE				      real not null,
  DESCRIPTION				    text,
  ADDITION_AMOUNT			  real not null,
  REDUCTION_AMOUNT		  real not null,
  FK_CRNCY 				      integer not null,
  FK_SLTP 				      integer not null,
  FK_SLAR 				      integer,
  FK_LKP_PAYER_TYPE 		integer not null,
  FK_LKP_STATUS 			  integer not null,
  FK_PAYAGR             integer null,
  FK_PLANT				      integer,
  FK_USRSLOF_REGISTRANT integer not null,
  LATITUDE				      real,
  LONGITUDE				      real,
  FK_LKP_PROVIDER			  integer,
  OPERATION_DATE			  integer null,
	CREATE_DATE				    integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				    integer default (strftime('%s','now')*1000) not null
);

CREATE TABLE TBL_DM_RETURN_PERMIT_ITEM_backup (
	_id 								                integer primary key autoincrement,
	SRV_PK								              integer not null unique ON CONFLICT fail,
  ITEM_INDEX							            integer not null,
  FK_RETURN_PERMIT		      	        integer not null,
  FK_PRODUCT		      	        	    integer not null,
  FK_RETURN_REASON				            integer null,
	FK_FIRST_TRACKING_FACTOR			      integer,
  FIRST_TRACKING_FACTOR_VALUE			    text,
  FIRST_TRACKING_FACTOR_VALUE_TITLE	  text,
	FIRST_PART_TRACKING_FACTOR 			    integer,
  FK_SECOND_TRACKING_FACTOR			      integer,
  SECOND_TRACKING_FACTOR_VALUE		    text,
  SECOND_TRACKING_FACTOR_VALUE_TITLE	text,
  SECOND_PART_TRACKING_FACTOR			    integer,
  FK_THIRD_TRACKING_FACTOR			      integer,
  THIRD_TRACKING_FACTOR_VALUE			    text,
  THIRD_TRACKING_FACTOR_VALUE_TITLE	  text,
  THIRD_PART_TRACKING_FACTOR			    integer,
  FK_FOURTH_TRACKING_FACTOR			      integer,
  FOURTH_TRACKING_FACTOR_VALUE		    text,
  FOURTH_TRACKING_FACTOR_VALUE_TITLE	text,
  FOURTH_PART_TRACKING_FACTOR			    integer,
  FK_FIFTH_TRACKING_FACTOR			      integer,
  FIFTH_TRACKING_FACTOR_VALUE			    text,
  FIFTH_TRACKING_FACTOR_VALUE_TITLE	  text,
  FIFTH_PART_TRACKING_FACTOR			    integer,
  FK_MEUN								              integer not null,
  QUANTITY			      			          real not null,
  DESCRIPTION							            text,
	FK_SLAR								              integer not null,
	FK_LKP_TYPE                         integer not null default 1,
  FEE									                real not null,
  PRICE								                real not null,
	NET_PRICE							              real not null,
  ADDITION_AMOUNT						          real not null,
  REDUCTION_AMOUNT					          real not null,
  PARENT_ITEM_INDEX					          integer,
  FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
  FREE_PRODUCT_CONDITION_ROW_ID		    integer,
	CREATE_DATE							            integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							            integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_RETURN_PERMIT) references TBL_DM_RETURN_PERMIT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)
	foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id),
	foreign key (FK_RETURN_REASON) references TBL_DM_RETURN_REASON (_id)
);

insert into TBL_DM_RETURN_PERMIT_backup
	select _id, SRV_PK, NUMBER, FK_TOUR_ITEM, FK_DIST_ASSIGNMENT, FK_SLACC_ACCOUNT, FK_CSMR, DATE,
	    SALES_EMPLOYEE_NAME, FK_ADRS, PRICE, NET_PRICE, DESCRIPTION, ADDITION_AMOUNT, REDUCTION_AMOUNT,
      FK_CRNCY, FK_SLTP, FK_SLAR, FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_PAYAGR, FK_PLANT, FK_USRSLOF_REGISTRANT,
      LATITUDE, LONGITUDE, FK_LKP_PROVIDER, OPERATION_DATE, CREATE_DATE, CHANGE_DATE
	from TBL_DM_RETURN_PERMIT;

insert into TBL_DM_RETURN_PERMIT_ITEM_backup
  select _id, SRV_PK, ITEM_INDEX, FK_RETURN_PERMIT, FK_PRODUCT, FK_RETURN_REASON, FK_FIRST_TRACKING_FACTOR,
      FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE, FIRST_PART_TRACKING_FACTOR,
      FK_SECOND_TRACKING_FACTOR, SECOND_TRACKING_FACTOR_VALUE, SECOND_TRACKING_FACTOR_VALUE_TITLE,
      SECOND_PART_TRACKING_FACTOR, FK_THIRD_TRACKING_FACTOR, THIRD_TRACKING_FACTOR_VALUE, THIRD_TRACKING_FACTOR_VALUE_TITLE,
      THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR, FOURTH_TRACKING_FACTOR_VALUE, FOURTH_TRACKING_FACTOR_VALUE_TITLE,
      FOURTH_PART_TRACKING_FACTOR, FK_FIFTH_TRACKING_FACTOR, FIFTH_TRACKING_FACTOR_VALUE, FIFTH_TRACKING_FACTOR_VALUE_TITLE,
      FIFTH_PART_TRACKING_FACTOR, FK_MEUN, QUANTITY, DESCRIPTION, FK_SLAR, FK_LKP_TYPE, FEE, PRICE, NET_PRICE,
      ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID,
	    CREATE_DATE, CHANGE_DATE
	from TBL_DM_RETURN_PERMIT_ITEM;

drop table TBL_DM_RETURN_PERMIT;
drop table TBL_DM_RETURN_PERMIT_ITEM;

create table TBL_DM_RETURN_PERMIT (
	_id 					        integer primary key autoincrement,
	SRV_PK					      integer not null,
	NUMBER					      text,
  FK_TOUR_ITEM		      integer not null,
  FK_DIST_ASSIGNMENT	  integer not null,
  FK_SLACC_ACCOUNT		  integer null,
  FK_CSMR			      	  integer not null,
	DATE					        integer,
	SALES_EMPLOYEE_NAME		text,
  FK_ADRS					      integer null,
	PRICE					        real not null,
  NET_PRICE				      real not null,
  DESCRIPTION				    text,
  ADDITION_AMOUNT			  real not null,
  REDUCTION_AMOUNT		  real not null,
  FK_CRNCY 				      integer not null,
  FK_SLTP 				      integer not null,
  FK_SLAR 				      integer,
  FK_LKP_PAYER_TYPE 		integer not null,
  FK_LKP_STATUS 			  integer not null,
  FK_PAYAGR             integer null,
  FK_PLANT				      integer,
  FK_USRSLOF_REGISTRANT integer not null,
  LATITUDE				      real,
  LONGITUDE				      real,
  FK_LKP_PROVIDER			  integer,
  OPERATION_DATE			  integer null,
	CREATE_DATE				    integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				    integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_TOUR_ITEM) references TBL_DM_TOUR_ITEM (_id) ON DELETE CASCADE,
	foreign key (FK_DIST_ASSIGNMENT) references TBL_DM_DISTRIBUTION_ASSIGNMENT (_id),
	foreign key (FK_SLACC_ACCOUNT) references TBL_DM_SALES_ACCOUNT (_id),
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id),
	foreign key (FK_ADRS) references TBL_DM_ADDRESS (_id),
	foreign key (FK_CRNCY) references TBL_DM_CURRENCY (_id),
	foreign key (FK_SLTP) references TBL_DM_SALES_TYPE (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id),
	foreign key (FK_PAYAGR) references TBL_DM_PAYMENT_AGREEMENT (_id),
	foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
	foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
	foreign key (FK_LKP_PROVIDER) references TBL_GN_LOOKUP (_id)
);

create index idx_TBL_DM_RETURN_PERMIT_PK on TBL_DM_RETURN_PERMIT (_id);
create index idx_TBL_DM_RETURN_PERMIT_FK_TOUR_ITEM on TBL_DM_RETURN_PERMIT (FK_TOUR_ITEM);
create index idx_TBL_DM_RETURN_PERMIT_FK_DIST_ASSIGNMENT on TBL_DM_RETURN_PERMIT (FK_DIST_ASSIGNMENT);
create index idx_TBL_DM_RETURN_PERMIT_FK_CSMR on TBL_DM_RETURN_PERMIT (FK_CSMR);

CREATE TABLE TBL_DM_RETURN_PERMIT_ITEM (
	_id 								                integer primary key autoincrement,
	SRV_PK								              integer not null,
  ITEM_INDEX							            integer not null,
  FK_RETURN_PERMIT		      	        integer not null,
  FK_PRODUCT		      	        	    integer not null,
  FK_RETURN_REASON				            integer null,
	FK_FIRST_TRACKING_FACTOR			      integer,
  FIRST_TRACKING_FACTOR_VALUE			    text,
  FIRST_TRACKING_FACTOR_VALUE_TITLE	  text,
	FIRST_PART_TRACKING_FACTOR 			    integer,
  FK_SECOND_TRACKING_FACTOR			      integer,
  SECOND_TRACKING_FACTOR_VALUE		    text,
  SECOND_TRACKING_FACTOR_VALUE_TITLE	text,
  SECOND_PART_TRACKING_FACTOR			    integer,
  FK_THIRD_TRACKING_FACTOR			      integer,
  THIRD_TRACKING_FACTOR_VALUE			    text,
  THIRD_TRACKING_FACTOR_VALUE_TITLE	  text,
  THIRD_PART_TRACKING_FACTOR			    integer,
  FK_FOURTH_TRACKING_FACTOR			      integer,
  FOURTH_TRACKING_FACTOR_VALUE		    text,
  FOURTH_TRACKING_FACTOR_VALUE_TITLE	text,
  FOURTH_PART_TRACKING_FACTOR			    integer,
  FK_FIFTH_TRACKING_FACTOR			      integer,
  FIFTH_TRACKING_FACTOR_VALUE			    text,
  FIFTH_TRACKING_FACTOR_VALUE_TITLE	  text,
  FIFTH_PART_TRACKING_FACTOR			    integer,
  FK_MEUN								              integer not null,
  QUANTITY			      			          real not null,
  DESCRIPTION							            text,
	FK_SLAR								              integer not null,
	FK_LKP_TYPE                         integer not null default 1,
  FEE									                real not null,
  PRICE								                real not null,
	NET_PRICE							              real not null,
  ADDITION_AMOUNT						          real not null,
  REDUCTION_AMOUNT					          real not null,
  PARENT_ITEM_INDEX					          integer,
  FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
  FREE_PRODUCT_CONDITION_ROW_ID		    integer,
	CREATE_DATE							            integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							            integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_RETURN_PERMIT) references TBL_DM_RETURN_PERMIT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)
	foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id),
	foreign key (FK_RETURN_REASON) references TBL_DM_RETURN_REASON (_id)
);

create index idx_TBL_DM_RETURN_PERMIT_ITEM_PK on TBL_DM_RETURN_PERMIT_ITEM (_id);
create index idx_TBL_DM_RETURN_PERMIT_ITEM_SRV_PK on TBL_DM_RETURN_PERMIT_ITEM (SRV_PK);
create index idx_TBL_DM_RETURN_PERMIT_ITEM_FK_RETURN_PERMIT on TBL_DM_RETURN_PERMIT_ITEM (FK_RETURN_PERMIT);

insert into TBL_DM_RETURN_PERMIT
	select _id, SRV_PK, NUMBER, FK_TOUR_ITEM, FK_DIST_ASSIGNMENT, FK_SLACC_ACCOUNT, FK_CSMR, DATE,
	    SALES_EMPLOYEE_NAME, FK_ADRS, PRICE, NET_PRICE, DESCRIPTION, ADDITION_AMOUNT, REDUCTION_AMOUNT,
      FK_CRNCY, FK_SLTP, FK_SLAR, FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_PAYAGR, FK_PLANT, FK_USRSLOF_REGISTRANT,
      LATITUDE, LONGITUDE, FK_LKP_PROVIDER, OPERATION_DATE, CREATE_DATE, CHANGE_DATE
	from TBL_DM_RETURN_PERMIT_backup;

insert into TBL_DM_RETURN_PERMIT_ITEM
  select _id, SRV_PK, ITEM_INDEX, FK_RETURN_PERMIT, FK_PRODUCT, FK_RETURN_REASON, FK_FIRST_TRACKING_FACTOR,
      FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE, FIRST_PART_TRACKING_FACTOR,
      FK_SECOND_TRACKING_FACTOR, SECOND_TRACKING_FACTOR_VALUE, SECOND_TRACKING_FACTOR_VALUE_TITLE,
      SECOND_PART_TRACKING_FACTOR, FK_THIRD_TRACKING_FACTOR, THIRD_TRACKING_FACTOR_VALUE, THIRD_TRACKING_FACTOR_VALUE_TITLE,
      THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR, FOURTH_TRACKING_FACTOR_VALUE, FOURTH_TRACKING_FACTOR_VALUE_TITLE,
      FOURTH_PART_TRACKING_FACTOR, FK_FIFTH_TRACKING_FACTOR, FIFTH_TRACKING_FACTOR_VALUE, FIFTH_TRACKING_FACTOR_VALUE_TITLE,
      FIFTH_PART_TRACKING_FACTOR, FK_MEUN, QUANTITY, DESCRIPTION, FK_SLAR, FK_LKP_TYPE, FEE, PRICE, NET_PRICE,
      ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID,
	    CREATE_DATE, CHANGE_DATE
	from TBL_DM_RETURN_PERMIT_ITEM_backup;

drop table TBL_DM_RETURN_PERMIT_backup;
drop table TBL_DM_RETURN_PERMIT_ITEM_backup;

create table TBL_DM_COLD_DEFINITIVE_INVOICE_backup (
	  _id 					        integer primary key autoincrement,
	  SRV_PK					      integer not null unique ON CONFLICT fail,
	  GUID 					        text not null unique ON CONFLICT fail,
	  NUMBER					      text,
    FK_TOUR_ITEM		      integer not null,
    FK_DIST_ASSIGNMENT	  integer not null,
    FK_SLACC_ACCOUNT		  integer null,
    FK_CSMR			      	  integer not null,
	  DATE					        integer,
	  SALES_EMPLOYEE_NAME	  text,
    FK_PAYAGR				      integer null,
    FK_ADRS					      integer null,
	  PRICE					        real not null,
    NET_PRICE				      real not null,
    DESCRIPTION				    text,
    ADDITION_AMOUNT			  real not null,
    REDUCTION_AMOUNT		  real not null,
    FK_CRNCY 				      integer not null,
    FK_SLTP 				      integer not null,
    FK_SLAR 				      integer,
    FK_LKP_PAYER_TYPE 	  integer not null,
    FK_LKP_STATUS 			  integer not null,
    FK_PLANT				      integer,
    FK_STORE				      integer,
    FK_USRSLOF_REGISTRANT integer not null,
    LATITUDE				      real,
    LONGITUDE				      real,
    FK_LKP_PROVIDER			  integer,
    IS_CALCULATED 			  integer not null default 1,
    IS_PRINTED 				    integer not null default 0,
    OPERATION_DATE			  integer null,
    CREATE_DATE				    integer default (strftime('%s','now')*1000) not null,
    CHANGE_DATE				    integer default (strftime('%s','now')*1000) not null,
    REGISTER_DATE				  integer default (strftime('%s','now')*1000) not null
);

CREATE TABLE TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_backup (
	  _id 								                integer primary key autoincrement,
	  SRV_PK								              integer not null unique ON CONFLICT fail,
    ITEM_INDEX							            integer not null,
    FK_COLD_DEFINITIVE_INVOICE     	    integer not null,
    FK_PRODUCT		      	        	    integer not null,
    FK_LKP_TYPE                         integer not null,
	  FK_FIRST_TRACKING_FACTOR			      integer,
    FIRST_TRACKING_FACTOR_VALUE			    text,
    FIRST_TRACKING_FACTOR_VALUE_TITLE	  text,
	  FIRST_PART_TRACKING_FACTOR 			    integer,
    FK_SECOND_TRACKING_FACTOR			      integer,
    SECOND_TRACKING_FACTOR_VALUE		    text,
    SECOND_TRACKING_FACTOR_VALUE_TITLE	text,
    SECOND_PART_TRACKING_FACTOR			    integer,
    FK_THIRD_TRACKING_FACTOR			      integer,
    THIRD_TRACKING_FACTOR_VALUE			    text,
    THIRD_TRACKING_FACTOR_VALUE_TITLE	  text,
    THIRD_PART_TRACKING_FACTOR			    integer,
    FK_FOURTH_TRACKING_FACTOR			      integer,
    FOURTH_TRACKING_FACTOR_VALUE		    text,
    FOURTH_TRACKING_FACTOR_VALUE_TITLE	text,
    FOURTH_PART_TRACKING_FACTOR			    integer,
    FK_FIFTH_TRACKING_FACTOR			      integer,
    FIFTH_TRACKING_FACTOR_VALUE			    text,
    FIFTH_TRACKING_FACTOR_VALUE_TITLE	  text,
    FIFTH_PART_TRACKING_FACTOR			    integer,
    QUANTITY			      			          real not null,
    FK_PRDT_MEUN								        integer not null,
    DESCRIPTION							            text,
	  FK_SLAR								              integer not null,
    FEE									                real not null,
    PRICE								                real not null,
	  NET_PRICE							              real not null,
    ADDITION_AMOUNT						          real not null,
    REDUCTION_AMOUNT					          real not null,
    PARENT_ITEM_INDEX					          integer,
    FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
    FREE_PRODUCT_CONDITION_ROW_ID		    integer,
    CREATE_DATE							            integer default (strftime('%s','now')*1000) not null,
    CHANGE_DATE							            integer default (strftime('%s','now')*1000) not null,
    foreign key (FK_COLD_DEFINITIVE_INVOICE) references TBL_DM_COLD_DEFINITIVE_INVOICE (_id) ON DELETE CASCADE,
    foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
    foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
    foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
    foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
    foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
);

insert into TBL_DM_COLD_DEFINITIVE_INVOICE_backup
	select _id, SRV_PK, GUID, NUMBER, FK_TOUR_ITEM, FK_DIST_ASSIGNMENT, FK_SLACC_ACCOUNT, FK_CSMR, DATE,
	    SALES_EMPLOYEE_NAME, FK_PAYAGR, FK_ADRS, PRICE, NET_PRICE, DESCRIPTION, ADDITION_AMOUNT, REDUCTION_AMOUNT,
      FK_CRNCY, FK_SLTP, FK_SLAR, FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_PLANT, FK_STORE, FK_USRSLOF_REGISTRANT,
      LATITUDE, LONGITUDE, FK_LKP_PROVIDER, IS_CALCULATED, IS_PRINTED, OPERATION_DATE, CREATE_DATE, CHANGE_DATE,
      REGISTER_DATE
	from  TBL_DM_COLD_DEFINITIVE_INVOICE;

insert into TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_backup
	select _id, SRV_PK, ITEM_INDEX, FK_COLD_DEFINITIVE_INVOICE, FK_PRODUCT, FK_LKP_TYPE, FK_FIRST_TRACKING_FACTOR,
      FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE, FIRST_PART_TRACKING_FACTOR,
      FK_SECOND_TRACKING_FACTOR, SECOND_TRACKING_FACTOR_VALUE, SECOND_TRACKING_FACTOR_VALUE_TITLE,
      SECOND_PART_TRACKING_FACTOR, FK_THIRD_TRACKING_FACTOR, THIRD_TRACKING_FACTOR_VALUE,
      THIRD_TRACKING_FACTOR_VALUE_TITLE, THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR,
      FOURTH_TRACKING_FACTOR_VALUE, FOURTH_TRACKING_FACTOR_VALUE_TITLE, FOURTH_PART_TRACKING_FACTOR,
      FK_FIFTH_TRACKING_FACTOR, FIFTH_TRACKING_FACTOR_VALUE, FIFTH_TRACKING_FACTOR_VALUE_TITLE,
      FIFTH_PART_TRACKING_FACTOR, QUANTITY, FK_PRDT_MEUN, DESCRIPTION, FK_SLAR, FEE, PRICE, NET_PRICE,
      ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX, FK_SLPLCY_FREE_PRODUCT_POLICY,
      FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE
	from  TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM;

drop table TBL_DM_COLD_DEFINITIVE_INVOICE;
drop table TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM;

create table TBL_DM_COLD_DEFINITIVE_INVOICE (
	  _id 					        integer primary key autoincrement,
	  SRV_PK					      integer not null,
	  GUID 					        text not null unique ON CONFLICT fail,
	  NUMBER					      text,
    FK_TOUR_ITEM		      integer not null,
    FK_DIST_ASSIGNMENT	  integer not null,
    FK_SLACC_ACCOUNT		  integer null,
    FK_CSMR			      	  integer not null,
	  DATE					        integer,
	  SALES_EMPLOYEE_NAME	  text,
    FK_PAYAGR				      integer null,
    FK_ADRS					      integer null,
	  PRICE					        real not null,
    NET_PRICE				      real not null,
    DESCRIPTION				    text,
    ADDITION_AMOUNT			  real not null,
    REDUCTION_AMOUNT		  real not null,
    FK_CRNCY 				      integer not null,
    FK_SLTP 				      integer not null,
    FK_SLAR 				      integer,
    FK_LKP_PAYER_TYPE 	  integer not null,
    FK_LKP_STATUS 			  integer not null,
    FK_PLANT				      integer,
    FK_STORE				      integer,
    FK_USRSLOF_REGISTRANT integer not null,
    LATITUDE				      real,
    LONGITUDE				      real,
    FK_LKP_PROVIDER			  integer,
    IS_CALCULATED 			  integer not null default 1,
    IS_PRINTED 				    integer not null default 0,
    OPERATION_DATE			  integer null,
    CREATE_DATE				    integer default (strftime('%s','now')*1000) not null,
    CHANGE_DATE				    integer default (strftime('%s','now')*1000) not null,
    REGISTER_DATE				  integer default (strftime('%s','now')*1000) not null,
    foreign key (FK_TOUR_ITEM) references TBL_DM_TOUR_ITEM (_id) ON DELETE CASCADE,
    foreign key (FK_DIST_ASSIGNMENT) references TBL_DM_DISTRIBUTION_ASSIGNMENT (_id),
    foreign key (FK_SLACC_ACCOUNT) references TBL_DM_SALES_ACCOUNT (_id),
    foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id),
    foreign key (FK_PAYAGR) references TBL_DM_PAYMENT_AGREEMENT (_id),
    foreign key (FK_ADRS) references TBL_DM_ADDRESS (_id),
    foreign key (FK_CRNCY) references TBL_DM_CURRENCY (_id),
    foreign key (FK_SLTP) references TBL_DM_SALES_TYPE (_id),
    foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
    foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
    foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id),
    foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
    foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
    foreign key (FK_LKP_PROVIDER) references TBL_GN_LOOKUP (_id)
);

create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_PK on TBL_DM_COLD_DEFINITIVE_INVOICE (_id);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_FK_TOUR_ITEM on TBL_DM_COLD_DEFINITIVE_INVOICE (FK_TOUR_ITEM);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_FK_DIST_ASSIGNMENT on TBL_DM_COLD_DEFINITIVE_INVOICE (FK_DIST_ASSIGNMENT);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_FK_CSMR on TBL_DM_COLD_DEFINITIVE_INVOICE (FK_CSMR);

CREATE TABLE TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (
	  _id 								                integer primary key autoincrement,
	  SRV_PK								              integer not null,
    ITEM_INDEX							            integer not null,
    FK_COLD_DEFINITIVE_INVOICE     	    integer not null,
    FK_PRODUCT		      	        	    integer not null,
    FK_LKP_TYPE                         integer not null,
	  FK_FIRST_TRACKING_FACTOR			      integer,
    FIRST_TRACKING_FACTOR_VALUE			    text,
    FIRST_TRACKING_FACTOR_VALUE_TITLE	  text,
	  FIRST_PART_TRACKING_FACTOR 			    integer,
    FK_SECOND_TRACKING_FACTOR			      integer,
    SECOND_TRACKING_FACTOR_VALUE		    text,
    SECOND_TRACKING_FACTOR_VALUE_TITLE	text,
    SECOND_PART_TRACKING_FACTOR			    integer,
    FK_THIRD_TRACKING_FACTOR			      integer,
    THIRD_TRACKING_FACTOR_VALUE			    text,
    THIRD_TRACKING_FACTOR_VALUE_TITLE	  text,
    THIRD_PART_TRACKING_FACTOR			    integer,
    FK_FOURTH_TRACKING_FACTOR			      integer,
    FOURTH_TRACKING_FACTOR_VALUE		    text,
    FOURTH_TRACKING_FACTOR_VALUE_TITLE	text,
    FOURTH_PART_TRACKING_FACTOR			    integer,
    FK_FIFTH_TRACKING_FACTOR			      integer,
    FIFTH_TRACKING_FACTOR_VALUE			    text,
    FIFTH_TRACKING_FACTOR_VALUE_TITLE	  text,
    FIFTH_PART_TRACKING_FACTOR			    integer,
    QUANTITY			      			          real not null,
    FK_PRDT_MEUN								        integer not null,
    DESCRIPTION							            text,
	  FK_SLAR								              integer not null,
    FEE									                real not null,
    PRICE								                real not null,
	  NET_PRICE							              real not null,
    ADDITION_AMOUNT						          real not null,
    REDUCTION_AMOUNT					          real not null,
    PARENT_ITEM_INDEX					          integer,
    FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
    FREE_PRODUCT_CONDITION_ROW_ID		    integer,
    CREATE_DATE							            integer default (strftime('%s','now')*1000) not null,
    CHANGE_DATE							            integer default (strftime('%s','now')*1000) not null,
    foreign key (FK_COLD_DEFINITIVE_INVOICE) references TBL_DM_COLD_DEFINITIVE_INVOICE (_id) ON DELETE CASCADE,
    foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
    foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
    foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
    foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
    foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
);

create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_PK on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (_id);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_SRV_PK on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (SRV_PK);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_FK_COLD_DEFINITIVE_INVOICE on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (FK_COLD_DEFINITIVE_INVOICE);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_FK_PRODUCT on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (FK_PRODUCT);

insert into TBL_DM_COLD_DEFINITIVE_INVOICE
	select _id, SRV_PK, GUID, NUMBER, FK_TOUR_ITEM, FK_DIST_ASSIGNMENT, FK_SLACC_ACCOUNT, FK_CSMR, DATE,
	    SALES_EMPLOYEE_NAME, FK_PAYAGR, FK_ADRS, PRICE, NET_PRICE, DESCRIPTION, ADDITION_AMOUNT, REDUCTION_AMOUNT,
      FK_CRNCY, FK_SLTP, FK_SLAR, FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_PLANT, FK_STORE, FK_USRSLOF_REGISTRANT,
      LATITUDE, LONGITUDE, FK_LKP_PROVIDER, IS_CALCULATED, IS_PRINTED, OPERATION_DATE, CREATE_DATE, CHANGE_DATE,
      REGISTER_DATE
	from  TBL_DM_COLD_DEFINITIVE_INVOICE_backup;

insert into TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM
	select _id, SRV_PK, ITEM_INDEX, FK_COLD_DEFINITIVE_INVOICE, FK_PRODUCT, FK_LKP_TYPE, FK_FIRST_TRACKING_FACTOR,
      FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE, FIRST_PART_TRACKING_FACTOR,
      FK_SECOND_TRACKING_FACTOR, SECOND_TRACKING_FACTOR_VALUE, SECOND_TRACKING_FACTOR_VALUE_TITLE,
      SECOND_PART_TRACKING_FACTOR, FK_THIRD_TRACKING_FACTOR, THIRD_TRACKING_FACTOR_VALUE,
      THIRD_TRACKING_FACTOR_VALUE_TITLE, THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR,
      FOURTH_TRACKING_FACTOR_VALUE, FOURTH_TRACKING_FACTOR_VALUE_TITLE, FOURTH_PART_TRACKING_FACTOR,
      FK_FIFTH_TRACKING_FACTOR, FIFTH_TRACKING_FACTOR_VALUE, FIFTH_TRACKING_FACTOR_VALUE_TITLE,
      FIFTH_PART_TRACKING_FACTOR, QUANTITY, FK_PRDT_MEUN, DESCRIPTION, FK_SLAR, FEE, PRICE, NET_PRICE,
      ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX, FK_SLPLCY_FREE_PRODUCT_POLICY,
      FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE
	from  TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_backup;

drop table TBL_DM_COLD_DEFINITIVE_INVOICE_backup;
drop table TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_backup;