INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('متنی', '1', 'REPORT_PARAMETER_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('عددی', '2', 'REPORT_PARAMETER_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('بولین', '3', 'REPORT_PARAMETER_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تاریخ و زمان', '4', 'REPORT_PARAMETER_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('ارجاع', '5', 'REPORT_PARAMETER_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('لوکاپ', '6', 'REPORT_PARAMETER_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('وضعیت', '7', 'REPORT_PARAMETER_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('مرکز نگهداری', '1', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('انبار', '2', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('حوزه فروش', '3', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('نحوه فروش', '4', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('ارز', '5', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('روش تسویه حساب', '6', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('حساب', '7', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('مشتری', '8', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('محصول', '9', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('واحد سنجش محصول', '10', 'REPORT_PARAMETER_REFERENCE_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تور', '11', 'REPORT_PARAMETER_REFERENCE_TYPE');

CREATE TABLE TBL_DM_REPORT (
	_id 				  integer primary key autoincrement,
	SRV_PK 				integer null ON CONFLICT fail,
	NAME				  text,
	TITLE				  text,
	FK_SLOF       integer not null,
	CREATE_DATE   integer default (strftime('%s','now')*1000),
	CHANGE_DATE		integer default (strftime('%s','now')*1000)
);

CREATE index idx_TBL_DM_REPORT_PK ON TBL_DM_REPORT (_id);
CREATE index idx_TBL_DM_REPORT_SRV_PK ON TBL_DM_REPORT (SRV_PK);
CREATE index idx_TBL_DM_REPORT_TITLE ON TBL_DM_REPORT (TITLE);

CREATE TABLE TBL_DM_REPORT_PARAMETER (
	_id 				            integer primary key autoincrement,
	FK_REPORT               integer not null,
	NAME				            text,
	TITLE				            text,
	FK_LKP_TYPE             integer not null,
	FK_LKP_REFERENCE_TYPE   integer null,
	DEFAULT_VALUE				    text,
	IS_MANDATORY		        integer not null default 0,
	CREATE_DATE		          integer default (strftime('%s','now')*1000),
	CHANGE_DATE		          integer default (strftime('%s','now')*1000),
	foreign key(FK_REPORT) references TBL_DM_REPORT (_id) ON DELETE CASCADE
);

CREATE index idx_TBL_DM_REPORT_PARAMETER_PK ON TBL_DM_REPORT_PARAMETER (_id);
CREATE index idx_TBL_DM_REPORT_PARAMETER_FK_REPORT ON TBL_DM_REPORT_PARAMETER (FK_REPORT);

CREATE TABLE TBL_DM_REPORT_PARAMETER_LOOKUP (
	_id 				            integer primary key autoincrement,
	FK_REPORT_PARAMETER     integer not null,
	CODE				            text,
	TITLE				            text,
	CREATE_DATE		          integer default (strftime('%s','now')*1000),
	CHANGE_DATE		          integer default (strftime('%s','now')*1000),
	foreign key(FK_REPORT_PARAMETER) references TBL_DM_REPORT_PARAMETER (_id) ON DELETE CASCADE
);

CREATE index idx_TBL_DM_REPORT_PARAMETER_LOOKUP_PK ON TBL_DM_REPORT_PARAMETER_LOOKUP (_id);
CREATE index idx_TBL_DM_REPORT_PARAMETER_LOOKUP_FK_REPORT_PARAMETER ON TBL_DM_REPORT_PARAMETER_LOOKUP (FK_REPORT_PARAMETER);
