alter table TBL_DM_CUSTOMER add column IMAGES_LAST_FETCH_DATE integer null;

create table TBL_DM_CUSTOMER_ATTACHMENT (
	_id 				      INTEGER PRIMARY KEY AUTOINCREMENT,
	FK_CUSTOMER				INTEGER NOT NULL,
	FK_LKP_TYPE			  INTEGER NOT NULL,
	FK_LKP_MIME_TYPE	INTEGER NOT NULL,
	SRV_PK				    INTEGER NULL,
	NAME				      TEXT,
	IS_PRIMARY			  INTEGER NOT NULL DEFAULT 0,
	CONTENT				    NONE NULL,
	HAS_CHANGE        INTEGER NOT NULL DEFAULT 0,
	IS_DELETED        INTEGER NOT NULL DEFAULT 0,
	CREATE_DATE			  INTEGER DEFAULT (strftime('%s','now')*1000),
	CHANGE_DATE			  INTEGER DEFAULT (strftime('%s','now')*1000),
	FOREIGN KEY (FK_CUSTOMER)       REFERENCES TBL_DM_CUSTOMER (_id) ON DELETE CASCADE,
	FOREIGN KEY (FK_LKP_TYPE)       REFERENCES TBL_GN_LOOKUP (_id),
	FOREIGN KEY (FK_LKP_MIME_TYPE)  REFERENCES TBL_GN_LOOKUP (_id)
);

CREATE index idx_TBL_DM_CUSTOMER_ATTACHMENT_FK_CUSTOMER       ON TBL_DM_CUSTOMER_ATTACHMENT (FK_CUSTOMER);
CREATE index idx_TBL_DM_CUSTOMER_ATTACHMENT_FK_LKP_TYPE       ON TBL_DM_CUSTOMER_ATTACHMENT (FK_LKP_TYPE);
CREATE index idx_TBL_DM_CUSTOMER_ATTACHMENT_FK_LKP_MIME_TYPE  ON TBL_DM_CUSTOMER_ATTACHMENT (FK_LKP_MIME_TYPE);
CREATE index idx_TBL_DM_CUSTOMER_ATTACHMENT_SRV_PK            ON TBL_DM_CUSTOMER_ATTACHMENT (SRV_PK);

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('تصویر',       1,  'CUSTOMER_ATTACHMENT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('ویدیو',       2,  'CUSTOMER_ATTACHMENT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('سایر موارد',  10, 'CUSTOMER_ATTACHMENT_TYPE');