INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('فاکتور برگشتی', '4', 'RECEIPT_ITEM_TYPE');

alter table TBL_DM_RECEIPT_ITEM add column FK_RETURN_INVOICE integer null references TBL_DM_RETURN_INVOICE (_id);

CREATE TABLE TBL_DM_PAYMENT (
	_id 					          integer primary key autoincrement,
	FK_TIAC					        integer not null,
	FK_RTN_INVOICE			    integer null,
	FK_CSMR					        integer not null,
	FK_LOCATION				      integer null,
	OPERATION_DATE			    integer null,
	IS_PRINTED 				      integer not null default 0,
  FK_USRSLOF_REGISTRANT   integer not null,
  FK_LKP_STATUS           integer not null default 0,
  FK_LKP_SENDING_STATUS   integer not null default 0,
	CREATE_DATE				      integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE				      integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_TIAC) references TBL_DM_TOUR_ITEM_ACTIVITY (_id) ON DELETE CASCADE,
	foreign key (FK_RTN_INVOICE) references TBL_DM_RETURN_INVOICE (_id) ON DELETE CASCADE,
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE,
	foreign key (FK_LOCATION) references TBL_DM_LOCATION (_id),
	foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id),
	foreign key (FK_LKP_SENDING_STATUS) references TBL_GN_LOOKUP (_id),
  foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF(_id)
);

create index idx_TBL_DM_PAYMENT_PK on TBL_DM_PAYMENT (_id);
create index idx_TBL_DM_PAYMENT_FK_TIAC on TBL_DM_PAYMENT (FK_TIAC);
create index idx_TBL_DM_PAYMENT_FK_RTN_INVOICE on TBL_DM_PAYMENT (FK_RTN_INVOICE);
create index idx_TBL_DM_PAYMENT_FK_CSMR on TBL_DM_PAYMENT (FK_CSMR);

CREATE TABLE TBL_DM_PAYMENT_ITEM (
	_id 					  integer primary key autoincrement,
	FK_PAYMENT			integer not null,
  FK_LKP_TYPE			integer not null default 0,
  NUMBER					text,
  ACCOUNT_NUMBER	text,
  AMOUNT					text,
  FK_BANK					integer,
  BRANCH					text,
  BRANCH_CODE     text null,
  DUE_DATE				integer,
  DESCRIPTION			text,
	CREATE_DATE			integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE			integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_PAYMENT) references TBL_DM_PAYMENT (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_BANK) references TBL_DM_BANK (_id)
);

create index idx_TBL_DM_PAYMENT_ITEM_PK on TBL_DM_PAYMENT_ITEM (_id);
create index idx_TBL_DM_PAYMENT_ITEM_FK_PAYMENT on TBL_DM_PAYMENT_ITEM (FK_PAYMENT);
create index idx_TBL_DM_PAYMENT_ITEM_FK_LKP_TYPE on TBL_DM_PAYMENT_ITEM (FK_LKP_TYPE);

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('نقد', '1', 'PAYMENT_ITEM_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('اعلامیه واریز', '2', 'PAYMENT_ITEM_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('چک', '3', 'PAYMENT_ITEM_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('پرداخت شده', 1, 'PAYMENT_STATUS_TYPE');
insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('پرداخت ناقص', 2, 'PAYMENT_STATUS_TYPE');
insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('عدم پرداخت', 3, 'PAYMENT_STATUS_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال نشده', '1', 'SENDING_PAYMENT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال شده', '2', 'SENDING_PAYMENT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('در حال ارسال', '3', 'SENDING_PAYMENT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال با خطا', '4', 'SENDING_PAYMENT_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('در حال حذف بعد از ارسال', '5', 'SENDING_PAYMENT_TYPE');

CREATE TABLE TBL_DM_RETURN_INVOICE_REPLACED_ITEM (
	_id 							      integer primary key autoincrement,
	FK_PRDT_MEUN 			      integer not null,
	QUANTITY 					      real not null,
	FEE 						        real null,
	FK_RETURN_INVOICE 			integer null,
	FK_RETURN_INVOICE_ITEM 	integer null,
	CREATE_DATE 						integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 						integer not null default (strftime('%s','now') * 1000),
	foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
	foreign key (FK_RETURN_INVOICE) references TBL_DM_RETURN_INVOICE (_id) ON DELETE CASCADE,
	foreign key (FK_RETURN_INVOICE_ITEM) references TBL_DM_RETURN_INVOICE_ITEM (_id) ON DELETE CASCADE
);

alter table TBL_DM_RETURN_INVOICE_ITEM add column IS_REPLACED integer not null default 0;
