INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('طبقه بندی محصول', '1', 'CATEGORY_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('طبقه بندی مشتری', '2', 'CATEGORY_TYPE');

CREATE TABLE TBL_DM_CATEGORY_backup (
	_id 				  integer primary key autoincrement,
	SRV_PK			  integer not null,
	NAME				  text,
	CODE 				  text null,
	PRIORITY		  integer not null,
	IS_DELETED		integer not null default 0,
	CREATE_DATE		integer default (strftime('%s','now')*1000),
	CHANGE_DATE		integer default (strftime('%s','now')*1000)
);

insert into TBL_DM_CATEGORY_backup
	select _id, SRV_PK, NAME, CODE, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE
	from TBL_DM_CATEGORY;

drop table TBL_DM_CATEGORY;

CREATE TABLE TBL_DM_CATEGORY (
	_id 				  integer primary key autoincrement,
	SRV_PK			  integer not null,
  FK_LKP_TYPE   integer not null default 1,
	NAME				  text,
	CODE 				  text null,
	PRIORITY		  integer not null,
	IS_DELETED		integer not null default 0,
	CREATE_DATE		integer default (strftime('%s','now')*1000),
	CHANGE_DATE		integer default (strftime('%s','now')*1000)
);

CREATE index idx_TBL_DM_CATEGORY_PK ON TBL_DM_CATEGORY (_id);
CREATE index idx_TBL_DM_CATEGORY_SRV_PK ON TBL_DM_CATEGORY (SRV_PK);
CREATE index idx_TBL_DM_CATEGORY_FK_LKP_TYPE ON TBL_DM_CATEGORY (FK_LKP_TYPE);

insert into TBL_DM_CATEGORY
	select _id, SRV_PK, 1, NAME, CODE, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE
	from TBL_DM_CATEGORY_backup;

update TBL_DM_CATEGORY set FK_LKP_TYPE = (select _id from TBL_GN_LOOKUP where TYPE = 'CATEGORY_TYPE' and CODE = '1');

drop table TBL_DM_CATEGORY_backup;

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تگ محصول', '1', 'TAG_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES('تگ مشتری', '2', 'TAG_TYPE');

CREATE TABLE TBL_DM_TAG_backup (
	_id 				  integer primary key autoincrement,
	SRV_PK				integer not null,
	NAME				  text,
	CODE 				  text null,
	FK_CATEGORY		integer not null,
	PRIORITY			integer not null,
	IS_DELETED		integer not null default 0,
	CREATE_DATE		integer default (strftime('%s','now')*1000),
	CHANGE_DATE		integer default (strftime('%s','now')*1000),
	foreign key(FK_CATEGORY) references TBL_DM_CATEGORY (_id) ON DELETE CASCADE
);

insert into TBL_DM_TAG_backup
	select _id, SRV_PK, NAME, CODE, FK_CATEGORY, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE
	from TBL_DM_TAG;

drop table TBL_DM_TAG;

CREATE TABLE TBL_DM_TAG (
	_id 				  integer primary key autoincrement,
	SRV_PK				integer not null,
	FK_LKP_TYPE   integer not null default 1,
	NAME				  text,
	CODE 				  text null,
	FK_CATEGORY		integer not null,
	PRIORITY			integer not null,
	IS_DELETED		integer not null default 0,
	CREATE_DATE		integer default (strftime('%s','now')*1000),
	CHANGE_DATE		integer default (strftime('%s','now')*1000),
	foreign key(FK_CATEGORY) references TBL_DM_CATEGORY (_id) ON DELETE CASCADE
);

CREATE index idx_TBL_DM_TAG_PK ON TBL_DM_TAG (_id);
CREATE index idx_TBL_DM_TAG_SRV_PK ON TBL_DM_TAG (SRV_PK);
CREATE index idx_TBL_DM_TAG_FK_LKP_TYPE ON TBL_DM_TAG (FK_LKP_TYPE);

insert into TBL_DM_TAG
	select _id, SRV_PK, 1, NAME, CODE, FK_CATEGORY, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE
	from TBL_DM_TAG_backup;

update TBL_DM_TAG set FK_LKP_TYPE = (select _id from TBL_GN_LOOKUP where TYPE = 'TAG_TYPE' and CODE = '1');

drop table TBL_DM_TAG_backup;
