create table TBL_DM_PRODUCT_LIST (
	_id 				    INTEGER PRIMARY KEY AUTOINCREMENT,
	SRV_PK				    INTEGER NULL,
	NAME				    TEXT,
	CODE 					TEXT,
	IS_DELETED        		INTEGER NOT NULL DEFAULT 0,
	PRIORITY				INTEGER NOT NULL DEFAULT 0,
	CREATE_DATE			  	INTEGER DEFAULT (strftime('%s','now')*1000),
	CHANGE_DATE			  	INTEGER DEFAULT (strftime('%s','now')*1000)
);

CREATE index idx_TBL_DM_PRODUCT_LIST_SRV_PK            ON TBL_DM_PRODUCT_LIST (SRV_PK);

create table TBL_DM_PRDT_PRODUCT_LIST (
	_id						INTEGER PRIMARY KEY AUTOINCREMENT,
	FK_PRODUCT_LIST			INTEGER NOT NULL,
	FK_MEASUREMENT_UNIT     INTEGER NULL,
	FK_PRODUCT				INTEGER NOT NULL,
	DEFUALT_QUANTITY 		REAL NULL,
	FOREIGN KEY (FK_PRODUCT_LIST)  REFERENCES TBL_DM_PRODUCT_LIST (_id) ON DELETE CASCADE,
	FOREIGN KEY (FK_MEASUREMENT_UNIT)  REFERENCES TBL_DM_MEASUREMENT_UNIT (_id) ON DELETE CASCADE,	
	FOREIGN KEY (FK_PRODUCT)  REFERENCES TBL_DM_PRODUCT (_id) ON DELETE CASCADE
);

CREATE index idx_TBL_DM_PRDT_PRODUCT_LIST_FK_PRODUCT_LIST  ON TBL_DM_PRDT_PRODUCT_LIST (FK_PRODUCT_LIST);
CREATE index idx_TBL_DM_PRDT_PRODUCT_LIST_FK_MEASUREMENT_UNIT  ON TBL_DM_PRDT_PRODUCT_LIST (FK_MEASUREMENT_UNIT);
CREATE index idx_TBL_DM_PRDT_PRODUCT_LIST_FK_PRODUCT  ON TBL_DM_PRDT_PRODUCT_LIST (FK_PRODUCT);


create table TBL_DM_CUSTOMER_PRODUCT_LIST (
	_id						INTEGER PRIMARY KEY AUTOINCREMENT,
	FK_CUSTOMER				INTEGER NOT NULL,
	FK_PRODUCT_LIST			INTEGER NOT NULL,
	FOREIGN KEY (FK_PRODUCT_LIST)  REFERENCES TBL_DM_PRODUCT_LIST (_id) ON DELETE CASCADE,
	FOREIGN KEY (FK_CUSTOMER)  REFERENCES TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
);

CREATE index idx_TBL_DM_CUSTOMER_PRODUCT_LIST_FK_CUSTOMER  ON TBL_DM_CUSTOMER_PRODUCT_LIST (FK_CUSTOMER);
CREATE index idx_TBL_DM_CUSTOMER_PRODUCT_LIST_FK_PRODUCT_LIST  ON TBL_DM_CUSTOMER_PRODUCT_LIST (FK_PRODUCT_LIST);



