alter table TBL_DM_PRODUCT add column IMAGES_LAST_FETCH_DATE integer null;

create table TBL_DM_PRODUCT_ATTACHMENT (
	_id 				integer primary key autoincrement,
	FK_PRDT				integer not null,
	FK_LKP_TYPE			integer not null,
	FK_LKP_MIME_TYPE	integer not null,
	SRV_PK				integer not null unique ON CONFLICT fail,
	NAME				text,
	IS_PRIMARY			integer not null default 0,
	CONTENT				blob null,
	CREATE_DATE			integer default (strftime('%s','now')*1000),
	CHANGE_DATE			integer default (strftime('%s','now')*1000),
	foreign key(FK_PRDT) references TBL_DM_PRODUCT (_id) ON DELETE CASCADE,
	foreign key(FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key(FK_LKP_MIME_TYPE) references TBL_GN_LOOKUP (_id)
);

create index idx_TBL_DM_PRODUCT_ATTACHMENT_FK_PRDT on TBL_DM_PRODUCT_ATTACHMENT (FK_PRDT);

create index idx_TBL_DM_PRODUCT_ATTACHMENT_FK_LKP_TYPE on TBL_DM_PRODUCT_ATTACHMENT (FK_LKP_TYPE);

create index idx_TBL_DM_PRODUCT_ATTACHMENT_FK_LKP_MIME_TYPE on TBL_DM_PRODUCT_ATTACHMENT (FK_LKP_MIME_TYPE);

create index idx_TBL_DM_PRODUCT_ATTACHMENT_SRV_PK on TBL_DM_PRODUCT_ATTACHMENT (SRV_PK);

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('تصویر', 1, 'PRODUCT_ATTACHMENT_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ویدیو', 2, 'PRODUCT_ATTACHMENT_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('سایر موارد', 10, 'PRODUCT_ATTACHMENT_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('application/msword', 'application/msword', 'STANDARD_MIME_TYPE'); 

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('application/pdf', 'application/pdf', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('application/xml', 'application/xml', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('application/zip', 'application/zip', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('application/gzip', 'application/gzip', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('audio/mp4', 'audio/mp4', 'STANDARD_MIME_TYPE');
		
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('audio/mpeg', 'audio/mpeg', 'STANDARD_MIME_TYPE'); 

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('image/bmp', 'image/bmp', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('image/gif', 'image/gif', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('image/jpeg', 'image/jpeg', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('image/png', 'image/png', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('image/tiff', 'image/tiff', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('text/html', 'text/html', 'STANDARD_MIME_TYPE'); 

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('text/plain', 'text/plain', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('text/xml', 'text/xml', 'STANDARD_MIME_TYPE');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) values('video/mpeg', 'video/mpeg', 'STANDARD_MIME_TYPE');
