CREATE TABLE TBL_DM_ORDER_ITEM_backup (
				_id integer primary key autoincrement,
				QUANTITY real not null,
				FK_ORDER integer not null,
				FK_PRDT_MEUN integer not null,
				FK_PRODUCT_INVENTORY integer null,
				PRIORITY integer not null,
				IS_DELETED integer not null default 0,
				CREATE_DATE integer not null default (strftime('%s','now') * 1000),
				CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
				FEE real not null default 0,
				FREE_PRODUCT_CONDITION_ROW_ID integer,
				PRICE real not null default 0,
				NET_PRICE real not null default 0,
				ADDITION_AMOUNT real not null default 0,
				REDUCTION_AMOUNT real not null default 0,
				DESCRIPTION text null,
				FK_SLAR integer,
				FK_ORDER_ITEM_PARENT integer null,
				FK_SLPLCY_FREE_PRODUCT_POLICY integer null,
				FK_LKP_TYPE integer not null default 1 references TBL_GN_LOOKUP (_id),
				SETTLEMENT_PERIOD TEXT,
				foreign key (FK_ORDER) references TBL_DM_ORDER (_id) ON DELETE CASCADE,
				foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
				foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
				foreign key (FK_ORDER_ITEM_PARENT) references TBL_DM_ORDER_ITEM (_id),
				foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id),
				foreign key (FK_PRODUCT_INVENTORY) references TBL_DM_PRODUCT_INVENTORY (_id)
				);

INSERT INTO TBL_DM_ORDER_ITEM_backup
    select _id, QUANTITY, FK_ORDER, FK_PRDT_MEUN, FK_PRODUCT_INVENTORY, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE, FEE, FREE_PRODUCT_CONDITION_ROW_ID, PRICE, NET_PRICE,
    ADDITION_AMOUNT, REDUCTION_AMOUNT, DESCRIPTION, FK_SLAR, FK_ORDER_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FK_LKP_TYPE, SETTLEMENT_PERIOD
    from  TBL_DM_ORDER_ITEM;

DROP TABLE  TBL_DM_ORDER_ITEM;

CREATE TABLE TBL_DM_ORDER_ITEM (
				_id integer primary key autoincrement,
				QUANTITY real not null,
				FK_ORDER integer not null,
				FK_PRDT_MEUN integer not null,
				FK_PRODUCT_INVENTORY integer null,
				PRIORITY integer not null,
				IS_DELETED integer not null default 0,
				CREATE_DATE integer not null default (strftime('%s','now') * 1000),
				CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
				FEE real not null default 0,
				FREE_PRODUCT_CONDITION_ROW_ID integer,
				PRICE real not null default 0,
				NET_PRICE real not null default 0,
				ADDITION_AMOUNT real not null default 0,
				REDUCTION_AMOUNT real not null default 0,
				DESCRIPTION text null,
				FK_SLAR integer,
				FK_ORDER_ITEM_PARENT integer null,
				FK_SLPLCY_FREE_PRODUCT_POLICY integer null,
				FK_LKP_TYPE integer not null default 1 references TBL_GN_LOOKUP (_id),
				SETTLEMENT_PERIOD TEXT,
				foreign key (FK_ORDER) references TBL_DM_ORDER (_id) ON DELETE CASCADE,
				foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
				foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
				foreign key (FK_ORDER_ITEM_PARENT) references TBL_DM_ORDER_ITEM (_id),
				foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id),
				foreign key (FK_PRODUCT_INVENTORY) references TBL_DM_PRODUCT_INVENTORY (_id)
				);

INSERT INTO TBL_DM_ORDER_ITEM
    select _id, QUANTITY, FK_ORDER, FK_PRDT_MEUN, FK_PRODUCT_INVENTORY, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE, FEE, FREE_PRODUCT_CONDITION_ROW_ID, PRICE, NET_PRICE,
               ADDITION_AMOUNT, REDUCTION_AMOUNT, DESCRIPTION, FK_SLAR, FK_ORDER_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FK_LKP_TYPE, SETTLEMENT_PERIOD
    from TBL_DM_ORDER_ITEM_backup;

DROP TABLE TBL_DM_ORDER_ITEM_backup;







CREATE TABLE TBL_DM_HOT_SALES_INVOICE_ITEM_backup (
                _id integer primary key autoincrement,
                FK_HSI_INVOICE integer not null,
                PRIORITY integer not null,
                IS_DELETED integer not null default 0,
                CREATE_DATE integer not null default (strftime('%s','now') * 1000),
                CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
                QUANTITY real not null,
                FK_PRDT_MEUN integer not null,
                FK_SLAR integer not null,
                DESCRIPTION text null,
                FEE real not null default 0,
                PRICE real not null default 0,
                NET_PRICE real not null default 0,
                ADDITION_AMOUNT real not null default 0,
                REDUCTION_AMOUNT real not null default 0,
                FK_INVOICE_ITEM_PARENT integer null,
                FK_SLPLCY_FREE_PRODUCT_POLICY integer null,
                FREE_PRODUCT_CONDITION_ROW_ID integer,
                FK_LKP_TYPE integer not null default 1 references TBL_GN_LOOKUP (_id),
                SETTLEMENT_PERIOD TEXT,
                foreign key( FK_HSI_INVOICE ) references TBL_DM_HOT_SALES_INVOICE ( _id ) ON DELETE CASCADE, foreign key( FK_PRDT_MEUN ) references TBL_DM_PRDT_MEUN_INF ( _id ),
                foreign key( FK_SLAR ) references TBL_DM_SALES_AREA ( _id ) ,foreign key( FK_INVOICE_ITEM_PARENT ) references TBL_DM_HOT_SALES_INVOICE_ITEM ( _id ),
                foreign key( FK_SLPLCY_FREE_PRODUCT_POLICY ) references TBL_DM_SALES_POLICY ( _id ));

INSERT INTO TBL_DM_HOT_SALES_INVOICE_ITEM_backup
    select _id, FK_HSI_INVOICE, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE, QUANTITY, FK_PRDT_MEUN, FK_SLAR, DESCRIPTION, FEE, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT,
    FK_INVOICE_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, FK_LKP_TYPE, SETTLEMENT_PERIOD
    from  TBL_DM_HOT_SALES_INVOICE_ITEM;

DROP TABLE  TBL_DM_HOT_SALES_INVOICE_ITEM;

CREATE TABLE TBL_DM_HOT_SALES_INVOICE_ITEM (
                _id integer primary key autoincrement,
                FK_HSI_INVOICE integer not null,
                PRIORITY integer not null,
                IS_DELETED integer not null default 0,
                CREATE_DATE integer not null default (strftime('%s','now') * 1000),
                CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
                QUANTITY real not null,
                FK_PRDT_MEUN integer not null,
                FK_SLAR integer not null,
                DESCRIPTION text null,
                FEE real not null default 0,
                PRICE real not null default 0,
                NET_PRICE real not null default 0,
                ADDITION_AMOUNT real not null default 0,
                REDUCTION_AMOUNT real not null default 0,
                FK_INVOICE_ITEM_PARENT integer null,
                FK_SLPLCY_FREE_PRODUCT_POLICY integer null,
                FREE_PRODUCT_CONDITION_ROW_ID integer,
                FK_LKP_TYPE integer not null default 1 references TBL_GN_LOOKUP (_id),
                SETTLEMENT_PERIOD TEXT,
                foreign key( FK_HSI_INVOICE ) references TBL_DM_HOT_SALES_INVOICE ( _id ) ON DELETE CASCADE, foreign key( FK_PRDT_MEUN ) references TBL_DM_PRDT_MEUN_INF ( _id ),
                foreign key( FK_SLAR ) references TBL_DM_SALES_AREA ( _id ) ,foreign key( FK_INVOICE_ITEM_PARENT ) references TBL_DM_HOT_SALES_INVOICE_ITEM ( _id ),
                foreign key( FK_SLPLCY_FREE_PRODUCT_POLICY ) references TBL_DM_SALES_POLICY ( _id ));

INSERT INTO TBL_DM_HOT_SALES_INVOICE_ITEM
    select _id, FK_HSI_INVOICE, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE, QUANTITY, FK_PRDT_MEUN, FK_SLAR, DESCRIPTION, FEE, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT,
    FK_INVOICE_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, FK_LKP_TYPE, SETTLEMENT_PERIOD
    from  TBL_DM_HOT_SALES_INVOICE_ITEM_backup;

DROP TABLE TBL_DM_HOT_SALES_INVOICE_ITEM_backup;







CREATE TABLE TBL_DM_RETURN_INVOICE_ITEM_backup (
                _id 							    integer primary key autoincrement,
	            FK_RETURN_INVOICE 				    integer not null,
	            FK_RETURN_PERMIT_ITEM 		    	integer null,
	            FK_RETURN_REASON			        integer null,
	            PRIORITY 						    integer not null,
	            IS_DELETED 					        integer not null default 0,
	            IS_WASTE					        integer not null default 0,
	            WASTE_SHARE_PERCENTAGE		    	REAL not null,
	            QUANTITY 					        real not null,
            	FK_PRDT_MEUN 			          	integer not null,
	            FK_SLAR 					        integer not null,
	            DESCRIPTION 			          	text null,
	            FEE 						        real not null default 0,
	            PRICE 						        real not null default 0,
	            NET_PRICE 					        real not null default 0,
	            ADDITION_AMOUNT 			        real not null default 0,
	            REDUCTION_AMOUNT 			        real not null default 0,
	            FK_INVOICE_ITEM_PARENT 		     	integer null,
	            FK_SLPLCY_FREE_PRODUCT_POLICY 	    integer null,
	            FREE_PRODUCT_CONDITION_ROW_ID 	    integer,
	            FK_INVOICE_ITEM                     integer null,
	            FK_LKP_TYPE                         integer not null default 1,
	            CREATE_DATE 				        integer not null default (strftime('%s','now') * 1000),
	            CHANGE_DATE 				        integer not null default (strftime('%s','now') * 1000),
	            IS_REPLACED                         integer not null default 0,
	            foreign key (FK_RETURN_INVOICE)             references TBL_DM_RETURN_INVOICE (_id) ON DELETE CASCADE,
	            foreign key (FK_RETURN_PERMIT_ITEM)         references TBL_DM_RETURN_PERMIT_ITEM (_id) ON DELETE CASCADE,
	            foreign key (FK_PRDT_MEUN)                  references TBL_DM_PRDT_MEUN_INF (_id),
	            foreign key (FK_SLAR)                       references TBL_DM_SALES_AREA (_id),
	            foreign key (FK_INVOICE_ITEM_PARENT)        references TBL_DM_RETURN_INVOICE_ITEM (_id),
	            foreign key (FK_INVOICE_ITEM)               references TBL_DM_INVOICES_ITEM (_id),
	            foreign key (FK_LKP_TYPE)                   references TBL_GN_LOOKUP (_id),
	            foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id));

INSERT INTO TBL_DM_RETURN_INVOICE_ITEM_backup
    select _id, FK_RETURN_INVOICE, FK_RETURN_PERMIT_ITEM, FK_RETURN_REASON, PRIORITY, IS_DELETED, IS_WASTE, WASTE_SHARE_PERCENTAGE, QUANTITY, FK_PRDT_MEUN, FK_SLAR, DESCRIPTION,
    FEE, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_INVOICE_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, FK_INVOICE_ITEM,
    FK_LKP_TYPE, CREATE_DATE, CHANGE_DATE, IS_REPLACED
    from  TBL_DM_RETURN_INVOICE_ITEM;

DROP TABLE TBL_DM_RETURN_INVOICE_ITEM;

CREATE TABLE TBL_DM_RETURN_INVOICE_ITEM (
                _id 							    integer primary key autoincrement,
	            FK_RETURN_INVOICE 				    integer not null,
	            FK_RETURN_PERMIT_ITEM 		    	integer null,
	            FK_RETURN_REASON			        integer null,
	            PRIORITY 						    integer not null,
	            IS_DELETED 					        integer not null default 0,
	            IS_WASTE					        integer not null default 0,
	            WASTE_SHARE_PERCENTAGE		    	REAL not null,
	            QUANTITY 					        real not null,
            	FK_PRDT_MEUN 			          	integer not null,
	            FK_SLAR 					        integer not null,
	            DESCRIPTION 			          	text null,
	            FEE 						        real not null default 0,
	            PRICE 						        real not null default 0,
	            NET_PRICE 					        real not null default 0,
	            ADDITION_AMOUNT 			        real not null default 0,
	            REDUCTION_AMOUNT 			        real not null default 0,
	            FK_INVOICE_ITEM_PARENT 		     	integer null,
	            FK_SLPLCY_FREE_PRODUCT_POLICY 	    integer null,
	            FREE_PRODUCT_CONDITION_ROW_ID 	    integer,
	            FK_INVOICE_ITEM                     integer null,
	            FK_LKP_TYPE                         integer not null default 1,
	            CREATE_DATE 				        integer not null default (strftime('%s','now') * 1000),
	            CHANGE_DATE 				        integer not null default (strftime('%s','now') * 1000),
	            IS_REPLACED                         integer not null default 0,
	            foreign key (FK_RETURN_INVOICE)             references TBL_DM_RETURN_INVOICE (_id) ON DELETE CASCADE,
	            foreign key (FK_RETURN_PERMIT_ITEM)         references TBL_DM_RETURN_PERMIT_ITEM (_id) ON DELETE CASCADE,
	            foreign key (FK_PRDT_MEUN)                  references TBL_DM_PRDT_MEUN_INF (_id),
	            foreign key (FK_SLAR)                       references TBL_DM_SALES_AREA (_id),
	            foreign key (FK_INVOICE_ITEM_PARENT)        references TBL_DM_RETURN_INVOICE_ITEM (_id),
	            foreign key (FK_INVOICE_ITEM)               references TBL_DM_INVOICES_ITEM (_id),
	            foreign key (FK_LKP_TYPE)                   references TBL_GN_LOOKUP (_id),
	            foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id));

INSERT INTO TBL_DM_RETURN_INVOICE_ITEM
    select _id, FK_RETURN_INVOICE, FK_RETURN_PERMIT_ITEM, FK_RETURN_REASON, PRIORITY, IS_DELETED, IS_WASTE, WASTE_SHARE_PERCENTAGE, QUANTITY, FK_PRDT_MEUN, FK_SLAR, DESCRIPTION,
    FEE, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_INVOICE_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, FK_INVOICE_ITEM,
    FK_LKP_TYPE, CREATE_DATE, CHANGE_DATE, IS_REPLACED
    from  TBL_DM_RETURN_INVOICE_ITEM_backup;

DROP TABLE TBL_DM_RETURN_INVOICE_ITEM_backup;







CREATE TABLE TBL_DM_RETURN_PERMIT_REQUEST_ITEM_backup (
		        _id 					                integer primary key autoincrement,
		        FK_RETURN_PERMIT_REQUEST		        integer not null,
		        FK_INVOICE_ITEM				            integer null,
		        PRIORITY 				                integer not null,
		        IS_DELETED 				                integer not null default 0,
		        QUANTITY 				                real not null,
		        FK_PRDT_MEUN 				            integer not null,
		        FK_RETURN_REASON			            integer null,
		        FK_SLAR 			                	integer not null,
		        DESCRIPTION 		    	        	text null,
		        FEE 				                	real not null default 0,
		        PRICE 				                	real not null default 0,
		        NET_PRICE 			                	real not null default 0,
		        ADDITION_AMOUNT 	    	        	real not null default 0,
		        REDUCTION_AMOUNT 	            		real not null default 0,
		        FK_RETURN_PERMIT_REQUEST_ITEM_PARENT	integer null,
		        FK_SLPLCY_FREE_PRODUCT_POLICY 		    integer null,
		        FREE_PRODUCT_CONDITION_ROW_ID 		    integer null,
		        FK_LKP_TYPE 			            	integer not null default 1 references TBL_GN_LOOKUP (_id),
		        CREATE_DATE 			            	integer not null default (strftime('%s','now') * 1000),
		        CHANGE_DATE 			            	integer not null default (strftime('%s','now') * 1000),
		        foreign key (FK_RETURN_PERMIT_REQUEST) references TBL_DM_RETURN_PERMIT_REQUEST (_id) ON DELETE CASCADE,
		        foreign key (FK_INVOICE_ITEM) references TBL_DM_INVOICES_ITEM (_id),
		        foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
		        foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
		        foreign key (FK_RETURN_PERMIT_REQUEST_ITEM_PARENT) references TBL_DM_RETURN_PERMIT_REQUEST_ITEM (_id),
		        foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id) );

INSERT INTO TBL_DM_RETURN_PERMIT_REQUEST_ITEM_backup
    select _id, FK_RETURN_PERMIT_REQUEST, FK_INVOICE_ITEM, PRIORITY, IS_DELETED, QUANTITY, FK_PRDT_MEUN, FK_RETURN_REASON, FK_SLAR, DESCRIPTION, FEE,
    PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_RETURN_PERMIT_REQUEST_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID,
    FK_LKP_TYPE, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_RETURN_PERMIT_REQUEST_ITEM;

DROP TABLE TBL_DM_RETURN_PERMIT_REQUEST_ITEM;

CREATE TABLE TBL_DM_RETURN_PERMIT_REQUEST_ITEM (
		        _id 					                integer primary key autoincrement,
		        FK_RETURN_PERMIT_REQUEST		        integer not null,
		        FK_INVOICE_ITEM				            integer null,
		        PRIORITY 				                integer not null,
		        IS_DELETED 				                integer not null default 0,
		        QUANTITY 				                real not null,
		        FK_PRDT_MEUN 				            integer not null,
		        FK_RETURN_REASON			            integer null,
		        FK_SLAR 			                	integer not null,
		        DESCRIPTION 		    	        	text null,
		        FEE 				                	real not null default 0,
		        PRICE 				                	real not null default 0,
		        NET_PRICE 			                	real not null default 0,
		        ADDITION_AMOUNT 	    	        	real not null default 0,
		        REDUCTION_AMOUNT 	            		real not null default 0,
		        FK_RETURN_PERMIT_REQUEST_ITEM_PARENT	integer null,
		        FK_SLPLCY_FREE_PRODUCT_POLICY 		    integer null,
		        FREE_PRODUCT_CONDITION_ROW_ID 		    integer null,
		        FK_LKP_TYPE 			            	integer not null default 1 references TBL_GN_LOOKUP (_id),
		        CREATE_DATE 			            	integer not null default (strftime('%s','now') * 1000),
		        CHANGE_DATE 			            	integer not null default (strftime('%s','now') * 1000),
		        foreign key (FK_RETURN_PERMIT_REQUEST) references TBL_DM_RETURN_PERMIT_REQUEST (_id) ON DELETE CASCADE,
		        foreign key (FK_INVOICE_ITEM) references TBL_DM_INVOICES_ITEM (_id),
		        foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
		        foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
		        foreign key (FK_RETURN_PERMIT_REQUEST_ITEM_PARENT) references TBL_DM_RETURN_PERMIT_REQUEST_ITEM (_id),
		        foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id) );

INSERT INTO TBL_DM_RETURN_PERMIT_REQUEST_ITEM
    select _id, FK_RETURN_PERMIT_REQUEST, FK_INVOICE_ITEM, PRIORITY, IS_DELETED, QUANTITY, FK_PRDT_MEUN, FK_RETURN_REASON, FK_SLAR, DESCRIPTION, FEE,
    PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_RETURN_PERMIT_REQUEST_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID,
    FK_LKP_TYPE, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_RETURN_PERMIT_REQUEST_ITEM_backup;

DROP TABLE TBL_DM_RETURN_PERMIT_REQUEST_ITEM_backup;








CREATE TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM_backup (
		    	_id 							integer primary key autoincrement,
			    FK_COLD_NON_DEFINITIVE_INVOICE 	integer not null,
			    FK_SALES_ASSIGNMENT_ITEM 		integer null,
			    PRIORITY 						integer not null,
			    IS_DELETED 						integer not null default 0,
		    	QUANTITY 						real not null,
			    FK_PRDT_MEUN 					integer not null,
			    FK_SLAR 						integer not null,
			    DESCRIPTION 					text null,
			    FEE 							real not null default 0,
			    PRICE 							real not null default 0,
			    NET_PRICE 						real not null default 0,
			    ADDITION_AMOUNT 				real not null default 0,
			    REDUCTION_AMOUNT 				real not null default 0,
			    FK_INVOICE_ITEM_PARENT 			integer null,
			    FK_SLPLCY_FREE_PRODUCT_POLICY 	integer null,
			    FREE_PRODUCT_CONDITION_ROW_ID 	integer,
			    CREATE_DATE 					integer not null default (strftime('%s','now') * 1000),
			    CHANGE_DATE 					integer not null default (strftime('%s','now') * 1000),
			    FK_LKP_TYPE                     integer not null default 1 references TBL_GN_LOOKUP (_id),
			    SETTLEMENT_PERIOD               TEXT,
			    foreign key (FK_COLD_NON_DEFINITIVE_INVOICE) references TBL_DM_COLD_NON_DEFINITIVE_INVOICE (_id) ON DELETE CASCADE,
			    foreign key (FK_SALES_ASSIGNMENT_ITEM) references TBL_DM_SALES_ASSIGNMENT_ITEM (_id) ON DELETE CASCADE,
			    foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
			    foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
			    foreign key (FK_INVOICE_ITEM_PARENT) references TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM (_id),
			    foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id) );

INSERT INTO TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM_backup
    select _id, FK_COLD_NON_DEFINITIVE_INVOICE, FK_SALES_ASSIGNMENT_ITEM, PRIORITY, IS_DELETED, QUANTITY, FK_PRDT_MEUN, FK_SLAR, DESCRIPTION, FEE,
    PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_INVOICE_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE,
    CHANGE_DATE, FK_LKP_TYPE, SETTLEMENT_PERIOD
    from  TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM;

DROP TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM;

CREATE TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM (
		    	_id 							integer primary key autoincrement,
			    FK_COLD_NON_DEFINITIVE_INVOICE 	integer not null,
			    FK_SALES_ASSIGNMENT_ITEM 		integer null,
			    PRIORITY 						integer not null,
			    IS_DELETED 						integer not null default 0,
		    	QUANTITY 						real not null,
			    FK_PRDT_MEUN 					integer not null,
			    FK_SLAR 						integer not null,
			    DESCRIPTION 					text null,
			    FEE 							real not null default 0,
			    PRICE 							real not null default 0,
			    NET_PRICE 						real not null default 0,
			    ADDITION_AMOUNT 				real not null default 0,
			    REDUCTION_AMOUNT 				real not null default 0,
			    FK_INVOICE_ITEM_PARENT 			integer null,
			    FK_SLPLCY_FREE_PRODUCT_POLICY 	integer null,
			    FREE_PRODUCT_CONDITION_ROW_ID 	integer,
			    CREATE_DATE 					integer not null default (strftime('%s','now') * 1000),
			    CHANGE_DATE 					integer not null default (strftime('%s','now') * 1000),
			    FK_LKP_TYPE                     integer not null default 1 references TBL_GN_LOOKUP (_id),
			    SETTLEMENT_PERIOD               TEXT,
			    foreign key (FK_COLD_NON_DEFINITIVE_INVOICE) references TBL_DM_COLD_NON_DEFINITIVE_INVOICE (_id) ON DELETE CASCADE,
			    foreign key (FK_SALES_ASSIGNMENT_ITEM) references TBL_DM_SALES_ASSIGNMENT_ITEM (_id) ON DELETE CASCADE,
			    foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
			    foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
			    foreign key (FK_INVOICE_ITEM_PARENT) references TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM (_id),
			    foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id) );

INSERT INTO TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM
    select _id, FK_COLD_NON_DEFINITIVE_INVOICE, FK_SALES_ASSIGNMENT_ITEM, PRIORITY, IS_DELETED, QUANTITY, FK_PRDT_MEUN, FK_SLAR, DESCRIPTION, FEE,
    PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, FK_INVOICE_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE,
    CHANGE_DATE, FK_LKP_TYPE, SETTLEMENT_PERIOD
    from  TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM_backup;

DROP TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM_backup;