CREATE TABLE TBL_DM_TRACKING_FACTOR_PRIORITY (
				_id integer primary key autoincrement,
				INDEX_ITEM integer not null,
				FK_PRODUCT integer not null,
				FK_TRACKING_FACTOR integer not null,
				PRIORITY_TYPE integer not null,
				PRIORITY_ORDER integer not null,				
				foreign key (FK_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id) ON DELETE CASCADE,
				foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id) ON DELETE CASCADE );

create index idx_TBL_DM_TRACKING_FACTOR_PRIORITY_PK on TBL_DM_TRACKING_FACTOR_PRIORITY (_id);
create index idx_TBL_DM_TRACKING_FACTOR_PRIORITY_FK_PRODUCT on TBL_DM_TRACKING_FACTOR_PRIORITY (FK_PRODUCT);
create index idx_TBL_DM_TRACKING_FACTOR_PRIORITY_FK_TRACKING_FACTOR on TBL_DM_TRACKING_FACTOR_PRIORITY (FK_TRACKING_FACTOR);

CREATE TABLE TBL_DM_TRACKING_FACTOR_PRIORITY_VALUES (
				_id integer primary key autoincrement,
				FK_TRACKING_FACTOR_PRIORITY integer not null,
				TRACKING_FACTOR_PRIORITY_VALUE TEXT,		
				foreign key (FK_TRACKING_FACTOR_PRIORITY) references TBL_DM_TRACKING_FACTOR_PRIORITY (_id) ON DELETE CASCADE );

create index idx_TBL_DM_TRACKING_FACTOR_PRIORITY_VALUES_PK on TBL_DM_TRACKING_FACTOR_PRIORITY_VALUES (_id);
create index idx_TBL_DM_TRACKING_FACTOR_PRIORITY_VALUES_FK_TRACKING_FACTOR_PRIORITY on TBL_DM_TRACKING_FACTOR_PRIORITY_VALUES (FK_TRACKING_FACTOR_PRIORITY);