CREATE TABLE TBL_DM_PRODUCT_INVENTORY_backup ( 
		_id 				integer primary key autoincrement,
		FK_PRDT_MEUN		integer not null,
		FK_STORE			integer null,
		FK_PLANT			integer null,
		PHYSICAL_INVENTORY	real not null default 0,
		ACTUAL_INVENTORY	real not null default 0,
		IS_DELETED			integer not null default 0,
		CREATE_DATE			integer not null default (strftime('%s','now')*1000),
		CHANGE_DATE			integer not null default (strftime('%s','now')*1000),
		FK_FIRST_TRACKING_FACTOR				integer null,
		FIRST_TRACKING_FACTOR_VALUE				text null,
		FIRST_TRACKING_FACTOR_VALUE_TITLE		text null,
		FK_SECOND_TRACKING_FACTOR				integer null,
		SECOND_TRACKING_FACTOR_VALUE			text null,
		SECOND_TRACKING_FACTOR_VALUE_TITLE		text null,
		FK_THIRD_TRACKING_FACTOR				integer null,
		THIRD_TRACKING_FACTOR_VALUE				text null,
		THIRD_TRACKING_FACTOR_VALUE_TITLE		text null,
		FK_FOURTH_TRACKING_FACTOR				integer null,
		FOURTH_TRACKING_FACTOR_VALUE			text null,
		FOURTH_TRACKING_FACTOR_VALUE_TITLE		text null,
		FK_FIFTH_TRACKING_FACTOR				integer null,
		FIFTH_TRACKING_FACTOR_VALUE				text null,
		FIFTH_TRACKING_FACTOR_VALUE_TITLE		text null, 
		FIRST_PART_TRACKING_FACTOR integer, 
		SECOND_PART_TRACKING_FACTOR integer, 
		THIRD_PART_TRACKING_FACTOR integer, 
		FOURTH_PART_TRACKING_FACTOR integer, 
		FIFTH_PART_TRACKING_FACTOR integer, 
		FK_PRD_SLOF integer null REFERENCES TBL_DM_PRODUCT_SALES_OFFICE_INF (_id),
		foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
		foreign key (FK_STORE) references TBL_DM_STORE (_id),
		foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
		foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)
);

INSERT INTO TBL_DM_PRODUCT_INVENTORY_backup
    select _id, FK_PRDT_MEUN, FK_STORE, FK_PLANT, PHYSICAL_INVENTORY, ACTUAL_INVENTORY, IS_DELETED, CREATE_DATE, CHANGE_DATE, FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,FK_FOURTH_TRACKING_FACTOR,
	FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE,FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,SECOND_PART_TRACKING_FACTOR,
	THIRD_PART_TRACKING_FACTOR, FOURTH_PART_TRACKING_FACTOR,FIFTH_PART_TRACKING_FACTOR,FK_PRD_SLOF
    from  TBL_DM_PRODUCT_INVENTORY;

DROP TABLE  TBL_DM_PRODUCT_INVENTORY;

CREATE TABLE TBL_DM_TRACKING_FACTOR_COLLECTION (
		_id					integer primary key autoincrement,
		FK_FIRST_TRACKING_FACTOR				integer null,
		FIRST_TRACKING_FACTOR_VALUE				text null,
		FIRST_TRACKING_FACTOR_VALUE_TITLE		text null,
		FIRST_PART_TRACKING_FACTOR 				integer,
		FK_SECOND_TRACKING_FACTOR				integer null,
		SECOND_TRACKING_FACTOR_VALUE			text null,
		SECOND_TRACKING_FACTOR_VALUE_TITLE		text null,
		SECOND_PART_TRACKING_FACTOR 			integer,
		FK_THIRD_TRACKING_FACTOR				integer null,
		THIRD_TRACKING_FACTOR_VALUE				text null,
		THIRD_TRACKING_FACTOR_VALUE_TITLE		text null,
		THIRD_PART_TRACKING_FACTOR 				integer,
		FK_FOURTH_TRACKING_FACTOR				integer null,
		FOURTH_TRACKING_FACTOR_VALUE			text null,
		FOURTH_TRACKING_FACTOR_VALUE_TITLE		text null,
		FOURTH_PART_TRACKING_FACTOR 			integer,
		FK_FIFTH_TRACKING_FACTOR				integer null,
		FIFTH_TRACKING_FACTOR_VALUE				text null,
		FIFTH_TRACKING_FACTOR_VALUE_TITLE		text null, 	
		FIFTH_PART_TRACKING_FACTOR 				integer,
		INVENTORY_ID							integer,
		foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)		
);

create index idx_TBL_DM_TRACKING_FACTOR_COLLECTION_PK on TBL_DM_TRACKING_FACTOR_COLLECTION (_id);

INSERT INTO TBL_DM_TRACKING_FACTOR_COLLECTION
	(FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,SECOND_PART_TRACKING_FACTOR,
	FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,THIRD_PART_TRACKING_FACTOR,
	FK_FOURTH_TRACKING_FACTOR,FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE,FOURTH_PART_TRACKING_FACTOR,
	FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIFTH_PART_TRACKING_FACTOR,
	INVENTORY_ID)
    select FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,SECOND_PART_TRACKING_FACTOR,
	FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,THIRD_PART_TRACKING_FACTOR,
	FK_FOURTH_TRACKING_FACTOR,	FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE, FOURTH_PART_TRACKING_FACTOR,
	FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIFTH_PART_TRACKING_FACTOR,
	_id as INVENTORY_ID
    from  TBL_DM_PRODUCT_INVENTORY_backup 
	where FK_FIRST_TRACKING_FACTOR IS NOT NULL;

CREATE TABLE TBL_DM_PRODUCT_INVENTORY ( 
		_id 				integer primary key autoincrement,
		FK_PRDT_MEUN		integer not null,
		FK_STORE			integer null,
		FK_PLANT			integer null,
		PHYSICAL_INVENTORY	real not null default 0,
		ACTUAL_INVENTORY	real not null default 0,
		IS_DELETED			integer not null default 0,
		CREATE_DATE			integer not null default (strftime('%s','now')*1000),
		CHANGE_DATE			integer not null default (strftime('%s','now')*1000),
		FK_PRD_SLOF 		integer null REFERENCES TBL_DM_PRODUCT_SALES_OFFICE_INF (_id),
		FK_TRACKING_FACTOR_COLLECTION   integer null,
		foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
		foreign key (FK_STORE) references TBL_DM_STORE (_id),
		foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
		foreign key (FK_TRACKING_FACTOR_COLLECTION) REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id)
);

create index idx_TBL_DM_PRODUCT_INVENTORY_PK on TBL_DM_PRODUCT_INVENTORY (_id);

INSERT INTO TBL_DM_PRODUCT_INVENTORY
	(_id, FK_PRDT_MEUN, FK_STORE, FK_PLANT, PHYSICAL_INVENTORY, ACTUAL_INVENTORY, IS_DELETED, CREATE_DATE, CHANGE_DATE,FK_PRD_SLOF)
    select _id, FK_PRDT_MEUN, FK_STORE, FK_PLANT, PHYSICAL_INVENTORY, ACTUAL_INVENTORY, IS_DELETED, CREATE_DATE, CHANGE_DATE,FK_PRD_SLOF
    from  TBL_DM_PRODUCT_INVENTORY_backup;
	
UPDATE TBL_DM_PRODUCT_INVENTORY 
    set FK_TRACKING_FACTOR_COLLECTION = 
	(select TBL_DM_TRACKING_FACTOR_COLLECTION._id
	from  TBL_DM_TRACKING_FACTOR_COLLECTION
    where  TBL_DM_TRACKING_FACTOR_COLLECTION.INVENTORY_ID = TBL_DM_PRODUCT_INVENTORY._id);

DROP TABLE  TBL_DM_PRODUCT_INVENTORY_backup;

CREATE TABLE TBL_DM_TRACKING_FACTOR_COLLECTION_backup (
		_id					integer primary key autoincrement,
		FK_FIRST_TRACKING_FACTOR				integer null,
		FIRST_TRACKING_FACTOR_VALUE				text null,
		FIRST_TRACKING_FACTOR_VALUE_TITLE		text null,
		FIRST_PART_TRACKING_FACTOR 				integer,
		FK_SECOND_TRACKING_FACTOR				integer null,
		SECOND_TRACKING_FACTOR_VALUE			text null,
		SECOND_TRACKING_FACTOR_VALUE_TITLE		text null,
		SECOND_PART_TRACKING_FACTOR 			integer,
		FK_THIRD_TRACKING_FACTOR				integer null,
		THIRD_TRACKING_FACTOR_VALUE				text null,
		THIRD_TRACKING_FACTOR_VALUE_TITLE		text null,
		THIRD_PART_TRACKING_FACTOR 				integer,
		FK_FOURTH_TRACKING_FACTOR				integer null,
		FOURTH_TRACKING_FACTOR_VALUE			text null,
		FOURTH_TRACKING_FACTOR_VALUE_TITLE		text null,
		FOURTH_PART_TRACKING_FACTOR 			integer,
		FK_FIFTH_TRACKING_FACTOR				integer null,
		FIFTH_TRACKING_FACTOR_VALUE				text null,
		FIFTH_TRACKING_FACTOR_VALUE_TITLE		text null, 	
		FIFTH_PART_TRACKING_FACTOR 				integer,
		INVENTORY_ID							integer,
		foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)		
);

INSERT INTO TBL_DM_TRACKING_FACTOR_COLLECTION_backup	
    select _id,FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,SECOND_PART_TRACKING_FACTOR,
	FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,THIRD_PART_TRACKING_FACTOR,
	FK_FOURTH_TRACKING_FACTOR,	FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE, FOURTH_PART_TRACKING_FACTOR,
	FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIFTH_PART_TRACKING_FACTOR,INVENTORY_ID
    from  TBL_DM_TRACKING_FACTOR_COLLECTION;

DROP TABLE  TBL_DM_TRACKING_FACTOR_COLLECTION;

CREATE TABLE TBL_DM_TRACKING_FACTOR_COLLECTION (
		_id					integer primary key autoincrement,
		FK_FIRST_TRACKING_FACTOR				integer null,
		FIRST_TRACKING_FACTOR_VALUE				text null,
		FIRST_TRACKING_FACTOR_VALUE_TITLE		text null,
		FIRST_PART_TRACKING_FACTOR 				integer,
		FK_SECOND_TRACKING_FACTOR				integer null,
		SECOND_TRACKING_FACTOR_VALUE			text null,
		SECOND_TRACKING_FACTOR_VALUE_TITLE		text null,
		SECOND_PART_TRACKING_FACTOR 			integer,
		FK_THIRD_TRACKING_FACTOR				integer null,
		THIRD_TRACKING_FACTOR_VALUE				text null,
		THIRD_TRACKING_FACTOR_VALUE_TITLE		text null,
		THIRD_PART_TRACKING_FACTOR 				integer,
		FK_FOURTH_TRACKING_FACTOR				integer null,
		FOURTH_TRACKING_FACTOR_VALUE			text null,
		FOURTH_TRACKING_FACTOR_VALUE_TITLE		text null,
		FOURTH_PART_TRACKING_FACTOR 			integer,
		FK_FIFTH_TRACKING_FACTOR				integer null,
		FIFTH_TRACKING_FACTOR_VALUE				text null,
		FIFTH_TRACKING_FACTOR_VALUE_TITLE		text null, 	
		FIFTH_PART_TRACKING_FACTOR 				integer,
		foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)		
);

create index idx_TBL_DM_TRACKING_FACTOR_COLLECTION_PK on TBL_DM_TRACKING_FACTOR_COLLECTION (_id);

INSERT INTO TBL_DM_TRACKING_FACTOR_COLLECTION	
    select _id,FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,SECOND_PART_TRACKING_FACTOR,
	FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,THIRD_PART_TRACKING_FACTOR,
	FK_FOURTH_TRACKING_FACTOR,	FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE, FOURTH_PART_TRACKING_FACTOR,
	FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIFTH_PART_TRACKING_FACTOR
	
    from  TBL_DM_TRACKING_FACTOR_COLLECTION_backup;

DROP TABLE  TBL_DM_TRACKING_FACTOR_COLLECTION_backup;

CREATE TABLE TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_backup (
	_id 								    integer primary key autoincrement,
	SRV_PK								    integer not null,
    ITEM_INDEX							    integer not null,
    FK_COLD_DEFINITIVE_INVOICE     	        integer not null,
    FK_PRODUCT		      	        	    integer not null,
    FK_LKP_TYPE                             integer not null,
	FK_FIRST_TRACKING_FACTOR			    integer,
    FIRST_TRACKING_FACTOR_VALUE			    text,
    FIRST_TRACKING_FACTOR_VALUE_TITLE	    text,
	FIRST_PART_TRACKING_FACTOR 			    integer,
    FK_SECOND_TRACKING_FACTOR			    integer,
    SECOND_TRACKING_FACTOR_VALUE		    text,
    SECOND_TRACKING_FACTOR_VALUE_TITLE	    text,
    SECOND_PART_TRACKING_FACTOR			    integer,
    FK_THIRD_TRACKING_FACTOR			    integer,
    THIRD_TRACKING_FACTOR_VALUE			    text,
    THIRD_TRACKING_FACTOR_VALUE_TITLE	    text,
    THIRD_PART_TRACKING_FACTOR			    integer,
    FK_FOURTH_TRACKING_FACTOR			    integer,
    FOURTH_TRACKING_FACTOR_VALUE		    text,
    FOURTH_TRACKING_FACTOR_VALUE_TITLE	    text,
    FOURTH_PART_TRACKING_FACTOR			    integer,
    FK_FIFTH_TRACKING_FACTOR			    integer,
    FIFTH_TRACKING_FACTOR_VALUE			    text,
    FIFTH_TRACKING_FACTOR_VALUE_TITLE	    text,
    FIFTH_PART_TRACKING_FACTOR			    integer,
    QUANTITY			      			    real not null,
    FK_PRDT_MEUN							integer not null,
    DESCRIPTION							    text,
	FK_SLAR								    integer not null,
    FEE									    real not null,
    PRICE								    real not null,
	NET_PRICE							    real not null,
    ADDITION_AMOUNT						    real not null,
    REDUCTION_AMOUNT					    real not null,
    PARENT_ITEM_INDEX					    integer,
    FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
    FREE_PRODUCT_CONDITION_ROW_ID		    integer,
    CREATE_DATE							    integer default (strftime('%s','now')*1000) not null,
    CHANGE_DATE							    integer default (strftime('%s','now')*1000) not null, 
	SETTLEMENT_PERIOD 						TEXT,
    foreign key (FK_COLD_DEFINITIVE_INVOICE) references TBL_DM_COLD_DEFINITIVE_INVOICE (_id) ON DELETE CASCADE,
    foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
    foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
    foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
    foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
    foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
    foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
);

INSERT INTO TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_backup
    select _id, SRV_PK, ITEM_INDEX, FK_COLD_DEFINITIVE_INVOICE, FK_PRODUCT, FK_LKP_TYPE, FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,SECOND_PART_TRACKING_FACTOR,FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR, FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE,FOURTH_PART_TRACKING_FACTOR,FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIFTH_PART_TRACKING_FACTOR,QUANTITY,FK_PRDT_MEUN,DESCRIPTION,FK_SLAR, FEE,PRICE,NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX ,
	FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE, SETTLEMENT_PERIOD
    from  TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM;
	
DROP TABLE  TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM;
	
CREATE TABLE TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (
	_id 								    integer primary key autoincrement,
	SRV_PK								    integer not null,
    ITEM_INDEX							    integer not null,
    FK_COLD_DEFINITIVE_INVOICE     	        integer not null,
    FK_PRODUCT		      	        	    integer not null,
    FK_LKP_TYPE                             integer not null,	
    QUANTITY			      			    real not null,
    FK_PRDT_MEUN							integer not null,
    DESCRIPTION							    text,
	FK_SLAR								    integer not null,
    FEE									    real not null,
    PRICE								    real not null,
	NET_PRICE							    real not null,
    ADDITION_AMOUNT						    real not null,
    REDUCTION_AMOUNT					    real not null,
    PARENT_ITEM_INDEX					    integer,
    FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
    FREE_PRODUCT_CONDITION_ROW_ID		    integer,
    CREATE_DATE							    integer default (strftime('%s','now')*1000) not null,
    CHANGE_DATE							    integer default (strftime('%s','now')*1000) not null, 
	SETTLEMENT_PERIOD 						TEXT,
	FK_TRACKING_FACTOR_COLLECTION   		integer null,
    foreign key (FK_COLD_DEFINITIVE_INVOICE) references TBL_DM_COLD_DEFINITIVE_INVOICE (_id) ON DELETE CASCADE,
    foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
    foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
    foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
    foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
    foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id),
	foreign key (FK_TRACKING_FACTOR_COLLECTION) REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id)
);

create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_PK on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (_id);
create index idx_TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_SRV_PK on TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM (SRV_PK);

INSERT INTO TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM
	(_id, SRV_PK, ITEM_INDEX, FK_COLD_DEFINITIVE_INVOICE, FK_PRODUCT, FK_LKP_TYPE, QUANTITY,FK_PRDT_MEUN,DESCRIPTION,FK_SLAR, FEE,PRICE,NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX ,
	FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE, SETTLEMENT_PERIOD)
    select _id, SRV_PK, ITEM_INDEX, FK_COLD_DEFINITIVE_INVOICE, FK_PRODUCT, FK_LKP_TYPE, QUANTITY,FK_PRDT_MEUN,DESCRIPTION,FK_SLAR, FEE,PRICE,NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX ,
	FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE, SETTLEMENT_PERIOD
    from  TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_backup;

DROP TABLE  TBL_DM_COLD_DEFINITIVE_INVOICE_ITEM_backup;

CREATE TABLE TBL_DM_SALES_ASSIGNMENT_ITEM_backup (
	_id 								    integer primary key autoincrement,
	SRV_PK								    integer not null,
	ITEM_INDEX							    integer not null,
	FK_SALES_ASSIGNMENT		      	        integer not null,
	FK_PRODUCT		      	        	    integer not null,
	FK_FIRST_TRACKING_FACTOR			    integer,
	FIRST_TRACKING_FACTOR_VALUE			    text,
	FIRST_TRACKING_FACTOR_VALUE_TITLE	    text,
	FIRST_PART_TRACKING_FACTOR 			    integer,
	FK_SECOND_TRACKING_FACTOR			    integer,
	SECOND_TRACKING_FACTOR_VALUE		    text,
	SECOND_TRACKING_FACTOR_VALUE_TITLE	    text,
	SECOND_PART_TRACKING_FACTOR			    integer,
	FK_THIRD_TRACKING_FACTOR			    integer,
	THIRD_TRACKING_FACTOR_VALUE			    text,
	THIRD_TRACKING_FACTOR_VALUE_TITLE	    text,
	THIRD_PART_TRACKING_FACTOR			    integer,
	FK_FOURTH_TRACKING_FACTOR			    integer,
	FOURTH_TRACKING_FACTOR_VALUE		    text,
	FOURTH_TRACKING_FACTOR_VALUE_TITLE	    text,
	FOURTH_PART_TRACKING_FACTOR			    integer,
	FK_FIFTH_TRACKING_FACTOR			    integer,
	FIFTH_TRACKING_FACTOR_VALUE			    text,
	FIFTH_TRACKING_FACTOR_VALUE_TITLE	    text,
	FIFTH_PART_TRACKING_FACTOR			    integer,
	FK_MEUN								    integer not null,
	QUANTITY			      			    real not null,
	DESCRIPTION							    text,
	FK_SLAR								    integer not null,
	FK_LKP_TYPE                             integer not null default 1,
	FEE									    real not null,
	PRICE								    real not null,
	NET_PRICE							    real not null,
	ADDITION_AMOUNT						    real not null,
	REDUCTION_AMOUNT					    real not null,
	PARENT_ITEM_INDEX					    integer,
	FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
	FREE_PRODUCT_CONDITION_ROW_ID		    integer,
	CREATE_DATE							    integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							    integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_SALES_ASSIGNMENT) references TBL_DM_SALES_ASSIGNMENT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
);

INSERT INTO TBL_DM_SALES_ASSIGNMENT_ITEM_backup
    select _id, SRV_PK, ITEM_INDEX, FK_SALES_ASSIGNMENT, FK_PRODUCT, FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,SECOND_PART_TRACKING_FACTOR,FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR, FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE,FOURTH_PART_TRACKING_FACTOR,FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIFTH_PART_TRACKING_FACTOR,FK_MEUN, QUANTITY,DESCRIPTION,FK_SLAR, FK_LKP_TYPE, FEE,PRICE,NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX ,
	FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_SALES_ASSIGNMENT_ITEM;
	
DROP TABLE  TBL_DM_SALES_ASSIGNMENT_ITEM;

CREATE TABLE TBL_DM_SALES_ASSIGNMENT_ITEM (
	_id 								    integer primary key autoincrement,
	SRV_PK								    integer not null,
	ITEM_INDEX							    integer not null,
	FK_SALES_ASSIGNMENT		      	        integer not null,
	FK_PRODUCT		      	        	    integer not null,
	FK_MEUN								    integer not null,
	QUANTITY			      			    real not null,
	DESCRIPTION							    text,
	FK_SLAR								    integer not null,
	FK_LKP_TYPE                             integer not null default 1,
	FEE									    real not null,
	PRICE								    real not null,
	NET_PRICE							    real not null,
	ADDITION_AMOUNT						    real not null,
	REDUCTION_AMOUNT					    real not null,
	PARENT_ITEM_INDEX					    integer,
	FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
	FREE_PRODUCT_CONDITION_ROW_ID		    integer,
	CREATE_DATE							    integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							    integer default (strftime('%s','now')*1000) not null,
	FK_TRACKING_FACTOR_COLLECTION   		integer null,
	foreign key (FK_SALES_ASSIGNMENT) references TBL_DM_SALES_ASSIGNMENT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id)
	foreign key (FK_TRACKING_FACTOR_COLLECTION) REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id)
);

create index idx_TBL_DM_SALES_ASSIGNMENT_ITEM_PK on TBL_DM_SALES_ASSIGNMENT_ITEM (_id);
create index idx_TBL_DM_SALES_ASSIGNMENT_ITEM_SRV_PK on TBL_DM_SALES_ASSIGNMENT_ITEM (SRV_PK);

INSERT INTO TBL_DM_SALES_ASSIGNMENT_ITEM
	(_id, SRV_PK, ITEM_INDEX, FK_SALES_ASSIGNMENT, FK_PRODUCT,FK_MEUN, QUANTITY,DESCRIPTION,FK_SLAR, FK_LKP_TYPE, FEE,PRICE,NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX ,
	FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE)
    select _id, SRV_PK, ITEM_INDEX, FK_SALES_ASSIGNMENT, FK_PRODUCT,FK_MEUN, QUANTITY,DESCRIPTION,FK_SLAR, FK_LKP_TYPE, FEE,PRICE,NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX ,
	FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_SALES_ASSIGNMENT_ITEM_backup;

DROP TABLE  TBL_DM_SALES_ASSIGNMENT_ITEM_backup;

CREATE TABLE TBL_DM_DISTRIBUTION_PRODUCT_backup (
	_id 								integer primary key autoincrement,
    FK_DIST_ASSIGNMENT					integer not null,
    FK_PRODUCT		      	        	integer not null,
	FK_LKP_PRODUCT_TYPE                 integer not null,
    FK_FIRST_TRACKING_FACTOR			integer,
    FIRST_TRACKING_FACTOR_VALUE			text,	
    FIRST_TRACKING_FACTOR_VALUE_TITLE	text,
	FIRST_PART_TRACKING_FACTOR 			integer,
    FK_SECOND_TRACKING_FACTOR			integer,
    SECOND_TRACKING_FACTOR_VALUE		text,
    SECOND_TRACKING_FACTOR_VALUE_TITLE	text,
    SECOND_PART_TRACKING_FACTOR			integer,
    FK_THIRD_TRACKING_FACTOR			integer,
    THIRD_TRACKING_FACTOR_VALUE			text,
    THIRD_TRACKING_FACTOR_VALUE_TITLE	text,
    THIRD_PART_TRACKING_FACTOR			integer,
    FK_FOURTH_TRACKING_FACTOR			integer,
    FOURTH_TRACKING_FACTOR_VALUE			text,
    FOURTH_TRACKING_FACTOR_VALUE_TITLE	text,
    FOURTH_PART_TRACKING_FACTOR			integer,
    FK_FIFTH_TRACKING_FACTOR			integer,
    FIFTH_TRACKING_FACTOR_VALUE			text,
    FIFTH_TRACKING_FACTOR_VALUE_TITLE	text,
    FIFTH_PART_TRACKING_FACTOR			integer,				
	CREATE_DATE							integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_DIST_ASSIGNMENT) references TBL_DM_DISTRIBUTION_ASSIGNMENT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_LKP_PRODUCT_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id), 
	foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id), 
	foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id), 
	foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id), 
	foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id) 
);

INSERT INTO TBL_DM_DISTRIBUTION_PRODUCT_backup
    select _id, FK_DIST_ASSIGNMENT, FK_PRODUCT, FK_LKP_PRODUCT_TYPE, FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,SECOND_PART_TRACKING_FACTOR,FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR, FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE,FOURTH_PART_TRACKING_FACTOR,FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIFTH_PART_TRACKING_FACTOR, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_DISTRIBUTION_PRODUCT;

DROP TABLE  TBL_DM_DISTRIBUTION_PRODUCT;

CREATE TABLE TBL_DM_DISTRIBUTION_PRODUCT (
	_id 								integer primary key autoincrement,
    FK_DIST_ASSIGNMENT					integer not null,
    FK_PRODUCT		      	        	integer not null,
	FK_LKP_PRODUCT_TYPE                 integer not null,				
	CREATE_DATE							integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							integer default (strftime('%s','now')*1000) not null,
	FK_TRACKING_FACTOR_COLLECTION   	integer null,	
	foreign key (FK_DIST_ASSIGNMENT) references TBL_DM_DISTRIBUTION_ASSIGNMENT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_LKP_PRODUCT_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_TRACKING_FACTOR_COLLECTION) REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id)
);

create index idx_TBL_DM_DISTRIBUTION_PRODUCT_PK on TBL_DM_DISTRIBUTION_PRODUCT (_id);
create index idx_TBL_DM_DISTRIBUTION_PRODUCT_FK_DIST_ASSIGNMENT on TBL_DM_DISTRIBUTION_PRODUCT (FK_DIST_ASSIGNMENT);
create index idx_TBL_DM_DISTRIBUTION_PRODUCT_FK_PRODUCT on TBL_DM_DISTRIBUTION_PRODUCT (FK_PRODUCT);

INSERT INTO TBL_DM_DISTRIBUTION_PRODUCT
	(_id, FK_DIST_ASSIGNMENT, FK_PRODUCT, FK_LKP_PRODUCT_TYPE, CREATE_DATE, CHANGE_DATE)
    select _id, FK_DIST_ASSIGNMENT, FK_PRODUCT, FK_LKP_PRODUCT_TYPE, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_DISTRIBUTION_PRODUCT_backup;
	
DROP TABLE  TBL_DM_DISTRIBUTION_PRODUCT_backup;

CREATE TABLE TBL_DM_RETURN_PERMIT_ITEM_backup (
	_id 								    integer primary key autoincrement,
	SRV_PK								    integer not null,
	ITEM_INDEX							    integer not null,
	FK_RETURN_PERMIT		      	        integer not null,
	FK_PRODUCT		      	        	    integer not null,
	FK_RETURN_REASON				        integer null,
	FK_FIRST_TRACKING_FACTOR			    integer,
	FIRST_TRACKING_FACTOR_VALUE			    text,
	FIRST_TRACKING_FACTOR_VALUE_TITLE	    text,
	FIRST_PART_TRACKING_FACTOR 			    integer,
	FK_SECOND_TRACKING_FACTOR			    integer,
	SECOND_TRACKING_FACTOR_VALUE		    text,
	SECOND_TRACKING_FACTOR_VALUE_TITLE	    text,
	SECOND_PART_TRACKING_FACTOR			    integer,
	FK_THIRD_TRACKING_FACTOR			    integer,
	THIRD_TRACKING_FACTOR_VALUE			    text,
	THIRD_TRACKING_FACTOR_VALUE_TITLE	    text,
	THIRD_PART_TRACKING_FACTOR			    integer,
	FK_FOURTH_TRACKING_FACTOR			    integer,
	FOURTH_TRACKING_FACTOR_VALUE		    text,
	FOURTH_TRACKING_FACTOR_VALUE_TITLE	    text,
	FOURTH_PART_TRACKING_FACTOR			    integer,
	FK_FIFTH_TRACKING_FACTOR			    integer,
	FIFTH_TRACKING_FACTOR_VALUE			    text,
	FIFTH_TRACKING_FACTOR_VALUE_TITLE	    text,
	FIFTH_PART_TRACKING_FACTOR			    integer,
	FK_MEUN								    integer not null,
	QUANTITY			      			    real not null,
	DESCRIPTION							    text,
	FK_SLAR								    integer not null,
	FK_LKP_TYPE                             integer not null default 1,
	FEE									    real not null,
	PRICE								    real not null,
	NET_PRICE							    real not null,
	ADDITION_AMOUNT						    real not null,
	REDUCTION_AMOUNT					    real not null,
	PARENT_ITEM_INDEX					    integer,
	FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
	FREE_PRODUCT_CONDITION_ROW_ID		    integer,
	CREATE_DATE							    integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							    integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_RETURN_PERMIT) references TBL_DM_RETURN_PERMIT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)
	foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id),
	foreign key (FK_RETURN_REASON) references TBL_DM_RETURN_REASON (_id)
);

INSERT INTO TBL_DM_RETURN_PERMIT_ITEM_backup
    select _id, SRV_PK, ITEM_INDEX, FK_RETURN_PERMIT, FK_PRODUCT,FK_RETURN_REASON, FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,SECOND_PART_TRACKING_FACTOR,FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR, FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE,FOURTH_PART_TRACKING_FACTOR,FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIFTH_PART_TRACKING_FACTOR,FK_MEUN, QUANTITY,DESCRIPTION,FK_SLAR, FK_LKP_TYPE, FEE,PRICE,NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX ,
	FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_RETURN_PERMIT_ITEM;
	
DROP TABLE  TBL_DM_RETURN_PERMIT_ITEM;

CREATE TABLE TBL_DM_RETURN_PERMIT_ITEM (
	_id 								    integer primary key autoincrement,
	SRV_PK								    integer not null,
	ITEM_INDEX							    integer not null,
	FK_RETURN_PERMIT		      	        integer not null,
	FK_PRODUCT		      	        	    integer not null,
	FK_RETURN_REASON				        integer null,
	FK_MEUN								    integer not null,
	QUANTITY			      			    real not null,
	DESCRIPTION							    text,
	FK_SLAR								    integer not null,
	FK_LKP_TYPE                             integer not null default 1,
	FEE									    real not null,
	PRICE								    real not null,
	NET_PRICE							    real not null,
	ADDITION_AMOUNT						    real not null,
	REDUCTION_AMOUNT					    real not null,
	PARENT_ITEM_INDEX					    integer,
	FK_SLPLCY_FREE_PRODUCT_POLICY		    integer,
	FREE_PRODUCT_CONDITION_ROW_ID		    integer,
	CREATE_DATE							    integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							    integer default (strftime('%s','now')*1000) not null,
	FK_TRACKING_FACTOR_COLLECTION   	    integer null,	
	foreign key (FK_RETURN_PERMIT) references TBL_DM_RETURN_PERMIT (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id),
	foreign key (FK_RETURN_REASON) references TBL_DM_RETURN_REASON (_id),
	foreign key (FK_TRACKING_FACTOR_COLLECTION) REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id)
);

create index idx_TBL_DM_RETURN_PERMIT_ITEM_PK on TBL_DM_RETURN_PERMIT_ITEM (_id);
create index idx_TBL_TBL_DM_RETURN_PERMIT_ITEM_SRV_PK on TBL_DM_RETURN_PERMIT_ITEM (SRV_PK);
create index idx_TBL_DM_RETURN_PERMIT_ITEM_FK_RETURN_PERMIT on TBL_DM_RETURN_PERMIT_ITEM (FK_RETURN_PERMIT);
create index idx_TBL_DM_RETURN_PERMIT_ITEM_FK_PRODUCT on TBL_DM_RETURN_PERMIT_ITEM (FK_PRODUCT);
create index idx_TBL_DM_RETURN_PERMIT_ITEM_FK_RETURN_REASON on TBL_DM_RETURN_PERMIT_ITEM (FK_RETURN_REASON);
create index idx_TBL_DM_RETURN_PERMIT_ITEM_FK_MEUN on TBL_DM_RETURN_PERMIT_ITEM (FK_MEUN);

INSERT INTO TBL_DM_RETURN_PERMIT_ITEM
	(_id, SRV_PK, ITEM_INDEX, FK_RETURN_PERMIT, FK_PRODUCT,FK_RETURN_REASON, FK_MEUN, QUANTITY,DESCRIPTION,FK_SLAR, FK_LKP_TYPE, FEE,PRICE,NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX ,
	FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE)
    select _id, SRV_PK, ITEM_INDEX, FK_RETURN_PERMIT, FK_PRODUCT,FK_RETURN_REASON, FK_MEUN, QUANTITY,DESCRIPTION,FK_SLAR, FK_LKP_TYPE, FEE,PRICE,NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, PARENT_ITEM_INDEX ,
	FK_SLPLCY_FREE_PRODUCT_POLICY, FREE_PRODUCT_CONDITION_ROW_ID, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_RETURN_PERMIT_ITEM_backup;
	
DROP TABLE  TBL_DM_RETURN_PERMIT_ITEM_backup;

CREATE TABLE TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT_backup (
	_id 								      integer primary key autoincrement,
	FK_VEHICLE_REPOSITORY_DELIVERY            integer not null,
	FK_PRODUCT		      	        	      integer not null,
	FK_FIRST_TRACKING_FACTOR			      integer,
	FIRST_TRACKING_FACTOR_VALUE			      text,
	FIRST_TRACKING_FACTOR_VALUE_TITLE	      text,
	FIRST_PART_TRACKING_FACTOR 			      integer,
	FK_SECOND_TRACKING_FACTOR			      integer,
	SECOND_TRACKING_FACTOR_VALUE		      text,
	SECOND_TRACKING_FACTOR_VALUE_TITLE	      text,
	SECOND_PART_TRACKING_FACTOR			      integer,
	FK_THIRD_TRACKING_FACTOR			      integer,
	THIRD_TRACKING_FACTOR_VALUE			      text,
	THIRD_TRACKING_FACTOR_VALUE_TITLE	      text,
	THIRD_PART_TRACKING_FACTOR			      integer,
	FK_FOURTH_TRACKING_FACTOR			      integer,
	FOURTH_TRACKING_FACTOR_VALUE			  text,
	FOURTH_TRACKING_FACTOR_VALUE_TITLE	      text,
	FOURTH_PART_TRACKING_FACTOR			      integer,
	FK_FIFTH_TRACKING_FACTOR			      integer,
	FIFTH_TRACKING_FACTOR_VALUE			      text,
	FIFTH_TRACKING_FACTOR_VALUE_TITLE	      text,
	FIFTH_PART_TRACKING_FACTOR			      integer,
	CREATE_DATE							      integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							      integer default (strftime('%s','now')*1000) not null,
	foreign key (FK_VEHICLE_REPOSITORY_DELIVERY) references TBL_DM_VEHICLE_REPOSITORY_DELIVERY (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
	foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)
);

INSERT INTO TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT_backup
    select _id, FK_VEHICLE_REPOSITORY_DELIVERY, FK_PRODUCT, FK_FIRST_TRACKING_FACTOR, FIRST_TRACKING_FACTOR_VALUE, FIRST_TRACKING_FACTOR_VALUE_TITLE,FIRST_PART_TRACKING_FACTOR,
	FK_SECOND_TRACKING_FACTOR,SECOND_TRACKING_FACTOR_VALUE,SECOND_TRACKING_FACTOR_VALUE_TITLE,SECOND_PART_TRACKING_FACTOR,FK_THIRD_TRACKING_FACTOR,THIRD_TRACKING_FACTOR_VALUE,THIRD_TRACKING_FACTOR_VALUE_TITLE,THIRD_PART_TRACKING_FACTOR, FK_FOURTH_TRACKING_FACTOR, FOURTH_TRACKING_FACTOR_VALUE,FOURTH_TRACKING_FACTOR_VALUE_TITLE,FOURTH_PART_TRACKING_FACTOR,FK_FIFTH_TRACKING_FACTOR,FIFTH_TRACKING_FACTOR_VALUE,FIFTH_TRACKING_FACTOR_VALUE_TITLE,FIFTH_PART_TRACKING_FACTOR, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT;

DROP TABLE  TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT;

CREATE TABLE TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT (
	_id 								      integer primary key autoincrement,
	FK_VEHICLE_REPOSITORY_DELIVERY            integer not null,
	FK_PRODUCT		      	        	      integer not null,
	CREATE_DATE							      integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE							      integer default (strftime('%s','now')*1000) not null,
	FK_TRACKING_FACTOR_COLLECTION   	      integer null,	
	foreign key (FK_VEHICLE_REPOSITORY_DELIVERY) references TBL_DM_VEHICLE_REPOSITORY_DELIVERY (_id) ON DELETE CASCADE,
	foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id),
	foreign key (FK_TRACKING_FACTOR_COLLECTION) REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id)
);

create index idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT_PK on TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT (_id);
create index idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT_FK_PRODUCT on TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT (FK_PRODUCT);

INSERT INTO TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT
    (_id, FK_VEHICLE_REPOSITORY_DELIVERY, FK_PRODUCT, CREATE_DATE, CHANGE_DATE)
	select _id, FK_VEHICLE_REPOSITORY_DELIVERY, FK_PRODUCT, CREATE_DATE, CHANGE_DATE
    from  TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT_backup;

DROP TABLE  TBL_DM_VEHICLE_REPOSITORY_DELIVERY_PRODUCT_backup;