CREATE TABLE TBL_DM_USER_MESSAGE (
    _id                                     integer primary key autoincrement,
    SRV_PK                                  integer not null,
    FK_USER                                 integer not null,
    TITLE                                   text,
    BODY                                    text,
    FK_STATUS                               integer not null,
    RECEIVE_DATE                            integer default (strftime('%s','now')*1000) not null,
	CHANGE_DATE                             integer default (strftime('%s','now')*1000) not null,
	UNIQUE (SRV_PK, FK_USER) ON CONFLICT fail,
	foreign key (FK_USER) references TBL_GN_USER (_id) ON DELETE CASCADE,
	foreign key (FK_STATUS) references TBL_GN_LOOKUP (_id)
);


CREATE TABLE TBL_DM_USER_MESSAGE_ATTACHMENT (
    _id                                     integer primary key autoincrement,
    SRV_PK                                  integer not null unique ON CONFLICT fail,
    NAME                                    text,
    FILE_NAME                               text,
    FK_LKP_MIME_TYPE                        integer not null,
    FK_USER_MESSAGE                         integer not null,
	CREATE_DATE			                    integer default (strftime('%s','now')*1000),
    CHANGE_DATE			                    integer default (strftime('%s','now')*1000),
	foreign key(FK_LKP_MIME_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_USER_MESSAGE) references TBL_DM_USER_MESSAGE (_id) ON DELETE CASCADE
);

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('اعلان شده', '1', 'USER_MESSAGE_STATUS');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('دریافت شده', '2', 'USER_MESSAGE_STATUS');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('مشاهده شده', '3', 'USER_MESSAGE_STATUS');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('پیام قدیمی', '4', 'USER_MESSAGE_STATUS');

INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('docx', 'application/vnd.openxmlformats-officedocument.wordprocessingml.document', 'STANDARD_MIME_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('xls' , 'application/vnd.ms-excel', 'STANDARD_MIME_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('xlsx', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet', 'STANDARD_MIME_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('ppt' , 'application/vnd.ms-powerpoint', 'STANDARD_MIME_TYPE');
INSERT INTO TBL_GN_LOOKUP(NAME, CODE, TYPE) VALUES ('pptx', 'application/vnd.openxmlformats-officedocument.presentationml.presentation', 'STANDARD_MIME_TYPE');



