insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('شماره اعلامیه واریز', '1', 'QRCODE_FIELD_TYPE');
insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('مبلغ', '2', 'QRCODE_FIELD_TYPE');
insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('توضیحات', '3', 'QRCODE_FIELD_TYPE');

create table TBL_DM_PAYMENT_SERVICES_PROVIDER (
	_id 			        integer primary key autoincrement,
	SRV_PK 			        integer not null unique ON CONFLICT fail,
	PSP_ABB 		        text not null unique ON CONFLICT fail,
	NAME 			        text not null unique ON CONFLICT fail,
	SEPARATOR 		        text not null,
	DESCRIPTION_TEMPLATE    text null,
	CREATE_DATE 	        integer not null default (strftime('%s', 'now') * 1000),
	CHANGE_DATE 	        integer not null default (strftime('%s', 'now') * 1000)
);

create index idx_TBL_DM_PAYMENT_SERVICES_PROVIDER_PK on TBL_DM_PAYMENT_SERVICES_PROVIDER (_id);
create index idx_TBL_DM_PAYMENT_SERVICES_PROVIDER_SRV_PK on TBL_DM_PAYMENT_SERVICES_PROVIDER (SRV_PK);
create index idx_TBL_DM_PAYMENT_SERVICES_PROVIDER_NAME on TBL_DM_PAYMENT_SERVICES_PROVIDER (NAME);

create table TBL_DM_QRCODE_FIELD (
	_id 			                integer primary key autoincrement,
	FK_PAYMENT_SERVICES_PROVIDER    integer null,
	POSITION 			            integer not null,
	FK_LKP_TYPE 	                integer not null default 1,
	CREATE_DATE 	                integer not null default (strftime('%s', 'now') * 1000),
	CHANGE_DATE 	                integer not null default (strftime('%s', 'now') * 1000),
	foreign key (FK_PAYMENT_SERVICES_PROVIDER) references TBL_DM_PAYMENT_SERVICES_PROVIDER (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id)
);

create index idx_TBL_DM_QRCODE_FIELD_PK on TBL_DM_QRCODE_FIELD (_id);
create index idx_TBL_DM_QRCODE_FIELD_FK_PAYMENT_SERVICES_PROVIDER on TBL_DM_QRCODE_FIELD (FK_PAYMENT_SERVICES_PROVIDER);
