ALTER TABLE TBL_DM_PRDT_MEUN_INF RENAME TO TBL_DM_PRDT_MEUN_INF_back;

CREATE TABLE TBL_DM_PRDT_MEUN_INF (
		_id 									INTEGER PRIMARY KEY autoincrement,
		FK_MEASUREMENT 							INTEGER NOT NULL,
		FK_PRDT 								INTEGER NOT NULL,
		CREATE_DATE 							INTEGER DEFAULT (strftime('%s','now')*1000),
		CHANGE_DATE 							INTEGER DEFAULT (strftime('%s','now')*1000),
		IS_DELETED 								INTEGER NOT NULL DEFAULT 0,
		IS_MAIN 								INTEGER NOT NULL DEFAULT 1,
		DISTINATION_RATIO 						REAL NOT NULL DEFAULT 1,
		SOURCE_RATIO 							REAL NOT NULL DEFAULT 1,
		UNIT_SUSPENDED 							INTEGER,
		foreign key( FK_MEASUREMENT ) references TBL_DM_MEASUREMENT_UNIT ( _id ) ON DELETE CASCADE,
		foreign key( FK_PRDT ) references TBL_DM_PRODUCT ( _id ) ON DELETE CASCADE,
		unique (FK_MEASUREMENT,FK_PRDT) on conflict replace
		);

	INSERT INTO TBL_DM_PRDT_MEUN_INF
	(_id, FK_MEASUREMENT, FK_PRDT, CREATE_DATE, CHANGE_DATE, IS_DELETED, IS_MAIN, DISTINATION_RATIO, UNIT_SUSPENDED)
    select _id, FK_MEASUREMENT, FK_PRDT, CREATE_DATE, CHANGE_DATE, IS_DELETED, IS_MAIN, RATIO, UNIT_SUSPENDED
    from  TBL_DM_PRDT_MEUN_INF_back;

DROP TABLE  TBL_DM_PRDT_MEUN_INF_back;