create table TBL_DM_DISTRIBUTION_CONTAINER(
    _id 				    INTEGER primary key autoincrement,
    FK_DIST_ASSIGNMENT		INTEGER not null,
    FK_CONTAINER			INTEGER not null,
    QUANTITY			    REAL not null,
    VEHICLE_REPOSITORY      INTEGER not null default 0,
	FOREIGN KEY (FK_DIST_ASSIGNMENT) references TBL_DM_DISTRIBUTION_ASSIGNMENT (_id) ON DELETE CASCADE,
	FOREIGN KEY (FK_CONTAINER) references TBL_DM_CONTAINER ( _id )
);

create index idx_TBL_DM_DISTRIBUTION_CONTAINER_PK on TBL_DM_DISTRIBUTION_CONTAINER (_id);
create index idx_TBL_DM_DISTRIBUTION_CONTAINER_FK_DIST_ASSIGNMENT on TBL_DM_DISTRIBUTION_CONTAINER (FK_DIST_ASSIGNMENT);
create index idx_TBL_DM_DISTRIBUTION_CONTAINER_FK_CONTAINER on TBL_DM_DISTRIBUTION_CONTAINER (FK_CONTAINER);

CREATE TABLE TBL_DM_CONTAINER_PRODUCT(
    _id             INTEGER PRIMARY KEY autoincrement,
    FK_CONTAINER    INTEGER not null,
    FK_PRODUCT      INTEGER not null,
    UNIQUE (FK_CONTAINER, FK_PRODUCT) ON CONFLICT REPLACE,
    FOREIGN KEY (FK_CONTAINER) references TBL_DM_CONTAINER ( _id ),
    FOREIGN KEY (FK_PRODUCT) references TBL_DM_PRODUCT ( _id )
);

create index idx_TBL_DM_CONTAINER_PRODUCT_PK on TBL_DM_CONTAINER_PRODUCT (_id);
create index idx_TBL_DM_CONTAINER_PRODUCT_FK_CONTAINER on TBL_DM_CONTAINER_PRODUCT (FK_CONTAINER);
create index idx_TBL_DM_CONTAINER_PRODUCT_FK_PRODUCT on TBL_DM_CONTAINER_PRODUCT (FK_PRODUCT);

create table TBL_DM_VEHICLE_REPOSITORY_DELIVERY_CONTAINER(
     _id 				                        INTEGER primary key autoincrement,
     FK_VEHICLE_REPOSITORY_DELIVERY             INTEGER not null,
     FK_CONTAINER		      	        	    INTEGER not null,
     FK_MEUN			                        INTEGER not null,
     AMOUNT                                     INTEGER not null,
     CREATE_DATE							    INTEGER default (strftime('%s','now')*1000) not null,
	 CHANGE_DATE							    INTEGER default (strftime('%s','now')*1000) not null,
	 foreign key (FK_VEHICLE_REPOSITORY_DELIVERY) references TBL_DM_VEHICLE_REPOSITORY_DELIVERY (_id) ON DELETE CASCADE,
	 foreign key (FK_CONTAINER) references TBL_DM_CONTAINER (_id),
	 foreign key (FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id)
);

CREATE INDEX idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_CONTAINER_PK on TBL_DM_VEHICLE_REPOSITORY_DELIVERY_CONTAINER (_id);
CREATE INDEX idx_TBL_DM_VEHICLE_REPOSITORY_DELIVERY_CONTAINER_FK_CONTAINER on TBL_DM_VEHICLE_REPOSITORY_DELIVERY_CONTAINER (FK_CONTAINER);