CREATE TABLE TBL_DM_PRODUCT_TRACKING_FACTOR_COLLECTION (
    _id             INTEGER PRIMARY KEY autoincrement,
    FK_PRODUCT      INTEGER NOT NULL,
    FK_TRACKING_FACTOR_COLLECTION   INTEGER NOT NULL,
    UNIQUE (FK_PRODUCT,FK_TRACKING_FACTOR_COLLECTION) ON CONFLICT REPLACE,
    FOREIGN KEY (FK_PRODUCT) references TBL_DM_PRODUCT ( _id ),
    FOREIGN KEY (FK_TRACKING_FACTOR_COLLECTION) REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id)
);

CREATE INDEX idx_TBL_DM_PRODUCT_TRACKING_FACTOR_COLLECTION_PK on TBL_DM_PRODUCT_TRACKING_FACTOR_COLLECTION (_id);

CREATE INDEX idx_TBL_DM_PRODUCT_TRACKING_FK_PRODUCT on TBL_DM_PRODUCT_TRACKING_FACTOR_COLLECTION (FK_PRODUCT);

CREATE INDEX idx_TBL_DM_PRODUCT_TRACKING_FK_TRACKING_FACTOR_COLLECTION on TBL_DM_PRODUCT_TRACKING_FACTOR_COLLECTION (FK_TRACKING_FACTOR_COLLECTION);

ALTER TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM ADD COLUMN FK_TRACKING_FACTOR_COLLECTION INTEGER NULL REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id);

ALTER TABLE TBL_DM_HOT_SALES_INVOICE_ITEM ADD COLUMN FK_TRACKING_FACTOR_COLLECTION INTEGER NULL REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id);

ALTER TABLE TBL_DM_RETURN_INVOICE_ITEM ADD COLUMN FK_TRACKING_FACTOR_COLLECTION INTEGER NULL REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id);

ALTER TABLE TBL_DM_INVOICES_ITEM ADD COLUMN FK_TRACKING_FACTOR_COLLECTION INTEGER NULL REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id);

ALTER TABLE TBL_DM_RETURN_INVOICE_REPLACED_ITEM ADD COLUMN FK_TRACKING_FACTOR_COLLECTION INTEGER NULL REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id);

ALTER TABLE TBL_DM_CORPORATION ADD COLUMN HAS_TRACKING_FACTOR INTEGER DEFAULT 0;

ALTER TABLE TBL_DM_RETURN_PERMIT_REQUEST_ITEM ADD COLUMN FK_TRACKING_FACTOR_COLLECTION INTEGER NULL REFERENCES TBL_DM_TRACKING_FACTOR_COLLECTION (_id);



