ALTER TABLE TBL_DM_CORPORATION ADD COLUMN HAS_RATIONING INTEGER DEFAULT 0;

CREATE TABLE TBL_DM_PRODUCT_QUOTAS (
    _id                               INTEGER PRIMARY KEY AUTOINCREMENT,
    FK_PRODUCT                        INTEGER NOT NULL,
    FK_PRODUCT_UNIT                   INTEGER NOT NULL,
    FOREIGN KEY(FK_PRODUCT)           REFERENCES TBL_DM_PRODUCT (_id) ON DELETE CASCADE,
    FOREIGN KEY(FK_PRODUCT_UNIT)      REFERENCES TBL_DM_MEASUREMENT_UNIT (_id)
);

CREATE INDEX idx_TBL_DM_TBL_DM_PRODUCT_QUOTAS_FK_PRODUCT on TBL_DM_PRODUCT_QUOTAS (FK_PRODUCT);
CREATE INDEX idx_TBL_DM_TBL_DM_PRODUCT_QUOTAS_FK_PRODUCT_UNIT  on TBL_DM_PRODUCT_QUOTAS (FK_PRODUCT_UNIT);

CREATE TABLE TBL_DM_QUOTA_ITEMS (
    _id                               INTEGER PRIMARY KEY AUTOINCREMENT,
    FK_PRODUCT_QUOTA                  INTEGER NOT NULL,
    TYPE                              INTEGER NULL,
    TYPE_REFERENCE                    INTEGER NULL,
    FK_PLANT                          INTEGER NULL,
    FK_STORE                          INTEGER NULL,
    AMOUNT                            INTEGER NULL,
    DESCRIPTION                       TEXT NULL,
    FOREIGN KEY(FK_PRODUCT_QUOTA)     REFERENCES TBL_DM_PRODUCT_QUOTAS (_id) ON DELETE CASCADE,
    FOREIGN KEY(FK_PLANT)             REFERENCES TBL_DM_PLANTS (_id) ON DELETE CASCADE,
    FOREIGN KEY(FK_STORE)             REFERENCES TBL_DM_STORE (_id) ON DELETE CASCADE
);