CREATE TABLE TBL_DM_CUSTOMER_BANK_ACCOUNT (
    _id            INTEGER PRIMARY KEY AUTOINCREMENT,
    SRV_PK         INTEGER NOT NULL
                           UNIQUE ON CONFLICT FAIL,
    FK_BANK        INTEGER NOT NULL,
    FK_CSMR        INTEGER NOT NULL,
    ACCOUNT_NUMBER TEXT,
    BRANCH_NAME    TEXT,
    BRANCH_CODE    TEXT,
    IS_DELETED     INTEGER NOT NULL
                           DEFAULT 0,
    CREATE_DATE    INTEGER DEFAULT (strftime('%s', 'now') * 1000),
    CHANGE_DATE    INTEGER DEFAULT (strftime('%s', 'now') * 1000),
    FOREIGN KEY (
        FK_BANK
    )
    REFERENCES TBL_DM_BANK (_id) ON DELETE CASCADE,
    FOREIGN KEY (
        FK_CSMR
    )
    REFERENCES TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
);

ALTER TABLE TBL_DM_RECEIPT_ITEM ADD FK_BANK_ACCOUNT INTEGER NULL REFERENCES TBL_DM_CUSTOMER_BANK_ACCOUNT (_id);