ALTER TABLE TBL_DM_CUSTOMER ADD COLUMN MOBILE_NUMBER TEXT;
UPDATE TBL_DM_CUSTOMER SET MOBILE_NUMBER = PHONE_NUMBER;
UPDATE TBL_DM_CUSTOMER SET PHONE_NUMBER = NULL;

CREATE TABLE TBL_DM_CUSTOMER_EXT_backup (
    _id               INTEGER  PRIMARY KEY AUTOINCREMENT,
    GUID              TEXT     UNIQUE ON CONFLICT FAIL,
    FK_CUSTOMER       INTEGER  NOT NULL,
    PARTY_TYPE        INTEGER  NOT NULL,
    CUSTOMER_TYPE     INTEGER  NOT NULL,
    COMPANY_NAME      TEXT,
    FIRST_NAME        TEXT,
    LAST_NAME         TEXT,
    FATHER_NAME       TEXT,
    REGISTRATION_CODE TEXT,
    ID_NUMBER         TEXT,
    BIRTHDATE         INTEGER,
    LAST_UPDATE       INTEGERE,
    CREATE_DATE       INTEGER  DEFAULT (strftime('%s', 'now') * 1000),
    CHANGE_DATE       INTEGER  DEFAULT (strftime('%s', 'now') * 1000)
);

insert into TBL_DM_CUSTOMER_EXT_backup
	select _id, GUID, FK_CUSTOMER, PARTY_TYPE, CUSTOMER_TYPE, COMPANY_NAME, FIRST_NAME, LAST_NAME, FATHER_NAME, REGISTRATION_CODE, ID_NUMBER, BIRTHDATE, LAST_UPDATE, CREATE_DATE, CHANGE_DATE
	from TBL_DM_CUSTOMER_EXT;

drop table TBL_DM_CUSTOMER_EXT;

CREATE TABLE TBL_DM_CUSTOMER_EXT (
    _id               INTEGER  PRIMARY KEY AUTOINCREMENT,
    GUID              TEXT     UNIQUE ON CONFLICT FAIL,
    FK_CUSTOMER       INTEGER  NOT NULL,
    PARTY_TYPE        INTEGER  NOT NULL,
    CUSTOMER_TYPE     INTEGER  NOT NULL,
    COMPANY_NAME      TEXT,
    FIRST_NAME        TEXT,
    LAST_NAME         TEXT,
    FATHER_NAME       TEXT,
    REGISTRATION_CODE TEXT,
    ID_NUMBER         TEXT,
    BIRTHDATE         INTEGER,
    LAST_UPDATE       INTEGERE,
    CREATE_DATE       INTEGER  DEFAULT (strftime('%s', 'now') * 1000),
    CHANGE_DATE       INTEGER  DEFAULT (strftime('%s', 'now') * 1000),
    FOREIGN KEY (
        FK_CUSTOMER
    )
    REFERENCES TBL_DM_CUSTOMER (_id) ON DELETE CASCADE,
    UNIQUE (
        FK_CUSTOMER
    )
    ON CONFLICT ROLLBACK
);


CREATE index idx_TBL_DM_CUSTOMER_EXT_PK ON TBL_DM_CUSTOMER_EXT (_id);
CREATE index idx_TBL_DM_CUSTOMER_EXT_COMPANY_NAME ON TBL_DM_CUSTOMER_EXT (COMPANY_NAME);

insert into TBL_DM_CUSTOMER_EXT
	select _id, GUID, FK_CUSTOMER, PARTY_TYPE, CUSTOMER_TYPE, COMPANY_NAME, FIRST_NAME, LAST_NAME, FATHER_NAME, REGISTRATION_CODE, ID_NUMBER, BIRTHDATE, LAST_UPDATE, CREATE_DATE, CHANGE_DATE
	from TBL_DM_CUSTOMER_EXT_backup;

drop table TBL_DM_CUSTOMER_EXT_backup;