CREATE TABLE TBL_DM_RECOMMENDATION_DOC (
    _id                             INTEGER PRIMARY KEY AUTOINCREMENT,
    FK_CUSTOMER                     INTEGER NOT null,
    RECOMMENDATION_DATE             INTEGER NOT NULL DEFAULT (strftime('%s', 'now') * 1000),
    RECOMMENDATION_FETCH_DATE       INTEGER NOT NULL DEFAULT (strftime('%s', 'now') * 1000),
    FOREIGN KEY (FK_CUSTOMER) REFERENCES TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
);

CREATE TABLE TBL_DM_RECOMMENDATION_DOC_ITEMS (
    _id                     INTEGER PRIMARY KEY AUTOINCREMENT,
    PRIORITY                INTEGER NOT null,
    FK_RECOMMENDATION_DOC   INTEGER NOT null,
    FK_PRODUCT              INTEGER NOT null,
    FK_UNIT                 INTEGER,
    QUANTITY                INTEGER,
    FOREIGN KEY (FK_PRODUCT) REFERENCES TBL_DM_PRODUCT (_id) ON DELETE CASCADE,
    FOREIGN KEY (FK_UNIT) REFERENCES TBL_DM_MEASUREMENT_UNIT (_id) ON DELETE CASCADE,
    FOREIGN KEY (FK_RECOMMENDATION_DOC) REFERENCES TBL_DM_RECOMMENDATION_DOC (_id) ON DELETE CASCADE
);

ALTER TABLE TBL_DM_ORDER_ITEM ADD COLUMN IS_RECOMMENDED INTEGER NOT NULL DEFAULT 0;

ALTER TABLE TBL_DM_HOT_SALES_INVOICE_ITEM ADD COLUMN IS_RECOMMENDED INTEGER NOT NULL DEFAULT 0;