create table TBL_DM_STORE (
	_id 				integer primary key autoincrement,
	SRV_PK				integer not null unique ON CONFLICT fail,
	NAME				text,
	CODE 				text null,
	FK_PLANTS			integer not null,
	IS_DELETED			Integer not null default 0,
	CREATE_DATE			integer default (strftime('%s','now')*1000),
	CHANGE_DATE			integer default (strftime('%s','now')*1000),
	foreign key(FK_PLANTS) references TBL_DM_PLANTS (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_STORE_SRV_PK on TBL_DM_STORE (SRV_PK);

create index idx_TBL_DM_STORE_NAME on TBL_DM_STORE (NAME);

create index idx_TBL_DM_STORE_CODE on TBL_DM_STORE (CODE);

create index idx_TBL_DM_STORE_FK_PLANTS on TBL_DM_STORE (FK_PLANTS);

alter table TBL_DM_ORDER add column FK_STORE integer null references TBL_DM_STORE (_id);
