ALTER TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM ADD COLUMN FK_ORDER_ASSIGNMENT_ITEM integer NULL REFERENCES TBL_DM_ORDER_ASSIGNMENT_ITEM (_id);
create index idx_TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM_FK_ORDER_ASSIGNMENT_ITEM on TBL_DM_COLD_NON_DEFINITIVE_INVOICE_ITEM (FK_ORDER_ASSIGNMENT_ITEM);

CREATE TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE_backup (
	_id 					integer primary key autoincrement,
	GUID 					text not null unique ON CONFLICT fail,
	NUMBER 					text null,
	REGISTER_DATE 			integer not null default (strftime('%s','now') * 1000),
	IS_DELETED 				integer not null default 0,
	FK_USRSLOF_REGISTRANT 	integer not null,
	FK_CSMR 				integer not null,
	FK_ADRS 				integer null,
	FK_PAYAGR 				integer null,
	FK_TIAC 				integer not null,
	DESCRIPTION 			text null,
	SALES_EMPLOYEE_NAME		text null,
	IS_CALCULATED 			integer not null default 0,
	FK_SALES_ASSIGNMENT 	integer not null,
	FK_CRNCY 				integer not null,
	FK_LOCATION				integer null,
	FK_SLTP 				integer not null,
	FK_SLAR 				integer null,
	FK_LKP_PAYER_TYPE 		integer not null,
	FK_LKP_STATUS 			integer not null,
	FK_SLACC_ACCOUNT 		integer null,
	FK_SRV_ERR 				integer null,
	FK_PLANT 				integer null,
	FK_STORE 				integer null,
	PRICE 					real not null default 0,
	NET_PRICE 				real not null default 0,
	ADDITION_AMOUNT 		real not null default 0,
	REDUCTION_AMOUNT 		real not null default 0,
	IS_PRINTED 				integer not null default 0,
	OPERATION_DATE			integer null,
	CREATE_DATE 			integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 			integer not null default (strftime('%s','now') * 1000),
	SRV_PK                  integer null ON CONFLICT fail,
	SETTLEMENT_PERIOD       TEXT,
	SETTLEMENT_PERIOD_STATUS    INTEGER,
	IS_SHARED                   INTEGER NOT NULL DEFAULT 0,
	FK_LKP_DEVICE_MOBILE_DATA_STATE     integer null references TBL_GN_LOOKUP (_id),
	FK_MAIN_BROKER INTEGER NULL REFERENCES TBL_DM_MAIN_BROKER (_id),
	foreign key (FK_SALES_ASSIGNMENT) references TBL_DM_SALES_ASSIGNMENT (_id) ON DELETE CASCADE UNIQUE (FK_SALES_ASSIGNMENT) ON CONFLICT ROLLBACK,
	foreign key (FK_TIAC) references TBL_DM_TOUR_ITEM_ACTIVITY (_id) ON DELETE CASCADE,
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id),
	foreign key (FK_ADRS) references TBL_DM_ADDRESS (_id),
	foreign key (FK_PAYAGR) references TBL_DM_PAYMENT_AGREEMENT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_SLTP) references TBL_DM_SALES_TYPE (_id),
	foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
	foreign key (FK_CRNCY) references TBL_DM_CURRENCY (_id),
	foreign key (FK_LOCATION) references TBL_DM_LOCATION (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SRV_ERR) references TBL_DM_ERROR_MESSAGE (_id),
	foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
	foreign key (FK_STORE) references TBL_DM_STORE (_id),
	foreign key (FK_SLACC_ACCOUNT) references TBL_DM_SALES_ACCOUNT (_id),
	foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id)
);

INSERT INTO TBL_DM_COLD_NON_DEFINITIVE_INVOICE_backup
    select
    _id, GUID, NUMBER, REGISTER_DATE, IS_DELETED, FK_USRSLOF_REGISTRANT, FK_CSMR, FK_ADRS, FK_PAYAGR,
    FK_TIAC, DESCRIPTION, SALES_EMPLOYEE_NAME, IS_CALCULATED, FK_SALES_ASSIGNMENT, FK_CRNCY, FK_LOCATION,
    FK_SLTP, FK_SLAR, FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_SLACC_ACCOUNT, FK_SRV_ERR, FK_PLANT, FK_STORE, PRICE, NET_PRICE,
    ADDITION_AMOUNT, REDUCTION_AMOUNT, IS_PRINTED, OPERATION_DATE, CREATE_DATE, CHANGE_DATE, SRV_PK, SETTLEMENT_PERIOD,
    SETTLEMENT_PERIOD_STATUS, IS_SHARED, FK_LKP_DEVICE_MOBILE_DATA_STATE, FK_MAIN_BROKER
    from TBL_DM_COLD_NON_DEFINITIVE_INVOICE;

DROP TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE;

CREATE TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE (
	_id 					integer primary key autoincrement,
	GUID 					text not null unique ON CONFLICT fail,
	NUMBER 					text null,
	REGISTER_DATE 			integer not null default (strftime('%s','now') * 1000),
	IS_DELETED 				integer not null default 0,
	FK_USRSLOF_REGISTRANT 	integer not null,
	FK_CSMR 				integer not null,
	FK_ADRS 				integer null,
	FK_PAYAGR 				integer null,
	FK_TIAC 				integer not null,
	DESCRIPTION 			text null,
	SALES_EMPLOYEE_NAME		text null,
	IS_CALCULATED 			integer not null default 0,
	FK_SALES_ASSIGNMENT 	integer null,
	FK_ORDER_ASSIGNMENT     integer null,
	FK_CRNCY 				integer not null,
	FK_LOCATION				integer null,
	FK_SLTP 				integer not null,
	FK_SLAR 				integer null,
	FK_LKP_PAYER_TYPE 		integer not null,
	FK_LKP_STATUS 			integer not null,
	FK_SLACC_ACCOUNT 		integer null,
	FK_SRV_ERR 				integer null,
	FK_PLANT 				integer null,
	FK_STORE 				integer null,
	PRICE 					real not null default 0,
	NET_PRICE 				real not null default 0,
	ADDITION_AMOUNT 		real not null default 0,
	REDUCTION_AMOUNT 		real not null default 0,
	IS_PRINTED 				integer not null default 0,
	OPERATION_DATE			integer null,
	CREATE_DATE 			integer not null default (strftime('%s','now') * 1000),
	CHANGE_DATE 			integer not null default (strftime('%s','now') * 1000),
	SRV_PK                  integer null ON CONFLICT fail,
	SETTLEMENT_PERIOD       TEXT,
	SETTLEMENT_PERIOD_STATUS    INTEGER,
	IS_SHARED               INTEGER NOT NULL DEFAULT 0,
	FK_LKP_DEVICE_MOBILE_DATA_STATE integer null references TBL_GN_LOOKUP (_id),
	FK_MAIN_BROKER INTEGER NULL REFERENCES TBL_DM_MAIN_BROKER (_id),
	foreign key (FK_SALES_ASSIGNMENT) references TBL_DM_SALES_ASSIGNMENT (_id) ON DELETE CASCADE UNIQUE (FK_SALES_ASSIGNMENT) ON CONFLICT ROLLBACK,
	foreign key (FK_ORDER_ASSIGNMENT) references TBL_DM_ORDER_ASSIGNMENT (_id) ON DELETE CASCADE UNIQUE (FK_ORDER_ASSIGNMENT) ON CONFLICT ROLLBACK,
	foreign key (FK_TIAC) references TBL_DM_TOUR_ITEM_ACTIVITY (_id) ON DELETE CASCADE,
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id),
	foreign key (FK_ADRS) references TBL_DM_ADDRESS (_id),
	foreign key (FK_PAYAGR) references TBL_DM_PAYMENT_AGREEMENT (_id),
	foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
	foreign key (FK_SLTP) references TBL_DM_SALES_TYPE (_id),
	foreign key (FK_USRSLOF_REGISTRANT) references TBL_DM_USER_SALE_OFFICE_INF (_id),
	foreign key (FK_CRNCY) references TBL_DM_CURRENCY (_id),
	foreign key (FK_LOCATION) references TBL_DM_LOCATION (_id) ON DELETE CASCADE,
	foreign key (FK_LKP_PAYER_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_SRV_ERR) references TBL_DM_ERROR_MESSAGE (_id),
	foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
	foreign key (FK_STORE) references TBL_DM_STORE (_id),
	foreign key (FK_SLACC_ACCOUNT) references TBL_DM_SALES_ACCOUNT (_id),
	foreign key (FK_LKP_STATUS) references TBL_GN_LOOKUP (_id)
);

INSERT INTO TBL_DM_COLD_NON_DEFINITIVE_INVOICE
    select  _id, GUID, NUMBER, REGISTER_DATE, IS_DELETED, FK_USRSLOF_REGISTRANT, FK_CSMR, FK_ADRS, FK_PAYAGR,
               FK_TIAC, DESCRIPTION, SALES_EMPLOYEE_NAME, IS_CALCULATED, FK_SALES_ASSIGNMENT, null, FK_CRNCY, FK_LOCATION,
               FK_SLTP, FK_SLAR, FK_LKP_PAYER_TYPE, FK_LKP_STATUS, FK_SLACC_ACCOUNT, FK_SRV_ERR, FK_PLANT, FK_STORE, PRICE, NET_PRICE,
               ADDITION_AMOUNT, REDUCTION_AMOUNT, IS_PRINTED, OPERATION_DATE, CREATE_DATE, CHANGE_DATE, SRV_PK, SETTLEMENT_PERIOD,
               SETTLEMENT_PERIOD_STATUS, IS_SHARED, FK_LKP_DEVICE_MOBILE_DATA_STATE, FK_MAIN_BROKER
    from  TBL_DM_COLD_NON_DEFINITIVE_INVOICE_backup;


CREATE INDEX idx_TBL_DM_COLD_NON_DEFINITIVE_INVOICE_PK on TBL_DM_COLD_NON_DEFINITIVE_INVOICE (_id);

CREATE INDEX idx_TBL_DM_COLD_NON_DEFINITIVE_INVOICE_FK_TIAC on TBL_DM_COLD_NON_DEFINITIVE_INVOICE (FK_TIAC);

CREATE INDEX idx_TBL_DM_COLD_NON_DEFINITIVE_INVOICE_FK_SALES_ASSIGNMENT on TBL_DM_COLD_NON_DEFINITIVE_INVOICE (FK_SALES_ASSIGNMENT);

CREATE INDEX idx_TBL_DM_COLD_NON_DEFINITIVE_INVOICE_FK_ORDER_ASSIGNMENT on TBL_DM_COLD_NON_DEFINITIVE_INVOICE (FK_ORDER_ASSIGNMENT);

CREATE INDEX idx_TBL_DM_COLD_NON_DEFINITIVE_INVOICE_FK_CSMR on TBL_DM_COLD_NON_DEFINITIVE_INVOICE (FK_CSMR);

CREATE INDEX idx_TBL_DM_COLD_NON_DEFINITIVE_INVOICE_FK_MAIN_BROKER on TBL_DM_COLD_NON_DEFINITIVE_INVOICE (FK_MAIN_BROKER);

DROP TABLE TBL_DM_COLD_NON_DEFINITIVE_INVOICE_backup;