CREATE TABLE TBL_DM_RETURN_REASON_new (
	_id 			integer primary key autoincrement,
	SRV_PK 			integer not null unique ON CONFLICT fail,
	CODE 			text not null unique ON CONFLICT fail,
	REASON			text not null,
	DESCRIPTION		text,
	IS_DELETED 		integer not null default 0 ,
	STATE 		    integer not null default 1 ,
	CREATE_DATE 	integer not null default (strftime('%s', 'now') * 1000),
	CHANGE_DATE 	integer not null default (strftime('%s', 'now') * 1000)
);

insert into TBL_DM_RETURN_REASON_new(_id,
                                     	  SRV_PK,
                                     	  CODE,
                                     	  REASON,
                                     	  DESCRIPTION,
                                     	  IS_DELETED,
                                           CREATE_DATE,
                                           CHANGE_DATE)
	select _id,
	  SRV_PK,
	  CODE,
	  REASON,
	  DESCRIPTION,
	  IS_DELETED,
      CREATE_DATE,
      CHANGE_DATE
	from TBL_DM_RETURN_REASON;

drop table TBL_DM_RETURN_REASON;
ALTER TABLE TBL_DM_RETURN_REASON_new RENAME TO TBL_DM_RETURN_REASON;

create index idx_TBL_DM_RETURN_REASON_PK on TBL_DM_RETURN_REASON (_id);
create index idx_TBL_DM_RETURN_REASON_SRV_PK on TBL_DM_RETURN_REASON (SRV_PK);
create index idx_TBL_DM_RETURN_REASON_CODE on TBL_DM_RETURN_REASON (CODE);