CREATE TABLE TBL_DM_POLICY_INTERPRETATION (
		_id                                 integer primary key autoincrement,
		FK_PRODUCT	                        integer not null,
		FK_CUSTOMER		                    integer,
		FK_SALES_AREA		                integer,
		FK_SALES_TYPE		                integer,
		FK_PAYMENT_AGREEMENT		        integer,
		TARGET_DOCUMENTS	                integer not null,
		POLICY_TYPE	                        integer not null,
		INTERPRETATION	                    text not null,
		foreign key (FK_PRODUCT) references TBL_DM_PRODUCT (_id) ON DELETE CASCADE,
		foreign key (FK_CUSTOMER) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE,
		foreign key (FK_SALES_AREA) references TBL_DM_SALES_AREA (_id) ON DELETE CASCADE,
		foreign key (FK_SALES_TYPE) references TBL_DM_SALES_TYPE (_id) ON DELETE CASCADE,
		foreign key (FK_PAYMENT_AGREEMENT) references TBL_DM_PAYMENT_AGREEMENT (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_POLICY_INTERPRETATION_FK_PRODUCT on TBL_DM_POLICY_INTERPRETATION (FK_PRODUCT);
create index idx_TBL_DM_POLICY_INTERPRETATION_FK_CUSTOMER on TBL_DM_POLICY_INTERPRETATION (FK_CUSTOMER);
create index idx_TBL_DM_POLICY_INTERPRETATION_FK_PAYMENT_AGREEMENT on TBL_DM_POLICY_INTERPRETATION (FK_PAYMENT_AGREEMENT);
create index idx_TBL_DM_POLICY_INTERPRETATION_TARGET_DOCUMENTS on TBL_DM_POLICY_INTERPRETATION (TARGET_DOCUMENTS);
create index idx_TBL_DM_POLICY_INTERPRETATION_POLICY_TYPE on TBL_DM_POLICY_INTERPRETATION (POLICY_TYPE);