create table TBL_DM_CATEGORY (
	_id 				integer primary key autoincrement,
	SRV_PK				integer not null unique ON CONFLICT fail,
	NAME				text,
	CODE 				text null,
	PRIORITY			integer not null,
	IS_DELETED			Integer not null default 0,
	CREATE_DATE			integer default (strftime('%s','now')*1000),
	CHANGE_DATE			integer default (strftime('%s','now')*1000)
);

create index idx_TBL_DM_CATEGORY_SRV_PK on TBL_DM_CATEGORY (SRV_PK);

create index idx_TBL_DM_CATEGORY_NAME on TBL_DM_CATEGORY (NAME);

create index idx_TBL_DM_CATEGORY_CODE on TBL_DM_CATEGORY (CODE);

create table TBL_DM_TAG (
	_id 				integer primary key autoincrement,
	SRV_PK				integer not null,
	NAME				text,
	CODE 				text null,
	FK_CATEGORY			integer not null,
	PRIORITY			integer not null,
	IS_DELETED			Integer not null default 0,
	CREATE_DATE			integer default (strftime('%s','now')*1000),
	CHANGE_DATE			integer default (strftime('%s','now')*1000),
	foreign key(FK_CATEGORY) references TBL_DM_CATEGORY (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_TAG_SRV_PK on TBL_DM_TAG (SRV_PK);

create index idx_TBL_DM_TAG_NAME on TBL_DM_TAG (NAME);

create index idx_TBL_DM_TAG_CODE on TBL_DM_TAG (CODE);

create index idx_TBL_DM_TAG_FK_CATEGORY on TBL_DM_TAG (FK_CATEGORY);

create table TBL_DM_PRODUCT_TAG_INF (
	_id 				integer primary key autoincrement,
	FK_PRODUCT			integer not null,
	FK_TAG				integer not null,
	IS_DELETED			Integer not null default 0,
	CREATE_DATE			integer default (strftime('%s','now')*1000),
	CHANGE_DATE			integer default (strftime('%s','now')*1000),
	foreign key(FK_PRODUCT) references TBL_DM_PRODUCT (_id) ON DELETE CASCADE,
	foreign key(FK_TAG) references TBL_DM_TAG (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_PRODUCT_TAG_INF_FK_PRODUCT on TBL_DM_PRODUCT_TAG_INF (FK_PRODUCT);

create index idx_TBL_DM_PRODUCT_TAG_INF_FK_TAG on TBL_DM_PRODUCT_TAG_INF (FK_TAG);
