create table TBL_DM_CUSTOMER_backup ( 
		_id 			integer primary key autoincrement,
		NAME			text not null, 
		CODE			text not null,
		STATE 			integer not null default 1,
		FK_LKP_TYPE		integer not null,
		NATIONAL_CODE 	text null,
		ECONOMIC_CODE	text null,
		FK_CSMR_PARENT 	integer null,
		SRV_PK			integer not null unique ON CONFLICT fail,
		IS_DELETED		integer not null default 0,
		CREATE_DATE		integer default (strftime('%s','now')*1000),
		CHANGE_DATE		integer default (strftime('%s','now')*1000),
		foreign key (FK_CSMR_PARENT) references TBL_DM_CUSTOMER (_id),
		foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id)
);

insert into TBL_DM_CUSTOMER_backup 
	select _id, NAME, CODE, STATE, FK_LKP_TYPE, NATIONAL_CODE, ECONOMIC_CODE, FK_CSMR_PARENT, SRV_PK, IS_DELETED, CREATE_DATE, CHANGE_DATE
	from TBL_DM_CUSTOMER;

drop table TBL_DM_CUSTOMER;	
	
create table TBL_DM_CUSTOMER ( 
		_id 			integer primary key autoincrement,
		NAME			text not null, 
		CODE			text not null,
		STATE 			integer not null default 1,
		FK_LKP_TYPE		integer not null,
		NATIONAL_CODE 	text null,
		ECONOMIC_CODE	text null,
		FK_CSMR_PARENT 	integer null,
		SRV_PK			integer not null unique ON CONFLICT fail,
		IS_DELETED		integer not null default 0,
		CREATE_DATE		integer default (strftime('%s','now')*1000),
		CHANGE_DATE		integer default (strftime('%s','now')*1000),
		foreign key (FK_CSMR_PARENT) references TBL_DM_CUSTOMER (_id),
		foreign key (FK_LKP_TYPE) references TBL_GN_LOOKUP (_id)
);
		
create index idx_TBL_DM_CUSTOMER_NAME on TBL_DM_CUSTOMER (NAME);

create index idx_TBL_DM_CUSTOMER_CODE on TBL_DM_CUSTOMER (CODE);

create index idx_TBL_DM_CUSTOMER_IS_DELETED on TBL_DM_CUSTOMER (IS_DELETED);

create index idx_TBL_DM_CUSTOMER_SRV_PK on TBL_DM_CUSTOMER (SRV_PK);

insert into TBL_DM_CUSTOMER 
	select _id, NAME, CODE, STATE, FK_LKP_TYPE, NATIONAL_CODE, ECONOMIC_CODE, FK_CSMR_PARENT, SRV_PK, IS_DELETED, CREATE_DATE, CHANGE_DATE
	from TBL_DM_CUSTOMER_backup;

drop table TBL_DM_CUSTOMER_backup;

alter table TBL_DM_ADDRESS  add column FK_LOCATION integer null references TBL_DM_LOCATION (_id);

alter table TBL_DM_LOCATION add column FK_LKP_STATUS integer null references TBL_GN_LOOKUP (_id);

alter table TBL_DM_LOCATION add column FK_SRV_ERR integer null references TBL_DM_ERROR_MESSAGE (_id);

alter table TBL_DM_LOCATION add column GUID text null ON CONFLICT fail;

create unique index idx_TBL_DM_LOCATION_GUID on TBL_DM_LOCATION(GUID);

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ثبت شده', 1, 'LOCATION_STATUS_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال شده', 2, 'LOCATION_STATUS_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('ارسال شده با خطا', 3, 'LOCATION_STATUS_TYPE');

update TBL_DM_LOCATION 
	set FK_LKP_STATUS = (select _id from TBL_GN_LOOKUP where CODE = 1 and TYPE = 'LOCATION_STATUS_TYPE');
