create table TBL_DM_PRODUCT_INVENTORY ( 
		_id 				integer primary key autoincrement,
		FK_PRDT_MEUN		integer not null,
		FK_STORE			integer null,
		FK_PLANT			integer null,
		PHYSICAL_INVENTORY	real not null default 0,
		ACTUAL_INVENTORY	real not null default 0,
		IS_DELETED			integer not null default 0,
		CREATE_DATE			integer not null default (strftime('%s','now')*1000),
		CHANGE_DATE			integer not null default (strftime('%s','now')*1000),
		FK_FIRST_TRACKING_FACTOR				integer null,
		FIRST_TRACKING_FACTOR_VALUE				text null,
		FIRST_TRACKING_FACTOR_VALUE_TITLE		text null,
		FK_SECOND_TRACKING_FACTOR				integer null,
		SECOND_TRACKING_FACTOR_VALUE			text null,
		SECOND_TRACKING_FACTOR_VALUE_TITLE		text null,
		FK_THIRD_TRACKING_FACTOR				integer null,
		THIRD_TRACKING_FACTOR_VALUE				text null,
		THIRD_TRACKING_FACTOR_VALUE_TITLE		text null,
		FK_FOURTH_TRACKING_FACTOR				integer null,
		FOURTH_TRACKING_FACTOR_VALUE			text null,
		FOURTH_TRACKING_FACTOR_VALUE_TITLE		text null,
		FK_FIFTH_TRACKING_FACTOR				integer null,
		FIFTH_TRACKING_FACTOR_VALUE				text null,
		FIFTH_TRACKING_FACTOR_VALUE_TITLE		text null,
		foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
		foreign key (FK_STORE) references TBL_DM_STORE (_id),
		foreign key (FK_PLANT) references TBL_DM_PLANTS (_id),
		foreign key (FK_FIRST_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_SECOND_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_THIRD_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FOURTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id),
		foreign key (FK_FIFTH_TRACKING_FACTOR) references TBL_DM_TRACKING_FACTOR (_id)
);

create index idx_TBL_DM_PRD_INV_PHSCL_INV on TBL_DM_PRODUCT_INVENTORY (PHYSICAL_INVENTORY);

create index idx_TBL_DM_PRD_INV_ACT_INV on TBL_DM_PRODUCT_INVENTORY (ACTUAL_INVENTORY);

create index idx_TBL_DM_PRD_INV_FK_PRDT_MEUN on TBL_DM_PRODUCT_INVENTORY (FK_PRDT_MEUN);

create index idx_TBL_DM_PRD_INV_FK_STORE on TBL_DM_PRODUCT_INVENTORY (FK_STORE);

create index idx_TBL_DM_PRD_INV_FK_PLANT on TBL_DM_PRODUCT_INVENTORY (FK_PLANT);

create index idx_TBL_DM_PRD_INV_FK_FRST_TRK_FCTR on TBL_DM_PRODUCT_INVENTORY (FK_FIRST_TRACKING_FACTOR);

create index idx_TBL_DM_PRD_INV_FK_SCND_TRK_FCTR on TBL_DM_PRODUCT_INVENTORY (FK_SECOND_TRACKING_FACTOR);

create index idx_TBL_DM_PRD_INV_FK_TRD_TRK_FCTR on TBL_DM_PRODUCT_INVENTORY (FK_THIRD_TRACKING_FACTOR);

create index idx_TBL_DM_PRD_INV_FK_FRT_TRK_FCTR on TBL_DM_PRODUCT_INVENTORY (FK_FOURTH_TRACKING_FACTOR);

create index idx_TBL_DM_PRD_INV_FK_FIFT_TRK_FCTR on TBL_DM_PRODUCT_INVENTORY (FK_FIFTH_TRACKING_FACTOR);

alter table TBL_DM_ORDER_ITEM add column FK_PRODUCT_INVENTORY integer null references TBL_DM_PRODUCT_INVENTORY (_id);

create index idx_TBL_DM_ORDER_ITEM_FK_FK_PRDT_INV on TBL_DM_ORDER_ITEM (FK_PRODUCT_INVENTORY);