create table TBL_DM_LATEST_INVOICES_INFO (
	_id 						integer primary key autoincrement,
	FK_CUSTOMER					integer not null,
	SRV_PK						integer not null unique ON CONFLICT fail,
	CREATE_ORDER_DATE			integer null,
	ORDER_NUMBER				integer null,
	PAYMENT_AGREEMENT_ID		integer null,
	PAYMENT_AGREEMENT_NAME		text null,
	NET_PRICE					real null,
	REDUCTION_AMOUNT			real null,
	SETTLED_AMOUNT				real null,
	CURRENCY_ID					integer null,
	CREATE_DATE					integer default (strftime('%s','now')*1000),
	CHANGE_DATE					integer default (strftime('%s','now')*1000),
	foreign key(FK_CUSTOMER) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_LATEST_INVOICES_INFO_FK_CUSTOMER on TBL_DM_LATEST_INVOICES_INFO (FK_CUSTOMER);

create index idx_TBL_DM_LATEST_INVOICES_INFO_SRV_PK on TBL_DM_LATEST_INVOICES_INFO (SRV_PK);

create index idx_TBL_DM_LATEST_INVOICES_INFO_PAYMENT_AGREEMENT_ID on TBL_DM_LATEST_INVOICES_INFO (PAYMENT_AGREEMENT_ID);

create index idx_TBL_DM_LATEST_INVOICES_INFO_PAYMENT_AGREEMENT_NAME on TBL_DM_LATEST_INVOICES_INFO (PAYMENT_AGREEMENT_NAME);

create index idx_TBL_DM_LATEST_INVOICES_INFO_CURRENCY_ID on TBL_DM_LATEST_INVOICES_INFO (CURRENCY_ID);


create table TBL_DM_INVOICES_ITEM (
	_id 						integer primary key autoincrement,
	SRV_PK						integer not null,
	FK_INVOICES_INFO			integer not null,
	ORDER_INDEX					integer null,
	PRODUCT_ID					integer null,
	PRODUCT_NAME				text null,
	PRODUCT_CODE				text null,
	UNIT_ID						integer null,
	UNIT_NAME					text null,
	QUANTITY					integer null,
	SALES_AREA_ID				integer null,
	TRACKING_FACTORS_VALUE 		text null,
	IS_DELETED					Integer not null default 0,
	CREATE_DATE					integer default (strftime('%s','now')*1000),
	CHANGE_DATE					integer default (strftime('%s','now')*1000),
	foreign key(FK_INVOICES_INFO) references TBL_DM_LATEST_INVOICES_INFO (_id) ON DELETE CASCADE
);

create index idx_TBL_DM_INVOICES_ITEM_SRV_PK on TBL_DM_INVOICES_ITEM (SRV_PK);

create index idx_TBL_DM_INVOICES_ITEM_FK_INVOICES_INFO on TBL_DM_INVOICES_ITEM (FK_INVOICES_INFO);

create index idx_TBL_DM_INVOICES_ITEM_PRODUCT_ID on TBL_DM_INVOICES_ITEM (PRODUCT_ID);

create index idx_TBL_DM_INVOICES_ITEM_UNIT_ID on TBL_DM_INVOICES_ITEM (UNIT_ID);

create index idx_TBL_DM_INVOICES_ITEM_SALES_AREA_ID on TBL_DM_INVOICES_ITEM (SALES_AREA_ID);

create index idx_TBL_DM_INVOICES_ITEM_PRODUCT_CODE on TBL_DM_INVOICES_ITEM (PRODUCT_CODE);

create index idx_TBL_DM_INVOICES_ITEM_PRODUCT_NAME on TBL_DM_INVOICES_ITEM (PRODUCT_NAME);

create index idx_TBL_DM_INVOICES_ITEM_UNIT_NAME on TBL_DM_INVOICES_ITEM (UNIT_NAME);
