create table TBL_DM_ORDER_ITEM_backup (
				_id integer primary key autoincrement,
				QUANTITY real not null,
				FK_ORDER integer not null,
				FK_PRDT_MEUN integer not null,
				FK_PRODUCT_INVENTORY integer null,
				PRIORITY integer not null,
				IS_DELETED integer not null default 0,
				CREATE_DATE integer not null default (strftime('%s','now') * 1000),
				CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
				FEE real not null default 0,
				FREE_PRODUCT_CONDITION_ROW_ID integer,
				PRICE real not null default 0,
				NET_PRICE real not null default 0,
				ADDITION_AMOUNT real not null default 0,
				REDUCTION_AMOUNT real not null default 0,
				DESCRIPTION text null,
				FK_SLAR integer,
				FK_ORDER_ITEM_PARENT integer null,
				FK_SLPLCY_FREE_PRODUCT_POLICY integer null,
				foreign key (FK_ORDER) references TBL_DM_ORDER (_id) ON DELETE CASCADE,
				foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
				foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
				foreign key (FK_ORDER_ITEM_PARENT) references TBL_DM_ORDER_ITEM (_id),
				foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id),
				foreign key (FK_PRODUCT_INVENTORY) references TBL_DM_PRODUCT_INVENTORY (_id),
				UNIQUE (FK_ORDER, FK_PRDT_MEUN, FK_ORDER_ITEM_PARENT, FK_PRODUCT_INVENTORY) ON CONFLICT ROLLBACK);

insert into TBL_DM_ORDER_ITEM_backup 
	select _id, QUANTITY, FK_ORDER, FK_PRDT_MEUN, FK_PRODUCT_INVENTORY, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE, 
		 	FEE, FREE_PRODUCT_CONDITION_ROW_ID, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, DESCRIPTION, FK_SLAR, 
		 	FK_ORDER_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY
	from TBL_DM_ORDER_ITEM;

drop table TBL_DM_ORDER_ITEM;					

create table TBL_DM_ORDER_ITEM (
				_id integer primary key autoincrement,
				QUANTITY real not null,
				FK_ORDER integer not null,
				FK_PRDT_MEUN integer not null,
				FK_PRODUCT_INVENTORY integer null,
				PRIORITY integer not null,
				IS_DELETED integer not null default 0,
				CREATE_DATE integer not null default (strftime('%s','now') * 1000),
				CHANGE_DATE integer not null default (strftime('%s','now') * 1000),
				FEE real not null default 0,
				FREE_PRODUCT_CONDITION_ROW_ID integer,
				PRICE real not null default 0,
				NET_PRICE real not null default 0,
				ADDITION_AMOUNT real not null default 0,
				REDUCTION_AMOUNT real not null default 0,
				DESCRIPTION text null,
				FK_SLAR integer,
				FK_ORDER_ITEM_PARENT integer null,
				FK_SLPLCY_FREE_PRODUCT_POLICY integer null,
				foreign key (FK_ORDER) references TBL_DM_ORDER (_id) ON DELETE CASCADE,
				foreign key (FK_PRDT_MEUN) references TBL_DM_PRDT_MEUN_INF (_id),
				foreign key (FK_SLAR) references TBL_DM_SALES_AREA (_id),
				foreign key (FK_ORDER_ITEM_PARENT) references TBL_DM_ORDER_ITEM (_id),
				foreign key (FK_SLPLCY_FREE_PRODUCT_POLICY) references TBL_DM_SALES_POLICY (_id),
				foreign key (FK_PRODUCT_INVENTORY) references TBL_DM_PRODUCT_INVENTORY (_id),
				UNIQUE (FK_ORDER, FK_PRDT_MEUN, FK_ORDER_ITEM_PARENT, FK_PRODUCT_INVENTORY) ON CONFLICT ROLLBACK);

create index idx_TBL_DM_ORDER_ITEM_FK_FK_PRDT_INV on TBL_DM_ORDER_ITEM (FK_PRODUCT_INVENTORY);				

insert into TBL_DM_ORDER_ITEM 
	select _id, QUANTITY, FK_ORDER, FK_PRDT_MEUN, FK_PRODUCT_INVENTORY, PRIORITY, IS_DELETED, CREATE_DATE, CHANGE_DATE, 
		 	FEE, FREE_PRODUCT_CONDITION_ROW_ID, PRICE, NET_PRICE, ADDITION_AMOUNT, REDUCTION_AMOUNT, DESCRIPTION, FK_SLAR, 
		 	FK_ORDER_ITEM_PARENT, FK_SLPLCY_FREE_PRODUCT_POLICY
	from TBL_DM_ORDER_ITEM_backup;
	
drop table TBL_DM_ORDER_ITEM_backup;
