create table TBL_DM_EXTRA_FIELD (
	_id 				integer primary key autoincrement,
	SRV_PK				integer not null unique ON CONFLICT fail,
	FK_LKP_TYPE			integer not null,
	TITLE				text null,
	IS_MANDATORY		integer not null default 0,
	IS_DELETED 			integer not null default 0,
	CREATE_DATE			integer default (strftime('%s','now')*1000),
	CHANGE_DATE			integer default (strftime('%s','now')*1000),
	foreign key(FK_LKP_TYPE) references TBL_GN_LOOKUP (_id)
);

create index idx_TBL_DM_EXTRA_FIELD_SRV_PK on TBL_DM_EXTRA_FIELD (SRV_PK);

create index idx_TBL_DM_EXTRA_FIELD_FK_LKP_TYPE on TBL_DM_EXTRA_FIELD (FK_LKP_TYPE);

create index idx_TBL_DM_EXTRA_FIELD_TITLE on TBL_DM_EXTRA_FIELD (TITLE);

create table TBL_DM_CUSTOMER_EXTRA_FIELD_INF (
	_id 					integer primary key autoincrement,
	FK_CUSTOMER				integer not null,
	FK_EXTRA_FIELD 				integer not null,
	FK_MEUN					integer null,
	FIELD_VALUE				text null,
	CREATE_DATE 				integer default (strftime('%s','now')*1000),
	CHANGE_DATE 				integer default (strftime('%s','now')*1000),
	foreign key(FK_CUSTOMER) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE,
	foreign key(FK_EXTRA_FIELD) references TBL_DM_EXTRA_FIELD (_id) ON DELETE CASCADE,
	foreign key(FK_MEUN) references TBL_DM_MEASUREMENT_UNIT (_id) ON DELETE CASCADE,	
	unique (FK_CUSTOMER, FK_EXTRA_FIELD) on conflict replace
);

create index idx_TBL_DM_CUSTOMER_EXTRA_FIELD_INF_FK_CUSTOMER on TBL_DM_CUSTOMER_EXTRA_FIELD_INF (FK_CUSTOMER);

create index idx_TBL_DM_CUSTOMER_EXTRA_FIELD_INF_FK_EXTRA_FIELD on TBL_DM_CUSTOMER_EXTRA_FIELD_INF (FK_EXTRA_FIELD);

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('عدد', 1, 'FIELD_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('رشته', 2, 'FIELD_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('تاریخ', 3, 'FIELD_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('بولین', 4, 'FIELD_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('مقدار قابل سنجش', 5, 'FIELD_TYPE');

update TBL_GN_LOOKUP set NAME = 'عادی' where CODE = '1' and TYPE = 'CUSTOMER_TYPE'; 

