create table TBL_DM_REGIONAL_DIVISION (
	_id 				integer primary key autoincrement,
	SRV_PK				integer not null unique ON CONFLICT fail,
	NAME				text,      
	CREATE_DATE			integer default (strftime('%s','now')*1000),
	CHANGE_DATE			integer default (strftime('%s','now')*1000)	
);

create index idx_TBL_DM_REGIONAL_DIVISION_PK on TBL_DM_REGIONAL_DIVISION (_id);

create index idx_TBL_DM_REGIONAL_DIVISION_SRV_PK on TBL_DM_REGIONAL_DIVISION (SRV_PK);

create index idx_TBL_DM_REGIONAL_DIVISION_NAME on TBL_DM_REGIONAL_DIVISION  (NAME);

create table TBL_DM_USRSLOF_RGDV_INF (
	_id 				integer primary key autoincrement,
	FK_RGDV				integer not null,
	FK_USRSLOF			integer not null,
	IS_DELETED			integer not null default 0,
	CREATE_DATE			integer default (strftime('%s','now')*1000),
	CHANGE_DATE			integer default (strftime('%s','now')*1000),
	foreign key (FK_RGDV) references TBL_DM_REGIONAL_DIVISION (_id),
	foreign key (FK_USRSLOF) references TBL_DM_USER_SALE_OFFICE_INF (_id), 
	unique (FK_RGDV, FK_USRSLOF) on conflict replace
);

create index idx_TBL_DM_USRSLOF_RGDV_INF_PK on TBL_DM_USRSLOF_RGDV_INF (_id);

create index idx_TBL_DM_USRSLOF_RGDV_INF_FK_RGDV on TBL_DM_USRSLOF_RGDV_INF (FK_RGDV);

create index idx_TBL_DM_USRSLOF_RGDV_INF_FK_USRSLOF on TBL_DM_USRSLOF_RGDV_INF (FK_USRSLOF);

CREATE TABLE TBL_DM_ADDRESS_backup (
	_id 				integer primary key autoincrement, 
	LOCATION 			text not null,
	SRV_PK 				integer not null unique ON CONFLICT fail,
	FK_CSMR 			integer not null,
	TYPE 				integer not null,
	ZIP_CODE 			text null,
	CREATE_DATE 		integer default (strftime('%s','now')*1000),
	CHANGE_DATE 		integer default (strftime('%s','now')*1000), 
	IS_DELETED 			integer not null default 0 ,
	PHONE_NUMBER 		text null,
	FK_LOCATION 		integer null references TBL_DM_LOCATION (_id),
	foreign key( FK_CSMR) references TBL_DM_CUSTOMER ( _id )
);

insert into TBL_DM_ADDRESS_backup 
	select _id, LOCATION, SRV_PK, FK_CSMR, TYPE,ZIP_CODE, CREATE_DATE, CHANGE_DATE, IS_DELETED, PHONE_NUMBER, FK_LOCATION 
	from TBL_DM_ADDRESS;

drop table TBL_DM_ADDRESS;

CREATE TABLE TBL_DM_ADDRESS (
	_id 					integer primary key autoincrement, 
	LOCATION 				text not null,
	SRV_PK 					integer null unique ON CONFLICT fail,
	FK_CSMR 				integer not null,
	TYPE 					integer not null,
	ZIP_CODE 				text null,
	CREATE_DATE 			integer default (strftime('%s','now')*1000),
	CHANGE_DATE 			integer default (strftime('%s','now')*1000), 
	IS_DELETED 				integer not null default 0 ,
	PHONE_NUMBER 			text null,
	FK_LOCATION 			integer null references TBL_DM_LOCATION (_id),
	GUID 					text,
	NAME 					TEXT,
	FK_REGIONAL_DIVISION 	integer null REFERENCES TBL_DM_REGIONAL_DIVISION (_id),
	FAX 					TEXT,
	EMAIL 					TEXT,
 	DETAIL 					TEXT,
	foreign key( FK_CSMR) references TBL_DM_CUSTOMER ( _id )
);

insert into TBL_DM_ADDRESS (_id, LOCATION, SRV_PK, FK_CSMR, TYPE,ZIP_CODE, CREATE_DATE, CHANGE_DATE, IS_DELETED, PHONE_NUMBER, FK_LOCATION) 
	select _id, LOCATION, SRV_PK, FK_CSMR, TYPE,ZIP_CODE, CREATE_DATE, CHANGE_DATE, IS_DELETED, PHONE_NUMBER, FK_LOCATION 
	from TBL_DM_ADDRESS_backup;
	
drop table TBL_DM_ADDRESS_backup;
