create table TBL_DM_CUSTOMER_UNAVAILABILITY_INF (
	_id 					integer primary key autoincrement,
	SRV_PK					integer null unique ON CONFLICT fail,
	GUID 					text unique ON CONFLICT fail,
	FK_LKP_ACTIVITY_TYPE	integer not null,
	FK_CUSTOMER				integer not null,      
	SATURDAY				integer not null default 0,
	SUNDAY					integer not null default 0,
	MONDAY					integer not null default 0,
	TUESDAY					integer not null default 0,
	WEDNESDAY				integer not null default 0,
	THURSDAY				integer not null default 0,
	FRIDAY					integer not null default 0,
	CREATE_DATE				integer default (strftime('%s','now')*1000),
	CHANGE_DATE				integer default (strftime('%s','now')*1000),
	foreign key (FK_LKP_ACTIVITY_TYPE) references TBL_GN_LOOKUP (_id),
	foreign key (FK_CUSTOMER) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
	UNIQUE (FK_LKP_ACTIVITY_TYPE, FK_CUSTOMER) ON CONFLICT ROLLBACK
);

create index idx_TBL_DM_CUSTOMER_UNAVAILABILITY_INF_PK on TBL_DM_CUSTOMER_UNAVAILABILITY_INF (_id);

create index idx_TBL_DM_CUSTOMER_UNAVAILABILITY_INF_SRV_PK on TBL_DM_CUSTOMER_UNAVAILABILITY_INF (SRV_PK);

create table TBL_DM_CUSTOMER_EXT (
	_id 				integer primary key autoincrement,
	GUID 				text unique ON CONFLICT fail,
	FK_CUSTOMER			integer not null,
	PARTY_TYPE 			integer not null,
	CUSTOMER_TYPE 		integer not null, 
	COMPANY_NAME 		text,
	FIRST_NAME 			text,
	LAST_NAME 			text,
	FATHER_NAME 		text,
	REGISTRATION_CODE 	text,
	ID_NUMBER 			text,
	BIRTHDATE 			integer,
	CONTACT_NUMBER 		text,
	LAST_UPDATE			integere null,
	CREATE_DATE			integer default (strftime('%s','now')*1000),
	CHANGE_DATE			integer default (strftime('%s','now')*1000),
	foreign key (FK_CUSTOMER) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
	UNIQUE (FK_CUSTOMER) ON CONFLICT ROLLBACK
);

create index idx_TBL_DM_CUSTOMER_EXT_PK on TBL_DM_CUSTOMER_EXT (_id);

create index idx_TBL_DM_CUSTOMER_EXT_COMPANY_NAME on TBL_DM_CUSTOMER_EXT (COMPANY_NAME);

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('شخص', 1, 'PARTY_TYPE');

insert into TBL_GN_LOOKUP(NAME, CODE, TYPE) values('شرکت', 2, 'PARTY_TYPE');


