CREATE TABLE TBL_DM_USRSLOF_CSMR_INF_backup (
			_id		integer primary key autoincrement,
			FK_CSMR		integer not null,
			FK_USRSLOF	integer not null,
			CREATE_DATE 	integer default (strftime('%s','now')*1000),
			CHANGE_DATE 	integer default (strftime('%s','now')*1000),
			IS_DELETED 	integer not null default 0,
			foreign key( FK_CSMR ) references TBL_DM_CUSTOMER ( _id ) ,
			foreign key( FK_USRSLOF ) references TBL_DM_USER_SALE_OFFICE_INF ( _id ),
			unique (FK_CSMR,FK_USRSLOF) on conflict replace
);

insert into TBL_DM_USRSLOF_CSMR_INF_backup
	select _id,FK_CSMR,FK_USRSLOF,CREATE_DATE,CHANGE_DATE,IS_DELETED
	from TBL_DM_USRSLOF_CSMR_INF;

drop table TBL_DM_USRSLOF_CSMR_INF;

CREATE TABLE TBL_DM_USRSLOF_CSMR_INF (
			_id		integer primary key autoincrement,
			FK_CSMR		integer not null,
			FK_USRSLOF	integer not null,
			CREATE_DATE 	integer default (strftime('%s','now')*1000),
			CHANGE_DATE 	integer default (strftime('%s','now')*1000),
			IS_DELETED 	integer not null default 0,
			foreign key( FK_CSMR ) references TBL_DM_CUSTOMER ( _id ) ON DELETE CASCADE ,
			foreign key( FK_USRSLOF ) references TBL_DM_USER_SALE_OFFICE_INF ( _id ),
			unique (FK_CSMR,FK_USRSLOF) on conflict replace
);

insert into TBL_DM_USRSLOF_CSMR_INF
	select _id,FK_CSMR,FK_USRSLOF,CREATE_DATE,CHANGE_DATE,IS_DELETED
	from TBL_DM_USRSLOF_CSMR_INF_backup;

drop table TBL_DM_USRSLOF_CSMR_INF_backup;



CREATE TABLE TBL_DM_ADDRESS_backup (
	_id 					integer primary key autoincrement, 
	LOCATION 				text not null,
	SRV_PK 					integer null unique ON CONFLICT fail,
	FK_CSMR 				integer not null,
	TYPE 					integer not null,
	ZIP_CODE 				text null,
	CREATE_DATE 			integer default (strftime('%s','now')*1000),
	CHANGE_DATE 			integer default (strftime('%s','now')*1000), 
	IS_DELETED 				integer not null default 0 ,
	PHONE_NUMBER 			text null,
	FK_LOCATION 			integer null references TBL_DM_LOCATION (_id),
	GUID 					text,
	NAME 					TEXT,
	FK_REGIONAL_DIVISION 	integer null REFERENCES TBL_DM_REGIONAL_DIVISION (_id),
	FAX 					TEXT,
	EMAIL 					TEXT,
 	DETAIL 					TEXT,
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id)
);

insert into TBL_DM_ADDRESS_backup
	select _id, LOCATION, SRV_PK, FK_CSMR, TYPE, ZIP_CODE, CREATE_DATE, CHANGE_DATE, IS_DELETED, PHONE_NUMBER, FK_LOCATION, GUID, NAME, FK_REGIONAL_DIVISION, FAX, EMAIL, DETAIL
	from TBL_DM_ADDRESS;

drop table TBL_DM_ADDRESS;

CREATE TABLE TBL_DM_ADDRESS (
	_id 					integer primary key autoincrement, 
	LOCATION 				text not null,
	SRV_PK 					integer null unique ON CONFLICT fail,
	FK_CSMR 				integer not null,
	TYPE 					integer not null,
	ZIP_CODE 				text null,
	CREATE_DATE 			integer default (strftime('%s','now')*1000),
	CHANGE_DATE 			integer default (strftime('%s','now')*1000), 
	IS_DELETED 				integer not null default 0 ,
	PHONE_NUMBER 			text null,
	FK_LOCATION 			integer null references TBL_DM_LOCATION (_id),
	GUID 					text,
	NAME 					TEXT,
	FK_REGIONAL_DIVISION 	integer null REFERENCES TBL_DM_REGIONAL_DIVISION (_id),
	FAX 					TEXT,
	EMAIL 					TEXT,
 	DETAIL 					TEXT,
	foreign key (FK_CSMR) references TBL_DM_CUSTOMER (_id) ON DELETE CASCADE
);

insert into TBL_DM_ADDRESS
	select _id, LOCATION, SRV_PK, FK_CSMR, TYPE, ZIP_CODE, CREATE_DATE, CHANGE_DATE, IS_DELETED, PHONE_NUMBER, FK_LOCATION, GUID, NAME, FK_REGIONAL_DIVISION, FAX, EMAIL, DETAIL
	from TBL_DM_ADDRESS_backup;

drop table TBL_DM_ADDRESS_backup;

